2000-08-31  Robey Pointer  <robey@eazel.com>

	* components/services/trilobite/libtrilobite/Makefile.am:

	Libtrilobite now needs gnome-vfs -- oops.

2000-08-31  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/lib/eazel-summary-shared.c:
	(parse_a_service), (parse_a_eazel_news_item),
	(parse_a_update_news_item):
	* components/services/summary/lib/eazel-summary-shared.h:

	Adding the rest of the xml parser.	

2000-08-31  Robey Pointer  <robey@eazel.com>

	* components/services/trilobite/libtrilobite/Makefile.am:
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_close_log), (trilobite_open_uri),
	(trilobite_fetch_uri), (trilobite_fetch_uri_to_file):
	* components/services/trilobite/libtrilobite/trilobite-core-utils.h
	:

	Add trilobite_fetch_uri() and trilobite_fetch_uri_to_file() to the
	core utils in libtrilobite.  This makes it easy to use gnome-vfs
	to fetch a remote file into a buffer (hint: XML).
	
	* components/services/trilobite/libtrilobite/trilobite-redirect.c:
	* components/services/trilobite/libtrilobite/trilobite-redirect.h:

	Fetch the url redirection table from an XML file on the server and
	store it in gconf for other views to use.
	
	* components/services/trilobite/libtrilobite/trilobite-root-client.
	c: (trilobite_root_client_initialize):

	Clarify the FIXME.

2000-08-31  John Sullivan  <sullivan@eazel.com>

	* components/tree/nautilus-tree-expansion-state.c:
	Made the tree view expansion state preference use a full gconf
	path so it's not coupled to user level.

2000-08-31  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-throbber.c: (select_throbber_image),
	(nautilus_throbber_load_images):
	made the throbber throb in the intended direction (clockwise); the
	problem was caused by prepending to the image list, which was reversing
	their order - fixed by making it append instead.
	
2000-08-31  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/lib/eazel-summary-shared.c:
	(summary_data_new), (services_data_new), (eazel_news_data_new),
	(update_news_data_new), (parse_a_service),
	(parse_a_eazel_news_item), (parse_a_update_news_item),
	(build_services_glist_from_xml), (build_eazel_news_glist_from_xml),
	(build_update_news_glist_from_xml), (parse_summary_xml_file):

	New snapshot of the summary xml parser.  Getting closer to finished.

2000-08-31  Andy Hertzfeld  <andy@eazel.com>

	various cleanups and enhancements for the rpm view

	* components/rpmview/nautilus-rpm-view.h:
	moved the details private again by moving them out of the header file
	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize),
	(nautilus_rpm_view_update_from_uri), (nautilus_rpm_view_get_uri),
	(nautilus_rpm_view_verify_package_callback):
	moved the details back here; added an accessor for the uri field;
	added a verify button; changed label info text back to using non-aa
	text, since aa-text doesn't justify right yet; captured images
	from the header if present.
	* components/rpmview/nautilus-rpm-view-install.c:
	(nautilus_rpm_view_install_done),
	(nautilus_rpm_view_install_package_callback):
	used the new accessor for uris.
	
2000-08-31  John Sullivan  <sullivan@eazel.com>

	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(finish_button_activation): Little bitty code cleanup.

2000-08-31  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 1699, get help stuff to render in mozilla.
	
	* components/mozilla/main.c: (main):
	* components/mozilla/nautilus-mozilla-content-view.c:
	(mozilla_vfs_read_callback), (mozilla_vfs_callback),
	Two new callbacks to handle streaming of data into
	the mozilla component.
	
	(nautilus_mozilla_content_view_load_uri):
	* components/mozilla/nautilus-mozilla-content-view.oafinfo:
	Modified file so mozilla component will handle all types.

2000-08-31  Rebecca Schulman  <rebecka@eazel.com>
	Completed the rest of 2369 for the required
	milestone.

	* check-FIXME.pl: Make the script a little
	bit smarter about recognizing FIXMEs with
	bug reports.

	* src/nautilus-search-bar-criterion.c:
	* src/nautilus-search-bar-criterion.h:
	* src/nautilus-search-bar-criterion-private.h:	
	(nautilus_search_bar_criterion_destroy),
	(nautilus_search_bar_criterion_new), (option_menu_callback),
	(nautilus_search_bar_criterion_set_callback),
	(nautilus_search_bar_criterion_new_from_values),
	(nautilus_search_bar_criterion_next_new),
	(nautilus_search_bar_criterion_first_new),
	(nautilus_search_bar_criterion_get_location),
	(get_next_default_search_criterion_type),
	(nautilus_search_bar_criterion_show),
	(nautilus_search_bar_criterion_hide),
	(nautilus_search_bar_criterion_human_from_uri),
	(nautilus_search_uri_get_first_criterion), (get_name_location_for),
	(get_content_location_for), (get_file_type_location_for),
	(get_size_location_for), (get_emblem_location_for),
	(get_date_modified_location_for), (get_owner_location_for),
	(make_emblem_value_menu), (emblems_changed_callback):
	* libnautilus-extensions/Makefile.am:
	* src/Makefile.am:
	moved search bar criterion class out of 
	libnautilus-extensions and into /src
	Added acceptance of the emblems changed signal, which
	causes a redraw of an emblem criteria menu.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_destroy), (construct_private_metafile_vfs_uri),
	(nautilus_directory_new):
	Changed the name of metafile_vfs_uri function from
	metafile_uri to reflect its return of a gnome vfs uri.
	Check for the case where the metafile was not successfully 
	created when freeing.

	* src/nautilus-complex-search-bar.c: (criterion_callback):
	got rid of extraneous print statement.
	
	* src/nautilus-property-browser.c: (remove_emblem),
	(emblem_dialog_clicked), (emit_emblems_changed_signal):
	Added the emission of signals that happen when the list of 
	emblems change so that we tell the search bar about it.
	
	* src/nautilus-signaller.c: (nautilus_signaller_initialize_class):
	* src/nautilus-signaller.h:
	Added an "emblems changed" signal to the signaller's vocabulary,
	since we need a global signal, so this seems to be the logical
	object to attach it to.

2000-08-31  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2013 (Enter should start complex search when any
	search text field has focus)

	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_button_auto_click): Now checks for insensitive
	state and does nothing in that case.
	
	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_initialize):
	Made find button get created before criteria widgets.
	(attach_criterion_to_search_bar): Wire up "activate"
	signal for text field to auto_click the find button.
	* src/nautilus-simple-search-bar.c:
	(nautilus_simple_search_bar_initialize): Now the
	"activate" signal for the one text field here calls
	auto_click on the button instead of calling a separate
	callback that checks button sensitivity (indirectly) and 
	then starts search. Watch the button depress as if by magic! 
	Impress your friends!

2000-08-31  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1037 (Use "folder" instead of "directory" consistently)

	I think I found them all. If you find any others, fix them or
	write up new bug reports about them.

	* libnautilus-extensions/nautilus-file.c:
	(format_item_count_for_display), (nautilus_file_dump):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_display_selection_info):
	* src/file-manager/fm-error-reporting.c:
	(fm_report_error_renaming_file): Replaced uses of "directory"
	and "directories" in the UI with "folder" and "folders"
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	* src/nautilus-window-private.h:
	* src/nautilus-window-toolbars.c: Same as above. Also moved the
	hint strings used by both toolbar buttons and menu items into
	a shared header file instead of duplicating them.

2000-08-31  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/Makefile.am:
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize),
	(bonobo_mozilla_callback):
	Add commented out support for registering a component.
	Add a dumb streaming example.
	
2000-08-31  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/mozilla-components.cpp:
	* components/mozilla/mozilla-components.h:
	New dumb wrapper for registering a mozilla xpcom component from the
	Nautilus universe.
	
2000-08-31  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-toolbar.c: (nautilus_toolbar_size_allocate):
	fixed bug 2628, merged toolbar items appear after throbber, by
	saving and restoring the current position around the positioning
	of the throbber.
	
2000-08-31  John Sullivan  <sullivan@eazel.com>

	Converted more preferences to not be coupled to user level,
	following up on Ramiro's change to make this possible. Note
	that some of your preferences might experience a one-time
	change after this checkout (most noticeably the sidebar width).

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_register): Removed default values for
	sidebar width.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	Renamed NAUTILUS_PREFERENCES_ICON_VIEW_TEXT_ATTRIBUTE_NAMES to
	NAUTILUS_PREFERENCES_ICON_CAPTIONS.
	Moved NAUTILUS_PREFERENCES_ICON_CAPTIONS, 
	NAUTILUS_PREFERENCES_SHOW_BUILT_IN_BOOKMARKS, and 
	NAUTILUS_PREFERENCES_SIDEBAR_WIDTH to the non-user-level-coupled
	section, and gave them full gconf paths.
	Added clarifying comment to NAUTILUS_PREFERENCES_SIDEBAR_PANELS_NAMESPACE.
	
	* src/file-manager/fm-directory-view.c:
	Removed mysterious semicolon that was the first character in the file.
	(fm_directory_view_initialize), (fm_directory_view_destroy):
	Update for name change of NAUTILUS_PREFERENCES_ICON_CAPTIONS.
	* src/file-manager/fm-icon-text-window.c:
	(changed_attributes_option_menu_callback),
	(create_icon_text_window), (fm_icon_text_window_destroy_callback),
	(fm_get_text_attribute_names_preference_or_default):
	Update for name change of NAUTILUS_PREFERENCES_ICON_CAPTIONS.
	
	* src/nautilus-window.c: (nautilus_window_initialize): Teensy
	comment clarification.

2000-08-31  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2327 (Alt-key shortcuts to navigate menus shouldn't
	work on Desktop). Control-key shortcuts to invoke items directly
	still work. I had to fix a Bonobo bug to make this work, so
	until you get a new Bonobo this won't work for you (but it will
	still compile and run and all).

	* src/nautilus-window.h:
	Prototype for nautilus_window_disable_keyboard_navigation_for_menus.
	
	* src/nautilus-window-menus.c: Added normal_menu_titles, a static
	array of menu paths used for iterating across all the textual
	menu titles.
	(get_menu_title): New function, returns menu title given path.
	(remove_underline_accelerator_from_menu_title): New function,
	resets the label of a menu to be the same, but without the underline.
	(nautilus_window_disable_keyboard_navigation_for_menus): New function,
	iterates through normal_menu_titles calling remove_underline_... 
	on each.
	(new_top_level_menu): Now computes title from path using get_menu_title
	instead of taking title as parameter.
	(nautilus_window_create_top_level_menus): New function, creates all
	the top-level menus (other than weird user level one) by iterating
	across normal_menu_titles.
	(nautilus_window_initialize_menus): Now calls _create_top_level_menus
	instead of creating each one at a time.

	* src/nautilus-desktop-window.c: (nautilus_desktop_window_new):
	Now calls nautilus_window_disable_keyboard_navigation_for_menus
	just after creating the NautilusWindow.

2000-08-31  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-about.c: (nautilus_about_initialize),
	(nautilus_about_draw_info):
	draw the passed-in comment in the appropriate position. This change
	completes the new about dialog.
	* src/nautilus-window-menus.c: (help_menu_about_nautilus_callback):
	tweaked the about window comment and authors.
	
2000-08-31  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-about.c: (nautilus_about_initialize):
	fixed bug 2653, about window crashes if shown more than once.
	Fixed by setting the "close_hides" boolean.  Also, set the
	title of the window to "About Nautilus".
	
2000-08-31  Ramiro Estrugo  <ramiro@eazel.com>

	Bug 1293.  Core dump if gconf returns bad values
	
	* libnautilus-extensions/nautilus-user-level-manager.c:
	(nautilus_user_level_manager_get_user_level):
	Add blurb explaining why its ok to trust the returned string.
	This was actually fixed by komrade Jirka's last checkin to this
	file.
	
2000-08-31  Ramiro Estrugo  <ramiro@eazel.com>

	* src/nautilus-window-menus.c: 
	(nautilus_window_initialize_menus): Use
	gtk_signal_connect_while_alive() for user_level_changed_callback
	so that we dont get callbacks after we are dead.

2000-08-31  Ramiro Estrugo  <ramiro@eazel.com>

	Task 1229.  Need support for preferences not coupled to user level.
	
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_register):
	Add FIXME for the issue of setting default values for non user
	level specific preferences.
	
	* libnautilus-extensions/nautilus-global-preferences.h:
	Add blurb explaining preferences that are user level specific and
	those that arent.

	* libnautilus-extensions/nautilus-preferences.c:
	(preferences_hash_node_add_by_user_level_callbacks),
	(preferences_hash_node_add_callback),
	New functions to deal with callbacks for preferences that are
	coupled to the user level.
	
	(preferences_hash_node_check_changes_func),
	(preferences_make_make_gconf_key),
	(preferences_gconf_by_user_level_callback),
	(preferences_gconf_callback), (nautilus_preferences_add_callback),
	New functions to deal with callbacks for preferences that are NOT
	coupled to the user level.

	(nautilus_preferences_set_boolean),
	(nautilus_preferences_get_boolean),
	(nautilus_preferences_set_string_list),
	(nautilus_preferences_get_string_list),
	(nautilus_preferences_set_enum), (nautilus_preferences_get_enum),
	(nautilus_preferences_set), (nautilus_preferences_get):
	Add support for preferences that are not coupled to the user
	level.  Compute gconf keys by taking the preference name into
	account.  If it begins with a "/" (indicating it is fully
	qualified) then treat it as a regular gconf key and use it as is.
	 Otherwise, use the user_level_manager to compute a key according
	to the current user level.
	
	* libnautilus-extensions/nautilus-preferences.h:
	Add documentation explaining the two different ways to specify
	preference names depending on whether they are user level specific
	or not.

	* src/nautilus-first-time-druid.c: (set_http_proxy):
	Use the non user level specific perferences support instead of
	poking gconf directly.
	
2000-08-31  Eskil Heyn Olsen  <eskil@eazel.com>

	* nautilus-installer/src/evil.xpm:
	Forget the evil xpm for failed operation.

2000-08-31  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_emit_done):
	Debug output.
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_flatten_categories), (install_new_packages),
	(eazel_install_download_packages),
	(eazel_install_pre_install_packages),
	(eazel_install_do_install_packages),
	(eazel_install_prune_packages),
	(eazel_install_package_name_compare),
	(eazel_install_fetch_rpm_dependencies):
	Revamped a lot to prevent multiple downloads of the same file (bug
	2643), as the installer revealed some easy ways to trigger
	that. Basically, I no longer handle each category individually,
	but flatten the list. Also handles package-list xml's with
	dependency trees.
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_category), (osd_parse_implementation), (osd_parse_softpkg):
	Removed xml_get_prop and use xml_get_value instead. 

	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/callbacks.c: (begin_install):
	* nautilus-installer/src/installer.c: (create_pixmap),
	(create_what_to_do_page), (create_install_page),
	(create_finish_page_good), (create_finish_page_evil),
	(create_window), (install_done), (toggle_button_lock),
	(toggle_button_toggled), (eazel_installer_add_category),
	(create_info_druid_page), (check_system),
	(eazel_install_parse_dont_shows), (eazel_install_parse_must_haves),
	(eazel_install_parse_depends), (eazel_installer_load_dependencies),
	(eazel_install_get_depends), (eazel_installer_initialize):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c: (nautilus_pixmap_file):
	* nautilus-installer/src/package-list-depends.xml:
	* nautilus-installer/src/prescript:
	Slam bam thank you mam. Now uses the nautilus-druid, and only grew
	by 100k... phew.
	Added some funky xml parsing so you can control category
	dependency via a xml file.
	
2000-08-31  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/lib/eazel-summary-shared.c:
	(build_services_glist_from_xml), (build_eazel_news_glist_from_xml),
	(build_update_news_glist_from_xml), (parse_summary_xml_file):
	* components/services/summary/lib/eazel-summary-shared.h:

	Added the beginnings of the summary configuration xml parser.
	Nowhere close to working yet.

2000-08-31  Andy Hertzfeld  <andy@eazel.com>

	added a new about box that uses anti-aliased text.
	
	* icons/Makefile.am:
	* icons/about_background.png:
	added image for about background
	
	* src/Makefile.am:
	* src/nautilus-about.c,h: (nautilus_about_initialize_class),
	(nautilus_about_destroy), (nautilus_about_initialize),
	(nautilus_about_new), (draw_pixbuf), (nautilus_about_repaint),
	(draw_aa_string), (nautilus_about_draw_info):
	added a new class for our about box
	
	* src/nautilus-window-menus.c: (help_menu_about_nautilus_callback):
	invoked nautilus_about instead of gnome_about
	update the list of authors and other info
	
2000-08-31  Mathieu Lacage  <mathieu@eazel.com>

	* components/tree/nautilus-tree-view.c: fix bug 2468.
	maciej now owes me a restaurant. (zuni ?)
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_type_as_string): update to gnome-vfs API 
	changes.

2000-08-30  Ramiro Estrugo  <ramiro@eazel.com>

	* test/test-nautilus-label.c: (justification_changed_callback),
	(drop_shadow_offset_changed_callback),
	(create_justification_frame), (create_drop_shadow_offset_frame),
	(main):
	Add justification tests.  Add drop shadow tests.

2000-08-30  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-volume-monitor.c: (eject_cdrom):
	Fixed bug 2446, need to implement CDROM ejection.
	It's in there.  Let's see what breaks.
			
	* src/nautilus-window.c: (nautilus_window_initialize_class):	
	(realize):
	Added a new hint for sawfish and removed a focus flag at the
	reccomendation of John Harper.
	
2000-08-30  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2393 (need cleaner way for directory view subclasses
	to insert menu items)

	I'm going to be futzing with directory view context menu items
	soon, so I started by cleaning up the architecture a little to
	make future futzing easier.

	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c: 
	(set_menu_item_path): New function, stores the menu's path 
	identifier in the GtkMenuItem (via set_data) so that it can
	be compared against later.
	(menu_item_matches_path): New function, checks whether a menu
	item's stored path matches a specified one.
	(fm_directory_view_add_context_menu_item): Renamed this function
	from fm_directory_view_add_menu_item for clarity, and gave it
	a path parameter so callers could specify the path by which the
	item can later be identified. Calls set_menu_item_path with
	path.
	(append_gtk_menu_item_with_view): call set_menu_item_path.
	(real_create_background_context_menu_zoom_items),
	(fm_directory_view_real_create_background_context_menu_items):
	Update for fm_directory_view_add_context_menu_item change.
	(add_open_with_gtk_menu_item): Add comment about lameness that I
	will fix soon.
	(fm_directory_view_get_context_menu_index): Reimplement using
	menu_item_matches_path instead of hardwiring indices that could
	easily get out of synch with actual menu-creation code (and were
	in fact out of synch). Added a GtkMenu parameter as part of this.

	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_create_background_context_menu_items):
	Update for fm_directory_view_add_context_menu_item change.
	* src/file-manager/fm-icon-view.c:
	(fm_icon_view_create_selection_context_menu_items),
	* src/file-manager/fm-search-list-view.c:
	(real_create_selection_context_menu_items): Update for
	fm_directory_view_get_context_menu_index change.

2000-08-30  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-throbber.c: (get_throbber_dimensions),
	(nautilus_throbber_initialize):
	made the throbber compute its size using all of its constituent
	images instead of just the rest image.  Plus some minor clean-ups.
	
2000-08-30  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory.c:
	(construct_private_metafile_uri), (nautilus_self_check_directory):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(make_thumbnail_path):
	* libnautilus-extensions/nautilus-link.c: (make_local_path):
	Use escape function in gnome-vfs instead of one in Nautilus.
	
	* libnautilus-extensions/nautilus-string.h:
	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_strip_chr), (nautilus_str_double_underscores),
	(nautilus_str_middle_truncate): Use g_new instead of g_malloc.
	Helps get rid of silly "sizeof (char)" business.
	Remove nautilus_str_escape_slashes.

2000-08-30  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/Makefile.am:
	* components/services/summary/lib/.cvsignore:
	* components/services/summary/lib/Makefile.am:
	* components/services/summary/lib/eazel-summary-shared.c:
	(http_fetch_remote_file):
	* components/services/summary/lib/eazel-summary-shared.h:
	* configure.in:

	Adding a portion of the shared download / parse framework
	for summary configuration.

2000-08-30  Rebecca Schulman  <rebecka@eazel.com>
	Most of the work on 2369, to add the emblems to the search
	criteria.  This work involved refactoring the code to generate
	property information for display.  This new code is used by the
	code to create the search criterion, and also by the emblem
	display code, which is in nautilus-property-browser.
	

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-customization-data.c:
	* libnautilus-extensions/nautilus-customization-data.h:
	(nautilus_customization_data_new),
	(nautilus_customization_data_get_next_element_for_display),
	(nautilus_customization_data_private_data_was_displayed),
	(nautilus_customization_data_destroy),
	(get_global_customization_uri), (get_private_customization_uri),
	(get_file_path_for_mode),
	(nautilus_customization_make_background_chit),
	(format_name_for_display), (strip_extension):
	New file with extracted methods from nautilus-property browser.
	The new API initiates a new structure, and has an iterative call
	to "get the next element for display" which returns a correctly
	sized pixmap widget and a label widget containing the name appropriate
	for display.

	* libnautilus-extensions/nautilus-dateedit-extensions.c:
	(nautilus_gnome_date_edit_get_date_as_string):
	Removed extraneous debugging printf.
	
	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	* libnautilus-extensions/nautilus-search-bar-criterion.h:
	(nautilus_search_bar_criterion_new_from_values),
	(nautilus_search_bar_criterion_next_new),
	(nautilus_search_bar_criterion_get_location),
	(get_emblem_location_for), (get_date_modified_location_for),
	(make_emblem_value_menu):
	Added code to generate the emblem menu, and to generate a 
	search criterion for the search uri from the menu's settings.
	
	* libnautilus-extensions/nautilus-search-uri.c:
	More language updated, and added text for emblems
	
	* src/nautilus-property-browser.c: (make_drag_image),
	(make_properties_from_directories), (make_category):
	Updated this code to deal with new refactoring.
	

2000-08-30  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-icon-view.c: (fm_icon_view_merge_menus):
	Moved the "Tighter Layout" and "Reversed Order" toggle items
	into the "Lay out items" submenu, after discussing with Andy
	(who had earlier discussed with Arlo).

2000-08-30  Robey Pointer  <robey@eazel.com>

	* src/nautilus-main.c: (main):
	* src/nautilus-shell.c: (corba_open_default_window),
	(save_window_states), (restore_window_states), (corba_restart):

	Make restart save window sizes, positions, and uri's in a gconf
	setting, so that the windows can be (mostly) restored.

2000-08-30  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-throbber.c: (nautilus_throbber_initialize),
	(nautilus_throbber_load_images),
	(nautilus_throbber_button_press_event):
	some samll clean-ups for the throbber, including removing some
	debug messages that were accidentally left in, which John called
	"throbber spam".
	
2000-08-30  Mike Fleming  <mfleming@eazel.com>

	eazel:summary view now calls ammonite to log in.
	Also added ammonite dependency to configure.in when 
	nautilus is compiled with --enable-eazel-services

	* components/services/summary/nautilus-view/Makefile.am:
	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (entry_changed_cb), (authn_cb_succeeded), (authn_cb_failed),
	(login_button_cb), (logout_button_cb),
	(nautilus_summary_view_initialize),
	(nautilus_summary_view_destroy):
	* configure.in:

2000-08-30  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_default_component_for_uri_internal):
	Fixed bug 1158, GnomeVFSMimeHandlers code needs error handling.

	There was a lonely FIXME here.  A NULL is now returned instead of
	an assert. A NULL is handled properly by all callers of this function.

	* src/file-manager/fm-desktop-icon-view.c: (event_callback),
	(fm_desktop_icon_view_initialize):
	Work in progress trying to get keyboard events to the desktop.
	I am working with John Harper on this.

2000-08-30  Ali Abdin  <aliabdin@aucegypt.edu>

        New tags to fix the following bugs: #2383, #2384, #2386, #2387,
         #2382, #2523

        Also add in a first cut at Navigation Links (Bug #2201)

        * components/help/converters/gnome-db2html2/gdb3html.h:
        Add the following tags: superscript, systemitem, varname, option,
        quote, blockquote - Fixes bug #2383, #2384, #2386, #2387, #2382, #2523
        Add a sect1id_stack GList to the Context struct

        * components/help/converters/gnome-db2html2/sect-elements.[ch]:
        (sect_blockquote_start_element),
        (sect_blockquote_end_element),
        (sect_quote_start_element),
        (sect_quote_end_element),
        (sect_sup_start_element),
        (sect_sup_end_element): New functions to handle some of the new tags

        * components/help/converters/gnome-db2html2/gdb3html.c:
        (find_first_element): Remove inadvertant debug check-in
        (sect_footer),
        (print_footer): New functions to handle the output of a footer
        (sect1_start_element): New 'shared' function that builds a GList of
        sect1 id's
        (article_end_element): No longer print out </HTML> or </BODY> as that
        should be handled by the footer
        (parse_file): Modify to print out the footer

        * components/help/converters/gnome-db2html2/toc-elements.c:
        * components/help/converters/gnome-db2html2/sect-preparse.c:
        (sect_preparse_sect_start_element): Make a call to the
        sect1_start_element function when we encounter a sect1 tag
        (toc_sect_start_element): ditto

2000-08-30  Robin * Slomkowski  <rslomkow@eazel.com>

	README: added requirement of GCONF_0_8 tag

2000-08-30  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_update_from_uri):
	Changed the comments reg. bug 1657
	 
	components/services/install/command-line/eazel-alt-install-corba.c:
	(create_package), 
	Handles ~ in filenames now
	(main):
	Proper gtk_signal_func cast for the delete_files signal
	
	* components/services/install/command-line/eazel-gen-pre-xml.sh:
	Script to generate a colon-delimited file for eazel-gen-xml, by
	using rpm -qp on rpm files.
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_class_initialize), (eazel_install_initialize):
	-DEAZEL_INSTALL_SLIM no longer creates a userlocal rpmdb
	
	* components/services/install/lib/eazel-install-protocols.c:
	(gnome_vfs_xfer_callback), (free_string),
	(gnome_vfs_fetch_remote_file)
	(get_url_for_package):
	Added D: to debug output, nicefied the gnome-vfs stuff after shane
	laughed at me
	(eazel_install_fetch_package),
	Added the md5 stuff, it's commented out, as there is no md5 in the
	xml from the server, thus checking md5 would fail all packages.
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_download_packages), (download_all_packages),
	(eazel_install_pre_install_packages), (install_packages),
	(uninstall_packages), 
	(eazel_install_prepare_rpm_system), (eazel_install_add_to_rpm_set),
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_rpm_dependencies):
	So much...
		- xml packagelist can now have soft_depends which 
		  the download and install now checks for
	        - removed some leaks
	        - check for reopening rpmdb which is bad
		- clarifying comments for div FIXME's
	(eazel_install_prune_packages),
	Fixed a vaarg usage
	
	* components/services/install/lib/eazel-install-types.h:
	Added md5 to the PackageData struct

	* components/services/install/lib/eazel-install-types.c:
	(categorydata_new), (categorydata_destroy_foreach),
	(packagedata_new), (packagedata_destroy_foreach),
	Added md5 to the PackageData struct
	Now has some debug stuff to check for deallocating structes.	
	(packagedata_remove_soft_dep), 
	added function to remove a package from another packages soft_deps
	(rpmfilename_from_packagedata):
	Fixed a wrong g_strconcat
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(generate_xml_package_list)
	Generates nicer category names...
	(parse_category), (parse_memory_transaction_file),
	Uses categorydata_new now
	(osd_parse_implementation),
	Added FIXME reg. md5 check
	(parse_osd_xml_from_memory):
	D: to debug output
	
	* components/services/install/lib/makefile.staticlib.in:
	No longer sets the defines, they are now set in the link.sh
	scrip in the nautilus-installer
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.am:
	* nautilus-installer/src/callbacks.c: (druid_cancel),
	(begin_install), (druid_finish), (prep_install):
	* nautilus-installer/src/installer.c: (set_white_stuff),
	(create_what_to_do_page), (create_install_page),
	(create_finish_page), (create_window), (set_images),
	(eazel_install_progress), (eazel_download_progress),
	(install_failed_helper), (install_failed), (download_failed),
	(eazel_install_preflight), (eazel_install_dep_check),
	(eazel_install_delete_files), (eazel_installer_add_category),
	(check_system), (eazel_installer_do_install),
	(eazel_installer_finalize), (eazel_installer_unref),
	(eazel_installer_class_initialize), (eazel_installer_initialize),
	(eazel_installer_get_type), (eazel_installer_new):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/interface.c:
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c: (oaf_init), (bonobo_init):
	* nautilus-installer/src/support.c:
	* nautilus-installer/src/support.h:
	Created a gtkobject for the installer, revamped the choice stuff,
	so it now offers the categories, stabilization work etc.

2000-08-30  Andy Hertzfeld  <andy@eazel.com>

	added a Netscape-like throbber widget to the toolbar, to give busy feedback.  It uses
	uses a generic animation from Arlo, but it's themable.  It still needs some clean-up
	but it's mostly done.
	
	* configure.in:
	* icons/Makefile.am:
	* icons/throbber
	* icons/throbber/.cvsignore:
	* icons/throbber/Makefile.am:
	* icons/throbber/*.png:
	added a directory of frame images for the generic throbber.
	
	* src/Makefile.am:
	* src/nautilus-throbber.c,h: (nautilus_throbber_initialize_class),
	(nautilus_throbber_destroy), (get_throbber_dimensions),
	(nautilus_throbber_initialize), (nautilus_throbber_new),
	(nautilus_throbber_theme_changed), (draw_pixbuf),
	(select_throbber_image), (draw_throbber_image),
	(nautilus_throbber_draw), (nautilus_throbber_expose),
	(bump_throbber_frame), (nautilus_throbber_start),
	(nautilus_throbber_stop), (nautilus_throbber_unload_images),
	(load_themed_image), (make_throbber_frame_name),
	(nautilus_throbber_load_images),
	(nautilus_throbber_button_press_event),
	(nautilus_throbber_size_allocate):
	added a throbber widget that animates while pages are loaded.
	
	* src/nautilus-toolbar.h:
	made the nautilus toolbar know about the throbber
	* src/nautilus-toolbar.c,h: (nautilus_toolbar_set_throbber),
	(nautilus_toolbar_size_allocate):
	made the nautilus toolbar position the throbber on the far right
	
	* src/nautilus-window-toolbars.c: (allocate_throbber),
	(nautilus_window_initialize_toolbars):
	allocate the throbber when we make the toolbar
	
	* src/nautilus-window.c: (nautilus_window_allow_stop):
	tell the throbber to start and stop when page loading begins/ends.  We piggy-back
	off of the stop button.
	* src/nautilus-window.h:
	made the nautilus_window know about the throbber

2000-08-29  Mike Fleming  <mfleming@eazel.com>

	* src/nautilus-first-time-druid.c:
	(next_proxy_configuration_page_callback), (download_callback),
	(initiate_file_download), (set_http_proxy), (getline_dup),
	(load_nscp_proxy_settings), (attempt_http_proxy_autoconfigure):

	Bug #1812
	First-time druid now autoprobes for HTTP proxy settings and
	saves them to GConf.  Now gnome-vfs needs to be fixed to make use
	of this (ammonite already does).

Tue Aug 29 22:43:15 2000  George Lebl <jirka@5z.com>

	This should close bug #1361

	* configure.in, cut-n-paste-code/widgets/Makefile.am,
	  cut-n-paste-code/widgets/nautilus-druid/*,
	  po/POTFILES.in:
	  Remove the nautilus druid hack from here.  We can do all
	  that we need from libnautilus extensions without need of
	  cut and paste code.

	* libnautilus-extensions/nautilus-druid.[ch],
	  libnautilus-extensions/nautilus-druid-page-eazel.[ch],
	  po/POTFILES.in:
	  Make NautilusDruid be a derivation of GnomeDruid and
	  the NautilusDruidPageEazel of GnomeDruidPage.  Also make
	  use of more of the nautilus style of coding in both.  Federico
	  will kill me for using remove/add to move a file, but it's more
	  then just a move anyway.

	* src/nautilus-first-time-druid.c (set_up_proxy_config_page)
	  (next_update_page_callback) (next_update_feedback_page_callback)
	  (next_proxy_configuration_page_callback)
	  (finish_page_back_callback) (nautilus_first_time_druid_show)
	  (download_callback) (initiate_file_download):
	  Use the new nautilus druid and the new eazel druid page everywhere.
	  Also fix one case of double adding things to a GtkBox.

2000-08-29  Gene Z. Ragan  <gzr@eazel.com>

	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_create_background_context_menu_items):
	Added an accelerator for the New Folder item.
	
	* src/file-manager/fm-directory-view.c: (select_all_callback),
	(fm_directory_view_add_menu_item),
	(fm_directory_view_real_create_background_context_menu_items):
	Added support for accelerators in popup menu items.  You 
	specify the accelerator key by placing an _ before the desired
	letter.
	
	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_can_accept_item):
	Fixed a bug dealing with dragging over trash.
	
2000-08-29  Andy Hertzfeld  <andy@eazel.com>

	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_initialize),
	(nautilus_rpm_view_update_from_uri):
	used nautilus_label to provide anti-aliased text in the rpm-view,
	as well as some other clean-ups.  The labels aren't aligned properly,
	due to a bug in nautilus_label that Ramiro will be fixing soon.
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize), (make_category_link),
	(nautilus_property_browser_update_contents):
	changed command buttons at bottom back to using non-aa text at
	Arlo's request; also, put the labels inside the category buttons
	like Susan and Arlo both want, as well as other minor tweaks.
	
	* src/nautilus-sidebar-title.c: (update_font):
	changed a comment as part of resolving a FIXME.
	
2000-08-29  Arlo Rose  <arlo@eazel.com>

	Fixed all outstanding cHRM white point problems.

 	* data/emblems/OK.png
	* data/emblems/draft.png 
 	* data/emblems/erase.png
	* data/emblems/favorite.png 
 	* data/emblems/important.png
	* data/emblems/new.png 
 	* data/emblems/ohno.png
	* data/emblems/personal.png 
 	* data/emblems/urgent.png
	* icons/backgrounds.png 
	* icons/colors.png
 	* icons/emblems.png 
	* icons/knob.png 
	* icons/nautilus-logo.png 
 	* icons/search.png 
	* icons/eazel/i-directory-aa.png 
 	* icons/eazel/i-directory-accept-72.png 

2000-08-29  Robin * Slomkowski <rslomkow@eazel.com>

	* cut-n-paste-code/widgets/nautilus-druid/Makefile.am:
	added VFS_CFLAGS so it could find gnome vfs headers.

2000-08-29  Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (current_progress_bar_complete),
	(nautilus_service_install_preflight_check),
	(show_dialog_and_run_away), (nautilus_service_install_done),
	(nautilus_service_install_failed):

	Restore code to jump to the summary widget after an install (for
	demo), and make a dialog popup before then.

2000-08-29  Michael Engber  <engber@eazel.com>

	Fixed warning caused by passing NULL for a directory - bug 2079.
	* src/file-manager/fm-icon-view.c: (layout_changed_callback):

2000-08-29  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(call_ready_callbacks), (start_or_stop_io),
	(nautilus_directory_async_state_changed):
	Fixed bug that showed up as warnings on exit and fails of "make
	check". The code needs to check for I/O that must be stopped after
	calling "call_when_ready" callbacks. I improved the structure here
	a bit too by making a new function.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_self_check_directory): Fixed a mistake in the self-check
	that made it check the wrong thing.
	
	* libnautilus-extensions/nautilus-link-set.c: (link_set_path_name):
	Use nautilus_make_path instead of the hard-coded equivalent.
	
	* libnautilus-extensions/nautilus-gtk-extensions.h: Reformatted.
	* src/nautilus-property-browser.c: (remove_emblem): Formatting tweak.

2000-08-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2223 (selecting separator of "View As" option
	menu causes problems).

	Surprise, surprise, surprise -- separator menu items are
	not treated as insensitive by default, so you can select
	them. This makes no difference in pull-down menus, but
	leads to trouble in option menus.

	* src/nautilus-window.c: 
	(new_gtk_separator): New convenience function, makes
	a separator item, sets it to be insensitive, and shows it.
	(replace_special_current_view_in_content_view_menu),
	(nautilus_window_load_content_view_menu): Deploy new_gtk_separator.

2000-08-29  Gene Z. Ragan  <gzr@eazel.com>
	
	Refactored function and fixed a bug.
	
	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_can_accept_item):
	
	Fixed bug 1950, Trash icon on desktop should have
	"Empty Trash" in its right click menu

	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize_class),
	(new_folder_menu_item_callback), (empty_trash_callback),
	(trash_link_is_selection),
	(fm_desktop_icon_view_create_selection_context_menu_items),
	(fm_desktop_icon_view_create_background_context_menu_items):

	* src/file-manager/fm-directory-view.c:
	(bonobo_menu_open_callback),
	(fm_directory_trash_link_in_selection),
	(real_create_background_context_menu_zoom_items),
	(fm_directory_view_real_create_background_context_menu_items),
	(fm_directory_view_real_create_selection_context_menu_items),
	(create_selection_context_menu):
	* src/file-manager/fm-directory-view.h:

2000-08-29  Mathieu Lacage  <mathieu@eazel.com>

	* libnautilus-extensions/nautilus-search-uri.c: (parse_uri),
	(nautilus_self_check_search_uri): fix a checks. fix a space 
	added in the generated sentences. 

2000-08-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1884 (mistyped URL is changed back to previous)

	* src/nautilus-window-manage-views.c:
	(nautilus_window_end_location_change_callback): Replaced
	a nautilus_navigation_bar_set_location call with a comment
	explaining why not to call it there.

2000-08-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2173 (We should allow clearing the History list)
	There's now a Forget History item in the Go menu which
	(after confirmation) forgets the history items in the Go
	menu and the back/forward chains of each Nautilus window.
	Afterwards, the Go menu's history list contains only locations
	currently being displayed.

	* src/nautilus-window.h: Changed back_list and forward_list
	from GSList * to GList * so I could use nautilus glist 
	convenience functions (there's no efficiency issue with these 
	small lists). Added prototypes for new functions
	nautilus_clear_back_list, nautilus_clear_forward_list, and
	nautilus_forget_history.
	
	* src/nautilus-window.c: 
	(nautilus_window_clear_forward_list),
	(nautilus_window_clear_back_list): New functions that free and
	set to NULL the back & forward lists.
	(nautilus_window_destroy): Use nautilus_window_clear_back_list
	and nautilus_window_clear_forward_list instead of replicating code.
	(nautilus_window_back_or_forward),
	(nautilus_window_get_base_page_index): Replace "slist" with "list"
	(free_history_list): Set history_list variable to NULL in addition
	to freeing its contents.
	(nautilus_forget_history): New function, walks through all windows
	clearing out their back/forward lists, and throws away all of the
	history list except currently-displayed locations.

	* src/nautilus-window-manage-views.c: (handle_go_back),
	(handle_go_forward), (handle_go_elsewhere): Changed "slist"
	to "list" in various places; called new nautilus_clear_forward_list
	instead of replicating code.
	
	* src/nautilus-window-menus.c: 
	(forget_history_if_confirmed): New function, calls nautilus_history_forget
	if user confirms via modeless dialog (because it would be a pain to
	accidentally choose this menu item and erase your history).
	(go_menu_forget_history_callback): New function used by new menu item,
	calls forget_history_if_confirmed.
	(nautilus_window_initialize_menus): Add "Forget History" item to Go menu.
	
	* src/nautilus-window-toolbars.c: (create_back_or_forward_menu):
	Replace "slist" with "list"

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_real_create_background_context_menu_items):
	Just clarified a comment.

2000-08-29  J Shane Culpepper  <pepper@eazel.com>

	* components/services/summary/nautilus-view/nautilus-summary-view.c
	: (generate_summary_form), (login_button_cb), (logout_button_cb):

	Adding the logout button so that Mike can hook up the callbacks.

2000-08-29  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-buffered-widget.c:
	* libnautilus-extensions/nautilus-label.h:
	* libnautilus-extensions/nautilus-scalable-font.h:
	Dumb documentation typos.
	
2000-08-29  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-map.c:
	Remove a FIXME (bug 2442) which i already fixed.
	
2000-08-29  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2182 (right-clicking on zoom control changes zoom level)

	* src/nautilus-zoom-control.c:
	(nautilus_zoom_control_button_press_event): Made the zoom
	control use Ramiro's nifty nautilus_pop_up_context_menu code
	to offset the menu position slightly.

2000-08-29  John Sullivan  <sullivan@eazel.com>

	Redid changes that converted "Ascending/Descending" menu items
	into single "Reversed Order" menu item. Andy accidentally
	clobbered my entire set of changes with a more recent check-in.

	* src/file-manager/fm-icon-view.c: (tighter_layout_callback),
	(update_layout_menus), (sort_callback), (sort_direction_callback),
	(manual_layout_callback), (fm_icon_view_merge_menus),
	(fm_icon_view_initialize_class):

2000-08-29  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. All Nautilus FIXMEs currently
	have bug numbers. Huzzah! (Too bad the same can't be said for
	gnome-vfs, oaf, medusa, ...)

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_initialize):
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_rpm_dependencies):
	* components/services/install/lib/eazel-install-types.c:
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (current_progress_bar_complete),
	(nautilus_service_install_downloading):
	* components/services/time/nautilus-view/trilobite-eazel-time-view.
	c:
	* components/services/trilobite/libtrilobite/helixcode-utils.c:
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_pexec):
	* components/services/trilobite/libtrilobite/trilobite-root-client.
	c: (trilobite_root_client_initialize):
	* components/services/vault/command-line/main.c:
	* src/nautilus-view-frame-bonobo-control.c:
	(nautilus_view_frame_activate_uri):
	* src/nautilus-view-frame-bonobo-embeddable.c:
	(bonobo_subdoc_load_location):
	* src/nautilus-window-private.h:

2000-08-29  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 21 to go.	

	* cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-stand
	ard.c: (nautilus_druid_page_standard_init):
	* cut-n-paste-code/widgets/nautilus-druid/nautilus-druid.c:
	(nautilus_druid_size_request), (nautilus_druid_next_callback):
	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_render):
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_connect_background_to_directory_metadata):
	* libnautilus-extensions/nautilus-file-operations-progress.c:
	(truncate_string_from_start):
	* libnautilus-extensions/nautilus-file-operations.c:
	(handle_xfer_duplicate):
	* libnautilus-extensions/nautilus-font-picker.c:
	(nautilus_font_picker_initialize):
	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_gdk_font_get_bold):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_draw_text):
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog):
	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_button_auto_click),
	(nautilus_popup_menu_position_func):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_for_file),
	(cached_image_still_valid),
	(nautilus_icon_factory_make_thumbnails):
	* libnautilus-extensions/nautilus-icon-text-item.c:
	(iti_paint_text):
	* libnautilus-extensions/nautilus-list.c:
	(show_context_menu_callback), (nautilus_list_get_drop_action):

2000-08-29  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 49 to go.

	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_uninstall_downward_traverse):
	* libnautilus-extensions/nautilus-merged-directory.c:
	(nautilus_merged_directory_add_real_directory):
	* libnautilus-extensions/nautilus-mime-actions.c:
	(make_oaf_query_with_known_mime_type),
	(make_oaf_query_with_uri_scheme_only):
	* libnautilus-extensions/nautilus-preferences.c:
	(nautilus_preferences_set_string_list):
	* libnautilus-extensions/nautilus-program-chooser.c:
	(program_file_pair_compute_status), (get_supertype_from_file):
	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_scalable_font_measure_text):
	* libnautilus/nautilus-view.c: (view_frame_call_begin):
	* nautilus-installer/src/support.c: (create_pixmap),
	(create_image):
	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link),
	(volume_unmounted_callback), (place_home_directory):
	* src/file-manager/fm-icon-view.c: (get_next_position),
	(play_file), (get_icon_text_callback):
	* src/file-manager/fm-list-view.c: (fm_list_view_initialize),
	(create_list), (fm_list_view_set_zoom_level),
	(fm_list_view_font_family_changed):
	* src/file-manager/nautilus-indexing-info.c:
	(nautilus_indexing_info_show_dialog):
	* src/nautilus-application.c: (nautilus_application_startup):
	* src/nautilus-first-time-druid.c:
	(next_proxy_configuration_page_callback), (initiate_file_download):
	* src/nautilus-property-browser.c: (add_background_to_browser):
	* src/nautilus-shell.c:

2000-08-29  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-first-time-druid.c: (proxy_selection_changed),
	(set_up_proxy_config_page), (next_update_feedback_page_callback),
	(next_proxy_configuration_page_callback),
	(finish_page_back_callback), (nautilus_first_time_druid_show),
	(download_callback), (initiate_file_download):
	made the first time druid handle proxy configuration, which is presented to
	the user if an error occurs during the initial http update process.  Plus some
	other cleanups.
	
	* src/nautilus-property-browser.c:
	tweaked the background color
	* src/nautilus-theme-selector.c:
	tweaked the background color

2000-08-28  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_install_packages):

	Fix small bug that made emit_done() always signal success.
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_packages), (eazel_install_start_transaction):
	* components/services/install/lib/eazel-install-rpm-signature.c:
	(trilobite_check_rpm_signature):

	Return failure if the transaction fails.  Only call root-helper
	once now (let root-helper handle the password retries).  Fix pexec
	calls to check for the new return value.
	
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_service_try_again), (set_root_client):

	Set up try_again callback to allow 3 attempts at entering the root
	password.
	
	* components/services/trilobite/idl/trilobite-service.idl:
	* components/services/trilobite/libtrilobite/trilobite-root-client.
	c: (impl_Trilobite_PasswordQueryClient_try_again),
	(trilobite_root_client_get_epv),
	(trilobite_root_client_class_initialize):
	* components/services/trilobite/libtrilobite/trilobite-root-helper.
	c: (trilobite_root_helper_destroy),
	(trilobite_root_helper_class_initialize), (eazel_helper_start),
	(eazel_helper_password), (trilobite_root_helper_start):
	* components/services/trilobite/libtrilobite/trilobite-root-helper.
	h:
	* components/services/trilobite/libtrilobite/trilobite-service-pass
	wordquery.c: (trilobite_passwordquery_initialize),
	(trilobite_passwordquery_get_password),
	(trilobite_passwordquery_try_again):

	Add try_again signal to the root-client, root-helper, and
	PasswordQueryClient APIs.
	
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c
	: (trilobite_pexec), (trilobite_init):

	pexec now returns the child pid.

2000-08-29  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_fetch_remote_package_list):
	Smarter package-list url generation.
	
	* components/services/install/lib/eazel-install-public.h:
	Expose fetch_remote_package_list call, used for the installer.
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(eazel_uninstall_downward_traverse):
	Removed FIXME that was in error.
	
	* nautilus-installer/src/callbacks.c: (druid_cancel),
	(begin_install), (druid_finish), (prep_install):
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/installer.c: (check_system),
	(eazel_installer_do_install):
	* nautilus-installer/src/installer.h:
	* nautilus-installer/src/interface.c: (set_white_stuff),
	(create_what_to_do_page), (create_window), (set_images),
	(eazel_install_progress), (eazel_download_progress),
	(install_failed_helper), (install_failed), (download_failed),
	(eazel_install_preflight), (eazel_install_dep_check),
	(eazel_install_delete_files), (eazel_installer_add_category),
	(eazel_installer_finalize), (eazel_installer_unref),
	(eazel_installer_class_initialize), (eazel_installer_initialize),
	(eazel_installer_get_type), (eazel_installer_new):
	* nautilus-installer/src/interface.h:
	* nautilus-installer/src/main.c: (main):
	Slaughtering and revamping the installer. It now loads the
	packagelist as one of the first things (needs changing to support
	proxies), then inserts a radiobutton pr. category (needs to be
	togglebuttons instead). 
	
2000-08-28  Mathieu Lacage  <mathieu@eazel.com>

	* NEWS: add news from latest PR1 release.
	* components/tree/nautilus-tree-view.c: make dnd do real file operations
	from tree view to other views. Dnd to tree view depends on the views code 
	which needs to be fixed (related to bug 2353).
	* libnautilus-extensions/Makefile.am: add nautilus-fils-operations.
	* libnautilus-extensions/nautilus-file-operations-progress.c:
	(nautilus_file_operations_progress_update),
	(nautilus_file_operations_progress_close),
	(nautilus_file_operations_progress_destroy),
	(nautilus_file_operations_progress_initialize),
	(nautilus_file_operations_progress_initialize_class),
	(nautilus_file_operations_progress_new),
	(nautilus_file_operations_progress_set_total),
	(nautilus_file_operations_progress_set_operation_string),
	(nautilus_file_operations_progress_new_file),
	(nautilus_file_operations_progress_clear),
	(nautilus_file_operations_progress_update_sizes),
	(nautilus_file_operations_progress_freeze),
	(nautilus_file_operations_progress_thaw): modify API name.
	* libnautilus-extensions/nautilus-file-operations-progress.h: idem
	* libnautilus-extensions/nautilus-file-operations.c: idem
	(xfer_dialog_clicked_callback), (create_xfer_dialog),
	(progress_dialog_set_files_remaining_text),
	(progress_dialog_set_to_from_item_text), (handle_xfer_ok),
	(handle_xfer_vfs_error), (nautilus_file_operations_copy_move),
	(nautilus_file_operations_new_folder),
	(nautilus_file_operations_move_to_trash),
	(nautilus_file_operations_delete),
	(nautilus_file_operations_empty_trash):
	* libnautilus-extensions/nautilus-file-operations.h: idem.
	* src/file-manager/Makefile.am: remove dfos* from compilation.
	* src/file-manager/fm-directory-view.c: 
	(bonobo_menu_empty_trash_callback),
	(fm_directory_view_create_links_for_files),
	(fm_directory_view_duplicate_selection),
	(fm_directory_view_trash_or_delete_selection),
	(fm_directory_view_new_folder),
	(fm_directory_view_move_copy_items): make it call nautilus-file-operations 
	functions.

2000-08-28  Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.c: (nautilus_install_parse_uri), (make_new_status),
	(turn_cylon_off), (current_progress_bar_complete),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_download_failed),
	(nautilus_service_install_done), (nautilus_service_install_failed):
	* components/services/install/nautilus-view/nautilus-service-instal
	l-view.h:

	Add "?version=" checking into the install view url, for
	bootstrapping the installer.
	
	* components/services/nautilus-dependent-shared/shared-service-widg
	ets.c: (create_label_widget), (create_services_title_widget),
	(create_services_header_widget):

	Change titlebar font sizes to fit Arlo specifications.

2000-08-28  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-buffered-widget.c:
	(nautilus_buffered_widget_initialize),
	(nautilus_buffered_widget_destroy),
	(buffered_widget_update_pixbuf),
	(create_background_pixbuf_from_none),
	(create_background_pixbuf_from_solid),
	(create_background_pixbuf_from_ancestor),
	(create_background_pixbuf),
	(nautilus_buffered_widget_get_vertical_offset),
	(nautilus_buffered_widget_set_background_type),
	(nautilus_buffered_widget_get_background_type),
	(nautilus_buffered_widget_set_background_color),
	(nautilus_buffered_widget_get_background_color):
	* libnautilus-extensions/nautilus-buffered-widget.h:

	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_gdk_gc_ref_if_not_null),
	(nautilus_gdk_gc_unref_if_not_null):
	* libnautilus-extensions/nautilus-gdk-extensions.h:
	Add unref/ref functions for gcs that take NULL.

	* libnautilus-extensions/nautilus-label.c: (nautilus_label_new):
	* libnautilus-extensions/nautilus-label.h:
	Make the constructor work just like GtkLabel by accepting a string.
	
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize), (add_play_controls):
	Use the new NautilusLabel constructor.

	* components/services/nautilus-dependent-shared/shared-service-widg
	ets.c: (create_label_widget):
	Use the new NautilusLabel constructor.

	* src/nautilus-first-time-druid.c: (make_anti_aliased_label),
	(set_up_update_feedback_page):
	Use the new NautilusLabel constructor.

	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize),
	(make_properties_from_directory_path),
	(make_properties_from_xml_node), (make_category_link):
	Use the new NautilusLabel constructor.
	Fix the tile names to be antialises by using the new buffered
	widget SOLID background mode.
	
	* src/nautilus-sidebar-title.c:
	(sidebar_create_smooth_components_if_needed):
	Use the new NautilusLabel constructor.

	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize):
	Use the new NautilusLabel constructor.

	* test/test-nautilus-image.c: (main):
	* test/test-nautilus-label.c: (main):
	Use the new NautilusLabel constructor.
	
2000-08-28  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-window-menus.c: (get_static_bookmarks_file_path):
	use the static bookmarks that were downloaded from the service
	if they are present; otherwise fall back to the built-in ones.
	
2000-08-28  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_select_text_color),
	(nautilus_sidebar_title_theme_changed),
	(sidebar_create_smooth_components_if_needed):
	added a drop shadow to the sidebar labels, controllable by the
	current theme
	* icons/arlo/arlo.xml:
	added a drop shadow offset to the arlo theme
	* libnautilus-extensions/nautilus-label.h:
	fixed a cut-n-paste error in the set_drop_shadow_offset call, by
	changing the parameter from "alpha" to "offset"
	
2000-08-28  Darin Adler  <darin@eazel.com>

	* src/file-manager/fm-directory-view.c: (display_pending_files):
	Lets try that again, this time with feeling.

2000-08-28  Darin Adler  <darin@eazel.com>

	* src/file-manager/fm-directory-view.c: (display_pending_files):
	Fixed a FIXME.

2000-08-28  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/Makefile.am:
	Readded eazel-gen-xml
	 
	* components/services/install/command-line/eazel-alt-install-corba.c:
	(done), 
	Check the result flag
	(main):
	Added revert to the commandline options.
	
	* components/services/install/idl/trilobite-eazel-install.idl:
	Added a boolean flag to the done signal
	
	* components/services/install/lib/eazel-install-corba-callback.c:	
	(impl_done), (eazel_install_callback_class_initialize),
	Added a boolean flag to the done signal
	(eazel_install_callback_simple_query):
	Removed a blank line!
	
	* components/services/install/lib/eazel-install-corba-callback.h:
	Added a boolean flag to the done signal

	* components/services/install/lib/eazel-install-corba.c:
	(impl_Eazel_Install_simple_query):
	Corrected the parse of the root argument
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_class_initialize), (eazel_install_install_packages),
	(eazel_install_uninstall_packages),
	(eazel_install_revert_transaction_from_xmlstring),
	(eazel_install_query_package_system), 
	Uses the enum return status from eazel-install-rpm-glue.c. The
	delete_files signal now depend on this enum.
	(eazel_install_emit_done), (eazel_install_emit_done_default):
	Added a boolean flag to the done signal

	* components/services/install/lib/eazel-install-public.h:
	Added a boolean flag to the done signal

	* components/services/install/lib/eazel-install-query.c:
	(eazel_install_simple_rpm_query):
	Added the root field to the packagedata
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (download_all_packages),
	(install_packages), (uninstall_all_packages), (uninstall_packages),
	(hest), (revert_transaction),
	(eazel_install_start_transaction_make_rpm_argument_list),
	(eazel_install_do_transaction_save_report),
	(eazel_install_monitor_rpm_propcess_pipe),
	(eazel_install_monitor_subcommand_pipe),
	(eazel_install_start_transaction),
	(eazel_install_free_rpm_system_close_db_foreach),
	(eazel_install_prepare_rpm_system),
	(eazel_install_prepare_package_system),
	(eazel_install_check_existing_packages), (print_package_list),
	(eazel_uninstall_upward_traverse),
	(eazel_uninstall_downward_traverse),
	(eazel_uninstall_check_for_install), (eazel_uninstall_globber):
	Uses the enum return status from eazel-install-rpm-glue.c. Also
	added "D: " to all the debug output, so I can easily remove them
	in the future.
	
	* components/services/install/lib/eazel-install-rpm-glue.h:
	Redefined the functions to return an enum status instead of bool.
	
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_new), (packagedata_destroy_foreach):
	Added the root field to the packagedage (bug 2345)
	
	* components/services/time/service/main.c:
	(trilobite_service_factory_destroy):
	Fixed the destruction of the factory object
	 
	* components/services/time/service/trilobite-eazel-time-service-publi
	c.h:
	* components/services/time/service/trilobite-eazel-time-service.c:
	(impl_Trilobite_Eazel_Time_Service_check_time),
	(trilobite_eazel_time_service_finalize),
	(trilobite_eazel_time_service_unref),
	(trilobite_eazel_time_service_class_initialize),
	(trilobite_eazel_time_service_initialize_load_config),
	(trilobite_eazel_time_service_initialize),
	(trilobite_eazel_time_service_do_http_request):
	Added "D: " to debug output. The service now reads config from a
	xml config file (bug 945). Removed the _destroy call and added a
	unref and finallize instead.
	
	* components/services/trilobite/libtrilobite/helixcode-utils.h:
	* components/services/trilobite/libtrilobite/helixcode-utils.c:
	(xml_get_value):
	Returns the string as a g_strdup'ed value instead. Added a bug
	(2448) reg. making it return const char * instead.
	 
	* components/services/trilobite/libtrilobite/trilobite-core-utils.h:
	*components/services/trilobite/libtrilobite/trilobite-core-utils.c:
	(trilobite_get_config_dir_string):
	Added this call, which returns the top dir for	
	 
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/callbacks.c:
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/installer.c: (installer):
	* nautilus-installer/src/interface.c: (create_window):
	* nautilus-installer/src/main.c:
	Begun work on using the categories.

2000-08-28  Robey Pointer  <robey@eazel.com>

	* components/services/install/lib/Makefile.am:
	* components/services/install/lib/eazel-install-md5.c:
	(_byte_reverse), (md5_init), (md5_update), (md5_final),
	(md5_transform), (md5_get_digest), (md5_get_digest_from_file),
	(main):
	* components/services/install/lib/eazel-install-md5.h:

	Add MD5 code (stolen from evolution).

2000-08-28  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 77 to go. I am exhausted
	from creating bug reports, so the remaining ones will have
	to wait until at least tomorrow.

	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_set_location),
	(fewer_options_callback), (update_options_buttons_state):
	* src/nautilus-search-bar.c:
	* src/nautilus-sidebar-tabs.c: (draw_one_tab_themed),
	(get_tab_width):
	* src/nautilus-sidebar.c: (receive_dropped_uri_list),
	(receive_dropped_keyword), (add_command_buttons):
	* src/nautilus-simple-search-bar.c:
	(nautilus_search_uri_to_simple_search_criteria),
	(nautilus_simple_search_criteria_to_search_uri):
	* src/nautilus-switchable-search-bar.c:
	(search_bar_preference_changed_callback),
	(nautilus_switchable_search_bar_set_location),
	(nautilus_search_uri_is_displayable_by_mode):

2000-08-28  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-property-browser.c: (make_anti_aliased_label),
	(nautilus_property_browser_initialize),
	(make_properties_from_directory_path),
	(make_properties_from_xml_node), (make_category),
	(make_category_link), (nautilus_property_browser_update_contents):
	used anti-aliased text via nautilus_label where appropriate
	* src/nautilus-theme-selector.c: (make_anti_aliased_label),
	(nautilus_theme_selector_initialize):
	used anti-aliased text via nautilus_label where appropriate

2000-08-28  J Shane Culpepper  <pepper@eazel.com>

	* components/services/install/lib/eazel-install-types.h:
	Removing old FIXME comments.

2000-08-28  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/TODO:
        Updated.

        * components/help/converters/gnome-db2html2/AUTHORS:
        New file (to give credit where its due and to show who to contact
        for maintainership purposes)

        * components/help/converters/gnome-db2html2/sect-elements.c
        (sect_table_with_border_start_element) Its a good idea to actually

2000-08-28  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 94 to go.

	* libnautilus-extensions/nautilus-icon-canvas-item.c: (map_pixbuf),
	(draw_label_text_aa), (nautilus_icon_canvas_item_event):
	* libnautilus-extensions/nautilus-icon-container.c: (icon_free),
	(get_all_icon_bounds), (lay_down_icons_tblr), (lay_down_icons),
	(nautilus_icon_container_move_icon), (stop_rubberbanding),
	(destroy), (hide_rename_widget):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_dropped_icon_feedback),
	(receive_dropped_keyword), (auto_scroll_timeout_callback),
	(nautilus_icon_container_find_drop_target),
	(nautilus_icon_dnd_update_drop_target), (nautilus_icon_dnd_fini):
	* libnautilus-extensions/nautilus-link-set.c: (link_set_path_name),
	(expand_uri):
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_get_root_property),
	(nautilus_link_get_additional_text), (make_local_path),
	(nautilus_link_get_image_uri), (nautilus_link_get_link_uri),
	(nautilus_link_get_link_type):
	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_select_text_color), (update_font),
	(update_title), (update_more_info), (update_emblems),
	(update_notes):

2000-08-28  Michael Engber  <engber@eazel.com>
	
	The three zooming related items no longer appear in
	the desktop's right click menu (bug 1737)

	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize_class),
	(change_desktop_background_menu_item_callback),
	(fm_desktop_icon_view_create_background_context_menu_zoom_items):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class),
	(real_create_background_context_menu_zoom_items),
	(create_background_context_menu_zoom_items),
	(fm_directory_view_real_create_background_context_menu_items):
	* src/file-manager/fm-directory-view.h:

2000-08-28  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 142 to go.

	* src/nautilus-view-frame-nautilus-view.c: (load_location),
	(stop_loading), (selection_changed), (title_changed):
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_handle_client_destroy),
	(nautilus_view_frame_set_active_errors):
	* src/nautilus-window-manage-views.c:
	(nautilus_window_report_load_underway),
	(nautilus_window_report_load_complete),
	(nautilus_window_report_load_failed),
	(nautilus_window_update_view),
	(nautilus_window_load_sidebar_panel), (open_location),
	(nautilus_window_update_state),
	(nautilus_window_end_location_change_callback):
	* src/nautilus-window-menus.c: (get_static_bookmarks_file_path):
	* src/nautilus-window.c: (nautilus_window_load_content_view_menu):
	* tools/leak-checker/nautilus-leak-checker.c: (detect_reentry):
	* tools/leak-checker/nautilus-leak-hash-table.c:
	(nautilus_leak_hash_element_vector_add),
	(nautilus_leak_hash_table_remove):

2000-08-28  Robey Pointer  <robey@eazel.com>

	components/services/install/nautilus-view/nautilus-service-install-
	view.c: (generate_install_form), (create_package),
	(nautilus_install_parse_uri), (make_new_status),
	(current_progress_bar_complete),
	(nautilus_service_install_downloading),
	(nautilus_service_install_dependency_check),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_download_failed),
	(nautilus_service_install_installing),
	(nautilus_service_install_done), (nautilus_service_install_failed),
	(nautilus_service_need_password),
	(nautilus_service_install_view_update_from_uri),
	(service_install_load_location_callback):
	components/services/install/nautilus-view/nautilus-service-install-
	view.h:

	support local file RPMs and using a specific server (mostly for
	demo purposes); make sure "test mode" is off; some i18n cleanup
	 
2000-08-28  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 166 to go.

	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	(nautilus_search_bar_criterion_destroy), (get_size_location_for),
	(get_emblem_location_for):
	* libnautilus-extensions/nautilus-search-uri.c:
	* libnautilus-extensions/nautilus-stock-dialogs.c:
	(timed_wait_callback):
	* libnautilus-extensions/nautilus-string-map.c:
	* libnautilus-extensions/nautilus-trash-directory.c:
	(get_volume_vfs_uri_if_writable):
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_mount), (eject_cdrom), (mount_volume_floppy_add),
	(mount_volume_add_aliases), (mntent_is_removable_fs),
	(find_volumes), (nautilus_volume_monitor_mount_unmount_removable):

2000-08-28  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_is_in_trash):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_can_move_file_to_trash):
	Fix FIXME 2428 and 2389.
	Made it so that the respective gnome_vfs_find_directory calls
	won't do any I/O.

2000-08-28  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 187 to go. This time I
	didn't check in until I was sure I hadn't broken the build.

	* libnautilus-extensions/nautilus-directory-async.c:
	(allow_metafile), (set_up_request_by_file_attributes),
	(activation_uri_nautilus_link_read_callback),
	(activation_uri_gmc_link_read_callback):
	* libnautilus-extensions/nautilus-file-utilities.c:
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file.c: (nautilus_file_rename),
	(nautilus_file_compare_for_sort), (nautilus_file_can_get_owner),
	(nautilus_file_set_owner), (nautilus_file_can_get_group),
	(nautilus_file_get_group_name), (nautilus_file_set_group),
	(nautilus_file_get_owner_as_string), (nautilus_file_is_in_trash),
	(nautilus_file_mark_gone), (nautilus_file_dump):

2000-08-28  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-properties-window.c: (attach_owner_menu):
	fixed problem with extra slash in comment breaking the build
	
2000-08-28  John Sullivan  <sullivan@eazel.com>

	Added more bug numbers to FIXMEs. 207 to go.

	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_destroy),
	(nautilus_tree_model_monitor_remove), (report_node_added),
	(report_node_changed), (nautilus_tree_stop_monitoring_internal):
	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_should_skip_file): Added bug numbers to FIXMEs.
	
	* src/file-manager/fm-directory-view.c: Doh! Added a forward
	declaration for a function that I changed from public to private
	earlier and checked in without building accidentally.

2000-08-28  John Sullivan  <sullivan@eazel.com>

	Wrote new bug reports for FIXMEs, and added bug numbers.
	Now there are 219 Nautilus FIXMEs without bug numbers.

	* components/hardware/nautilus-hardware-view.c:
	(get_RAM_description):
	* components/help/converters/gnome-db2html2/gdb3html.c:
	(parse_file):
	* components/help/help-method.c: (escape_for_shell),
	(help_uri_to_string), (convert_file_to_uri), (find_help_file):
	* components/music/nautilus-music-view.c: (play_status_display),
	(slider_moved_callback), (slider_release_callback),
	(nautilus_music_view_drag_data_received):
	* components/rpmview/nautilus-rpm-view.c:
	(nautilus_rpm_view_update_from_uri):
	* components/sample/nautilus-sample-content-view.c:

2000-08-28  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug #1942, Trash icon on desktop has "Move to Trash" in
	right-click menu.
	
	* libnautilus-extensions/nautilus-link.c:
	(nautilus_link_is_home_link), (nautilus_link_is_trash_link),
	(nautilus_link_can_accept_drag):
	Rename path argument to uri.  The funciton can accrept
	a URI.
	
	* libnautilus-extensions/nautilus-link.h:
	* src/file-manager/fm-directory-view.c: (trash_link_is_in_files),
	(fm_directory_trash_link_in_selection),
	(fm_directory_view_real_create_selection_context_menu_items):
	New functions to identify if a Trash link is in the selection.

2000-08-28  Pavel Cisler  <pavel@eazel.com>

	* README:
	Added libunicode to the list of dependencies because new
	gtkhtlm depends on it now.

2000-08-28  John Sullivan  <sullivan@eazel.com>

	Some FIXME work. Removed some obsolete FIXMEs, and added
	bug numbers to others (some existing bug reports, some new
	bug reports). 236 FIXMES without bug numbers remain.

	* src/file-manager/fm-directory-view.c:
	(zoomable_zoom_to_fit_callback),
	(fm_directory_view_can_move_file_to_trash),
	(fm_directory_view_trash_or_delete_selection), (activate_callback),
	(fm_directory_view_activate_file),
	(fm_directory_view_get_context_menu_index):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-error-reporting.c: (fm_rename_file):
	* src/file-manager/fm-error-reporting.h:
	* src/file-manager/fm-properties-window.c:
	(activate_group_callback), (attach_group_menu),
	(activate_owner_callback), (attach_owner_menu),
	(create_basic_page), (create_permissions_page):
	* src/file-manager/fm-search-list-view.c: (real_merge_menus):
	* src/nautilus-sidebar.c: (receive_dropped_uri_list):

2000-08-28  Rebecca Schulman  <rebecka@eazel.com>

	Work on task 1969, allow content searches to
	be done by looking for "All of the words" or
	"any of the words"
	The work to correct the Search results titles
	still needs to be done.

	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	(nautilus_search_bar_criterion_new_from_values),
	(nautilus_search_bar_criterion_next_new),
	(get_next_default_search_criterion_type),
	(get_content_location_for):
	Change content information.  Also removed location criterion
	because we are not shipping vault searching for 1.0, so the
	location is always "my computer"
	* libnautilus-extensions/nautilus-search-bar-criterion.h:
	* src/nautilus-complex-search-bar.c:
	(unattach_criterion_from_search_bar):
	Fixed bug that would not detach date criteria correctly

2000-08-28  Ramiro Estrugo  <ramiro@eazel.com>

	Complete task 1511.  Icons not AA in properties dialog.
	
	* src/file-manager/fm-properties-window.c:
	(get_pixbuf_for_properties_window),
	(update_properties_window_icon), (create_image_widget_for_file),
	(create_basic_page):
	Use NautilusImage instead of GtkPixmap so that if the
	SMOOTH_GRAPHICS preference is true, the icon will display using
	alpha compositing.
	
2000-08-28  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-buffered-widget.c:
	(nautilus_buffered_widget_initialize),
	(nautilus_buffered_widget_realize),
	(nautilus_buffered_widget_draw),
	(background_appearance_changed_callback),
	(connect_to_background_if_needed):
	Delay the connection to the NautilusBackground until its time to
	redraw the widget.  Only make this connection if an ancestor
	widget with an attatched NautilusBackground exists.

	This allows subclasses to be used on both widgets with and without
	NautilusBackgrounds attatched.
	
2000-08-28  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_set_font_from_components):
	* libnautilus-extensions/nautilus-label.h:
	New convenient function to set the font from components.  
	
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize), (add_play_controls):
	Use new nautilus_label_set_font_from_components to avoid font
	object leaks.
	 
	components/services/nautilus-dependent-shared/shared-service-widgets.c:
	(create_label_widget), (create_services_title_widget):
	Use new nautilus_label_set_font_from_components.
	 
	* src/nautilus-first-time-druid.c: (make_anti_aliased_label),
	(make_hbox_user_level_radio_button), (set_up_update_feedback_page):
	Use new nautilus_label_set_font_from_components to avoid font
	object leaks.

2000-08-28  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-first-time-druid.c: (make_anti_aliased_label),
	(make_hbox_user_level_radio_button), (set_up_user_level_page),
	(set_up_service_signup_page), (set_up_update_page),
	(set_up_update_feedback_page), (nautilus_first_time_druid_show),
	(download_callback), (initiate_file_download):

	used anti-aliased text, via nautilus_label, throughout the first time druid
	
	* components/music/nautilus-music-view.c:
	(nautilus_music_view_initialize),
	(music_view_set_selected_song_title), (add_play_controls),
	(nautilus_music_view_update_from_uri):

	used anti-aliased text via nautilus_label, for title and other labels
	
2000-08-27  J Shane Culpepper  <pepper@eazel.com>

	components/services/summary/nautilus-view/nautilus-summary-view.c:
	(generate_summary_form), (maintenance_button_cb), (goto_vault_cb),
	(update_netscape_cb):

	Another summary snapshot.  Still needs alot of ui work as well as
	hooking up the xml parsing.

2000-08-27  Ali Abdin  <aliabdin@aucegypt.edu>

        Entity support done in the bad evil way! (fixes bug #2200)
        (we should re-write gnome-db2html2 to use the DOM parser - but this
        should be filed as another bug - and this code is here until
        gnome-db2html2 IS written to use the DOM parser)

        * components/help/converters/gnome-db2html2/toc-elements.c:
        Extend the ElementInfo toc_elements[] table down to the 'TABLE' tag
        Fixes bug #2361 - It took me an INSANE amount of time for such a
        simple little FIX. The shitty thing is, I knew the problem when I
        started but then I decided to 'explore'

        * components/help/converters/gnome-db2html2/gdb3html.[ch]:
        Include libxml header's (for entity support). Include an
        xmlParserCtxtPtr in the Context struct
        (gdb3html_comment), (gdb3html_warning), (gdb3html_error),
        (gdb3html_characters): Renamed into its own namespace (to avoid clash
        with libxml header)

        (gdb3html_internalSubset), (gdb3html_isStandalone),
        (gdb3html_hasInternalSubset), (gdb3html_hasExternalSubset),
        (gdb3html_resolveEntity), (gdb3html_entityDecl),
        (gdb3html_notationDecl), (gdb3html_attributeDecl),
        (gdb3html_elementDecl), (gdb3html_unparsedEntityDecl),
        (gdb3html_reference), (gdb3html_processingInstruction),
        (gdb3html_getParameterEntity): New functions (that handle DOM parsing
        using SAX)

        (cdata_block), (gdb3html_characters), (end_element),
        (start_element), (start_document), (end_document),
        (get_entity): Include calls to the DOM SAX handler

        (xml_parse_document): New function to get the xmlDocPtr without
        spewing warning/error messages all over the place.
        (parse_file): Initialize the ParserCtxt and substitute entities by
        default

2000-08-26  Andy Hertzfeld  <andy@eazel.com>
 
	cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-eazel.c
	: (nautilus_druid_page_eazel_prepare):
	fixed bug in the new eazel druid where the next and back buttons weren't
	being enabled and disabled properly for standard pages
	
2000-08-26  Andy Hertzfeld  <andy@eazel.com>

	* src/file-manager/fm-directory-view.c: (compute_menu_item_info),
	(fm_directory_view_real_create_selection_context_menu_items):
	cleaned up the context menu a little bit by adding a separator after
	the 3 open commands and adding an ellipsis to "Show Properties".
	
2000-08-26  Andy Hertzfeld  <andy@eazel.com>

	At Bud's request, added a "use tighter layout" option in the view menu, which causes
	the icon view to use a tighter layout algorithm. It defaults to off.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-private.h:
	(get_icon_space_width), (lay_down_one_line),
	(lay_down_icons_horizontal),
	(nautilus_icon_container_set_tighter_layout),
	(nautilus_icon_container_is_auto_layout),
	(nautilus_icon_container_is_tighter_layout):
	added a "tighter layout" boolean; when it's set, don't pad out
	to the nearest power of two.
	
	* libnautilus-extensions/nautilus-metadata.h:
	added a tag for tighter layout in the metadata
	
	* src/file-manager/fm-icon-view.c,h: (tighter_layout_callback),
	(compute_menu_item_info), (insert_one_context_menu_item),
	(update_layout_menus), (fm_icon_view_get_directory_tighter_layout),
	(fm_icon_view_real_get_directory_tighter_layout),
	(fm_icon_view_set_directory_tighter_layout),
	(fm_icon_view_real_set_directory_tighter_layout),
	(fm_icon_view_begin_loading),
	(insert_bonobo_menu_item), (sort_callback),
	(sort_direction_callback), (manual_layout_callback),
	(layout_changed_callback), (fm_icon_view_merge_menus),
	(update_one_menu_item), (fm_icon_view_initialize_class):
	added a "tighter layout" boolean as an instance variable,
	added a toggle menu item, and hooked everything up so the
	menu item toggles the tighter layout state.  It stores it
	per directory in the metadata.

2000-08-25  Rebecca Schulman  <rebecka@eazel.com>

        Fixed bug 2071 to improve the date modified search
	criterion.  Also, an change to the indexing info dialog
	because of a change in the medusa search service API
	
	* libnautilus-extensions/nautilus-dateedit-extensions.c:
	(nautilus_gnome_date_edit_get_date_as_string):
	* libnautilus-extensions/nautilus-dateedit-extensions.h:
	* libnautilus-extensions/Makefile.am:
	An extra addition to the gnome dateedit widget we need for
	the modified search criterion

	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_get_location),
	(attach_criterion_to_search_bar):
	* libnautilus-extensions/nautilus-search-bar-criterion-private.h:
	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	* libnautilus-extensions/nautilus-search-bar-criterion.h:
	(nautilus_search_bar_criterion_new_from_values),
	(nautilus_search_bar_criterion_next_new),
	(nautilus_search_bar_criterion_get_location),
	(get_date_modified_location_for):
	Changed date modified bar to take a date edit widget
	instead of an entry or menu, and parse the operatory coorectly
	

	* src/file-manager/nautilus-indexing-info.c:
	(nautilus_indexing_info_show_dialog):
	Changed because medusa api was updated


2000-08-25  J Shane Culpepper  <pepper@eazel.com>

	 
	components/services/summary/nautilus-view/nautilus-summary-view.c:
	(generate_summary_form), (entry_changed_cb), (login_button_cb),
	(maintenance_button_cb):

	Another summary snapshot.   Added the login frame skeleton.

2000-08-25  Robey Pointer  <robey@eazel.com>

	* src/nautilus-application.c: (nautilus_application_startup):
	* src/nautilus-application.h:
	* src/nautilus-first-time-druid.c: (druid_finished):
	* src/nautilus-main.c: (main):
	* src/nautilus-shell-interface.idl:
	* src/nautilus-shell.c: (nautilus_shell_get_epv), (corba_quit),
	(corba_restart):

	Add corba 'restart' call to the IDL, and match it with
	command-line option '--restart'.  On restart, Nautilus goes
	through all the exit code, then does an exec() on itself instead
	of exit().

2000-08-25  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1782 (File->Open after opening a folder crashes)
	The problem was that the menus weren't being updated when
	switching locations, so menus like "Open" were still sensitive
	because there used to be a selection.

	* src/file-manager/fm-directory-view.c:
	Added menus_merged boolean to Details struct.
	(fm_directory_view_merge_menus): Set menus_merged to TRUE.
	(fm_directory_view_load_uri): update menus when loading URI,
	but only if menus_merged is TRUE (so you don't try to update
	nonexistent menus the first time, which would make Bonobo sad)

2000-08-25  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1934 ("View as" menu gets ludicrously tall when
	you add search criteria)

	* src/nautilus-window.c: (nautilus_window_constructed):
	Put "View as" option menu into a GtkVBox so it doesn't
	insist on filling the available space vertically.

Fri Aug 25 18:13:09 2000  George Lebl <jirka@5z.com>

	* cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-eazel.c,
	  cut-n-paste-code/widgets/nautilus-druid/nautilus-druid.c
	  (nautilus_druid_size_request):
	  Fix height issue in size_request and set the druid page height back
	  to the correct size (322 pixels)

	* src/nautilus-first-time-druid.c (user_level_selection_changed),
	  (make_label_bold) (make_hbox_user_level_radio_button)
	  (set_up_user_level_page):  Partial arloyfication of the
	  user level page.  Not yet using NautilusLabel because
	  that appears to be broken (or I'm using it wrong, will
	  investigate).

2000-08-25  Michael Engber  <engber@eazel.com>

	Refactored draw_pixbuf_aa.

	* libnautilus-extensions/nautilus-background.c: (draw_pixbuf_aa),
	(draw_pixbuf_scaled_aspect_aa), (draw_pixbuf_scaled_aa),
	(draw_pixbuf_centered_aa), (draw_pixbuf_tiled_aa):

2000-08-25  Mathieu Lacage  <mathieu@eazel.com>

	components/tree/nautilus-tree-view.c: implement dnd to/from 
	tree view. Closes tasks 1533 and 1534. 
	
2000-08-25  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-volume-monitor.h:
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(is_floppy_mount_path): Added helper.
	(floppy_sort): Simplified logic.
	(nautilus_volume_monitor_get_removable_volume_names): Used the
	prepend/reverse idiom instead of append.
	(nautilus_volume_monitor_volume_is_mounted): Fixed extremely
	unlikely but possible buffer overflow and checked result from
	sscanf.
	(mount_volume_mount): Use g_strchomp instead of rolling our own.
	Took out some dead code.
	(mount_volumes_update_is_mounted): Fixed extremely unlikely but
	possible buffer overflow and checked result from sscanf.
	(mount_volume_add_aliases): Fixed possible buffer overflow and
	storage leak.
	(mount_volume_ext2_add): Removed code to ignore all ext2 volumes
	other than "/". Moved the hack into FMDesktopIconView.
	(mount_volume_cdrom_set_state), (mount_volume_floppy_set_state),
	(mount_volume_ext2_set_state), (mount_volume_set_state),
	(volume_set_state_empty) (mount_volume_activate_cdrom),
	(mount_volume_activate_floppy), (mount_volume_activate_ext2),
	(mount_volume_activate), (eject_cdrom), (mount_volume_deactivate),
	(mount_volume_check_change), (check_permissions),
	(mount_volume_floppy_add),
	(cdrom_ioctl_frenzy), (mount_volume_iso9660_add),
	(add_mount_volume), (mntent_is_removable_fs), (find_volumes),
	(nautilus_volume_monitor_mount_unmount_removable),
	(free_volume_info), (get_iso9660_volume_name),
	(get_ext2_volume_name), (get_floppy_volume_name):
	Removed mount_type and volume_fd. Made a bunch of formerly-
	public things private and added NAUTILUS_ prefix to some public
	identifier that didn't have it.

	* libnautilus-extensions/nautilus-trash-directory.c:
	(get_volume_vfs_uri_if_writable):
	Changed callers to use the constants with the NAUTILUS_ prefix.
	
	* src/file-manager/fm-desktop-icon-view.c: (create_mount_link):
	Moved the "/" hack here (marked with a FIXME and bug number) and
	made the two cases that create mount links share code. Also
	made it use type instead of the now-gone mount_type.
	(startup_create_mount_links), (volume_mounted_callback): Call the
	new common routine instead of having two copies of the same code.

2000-08-25  John Sullivan  <sullivan@eazel.com>

	Made sorting by size put big ones first, to match
	common sense. (Date now puts recent ones first by
	the same reasoning.) Changed "Ascending/Descending"
	pair of items to single "Reversed Order" item so
	it isn't making any promises about order.

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_compare_directories_by_size): Reverse
	the logic for directory ordering.
	* src/file-manager/fm-icon-view.c: 
	Changed Details field from updating_bonobo_radio_menu_item
	to updating_bonobo_marked_menu_item since it now covers one
	toggle item also.
	(update_layout_menus), (sort_callback), (sort_direction_callback),
	(manual_layout_callback), (fm_icon_view_merge_menus): Changed
	all the code dealing with "Ascending/Descending" radio-item pair
	to deal with single "Reversed Order" toggle item instead.

2000-08-24  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/sect-elements.c:
        * components/help/converters/gnome-db2html2/gdb3html.h:
        Add in support for the <mousebutton> tag

2000-08-25  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-buffered-widget.c:
	(nautilus_buffered_widget_initialize_class),
	(nautilus_buffered_widget_realize),
	(nautilus_buffered_widget_draw),
	(nautilus_buffered_widget_size_allocate),
	(nautilus_buffered_widget_expose_event):
	Some dumb renamings and superfluous assertion removal.

	* libnautilus-extensions/nautilus-image.c:
	(nautilus_image_initialize_class), (nautilus_image_draw),
	(nautilus_image_expose_event), (nautilus_image_paint),
	(nautilus_image_set_alpha_mode):
	Add support for two alpha rendering modes: 1) FULL, the pixbuf is
	composited on top of the widget's background - expensive.  2)
	THRESHOLD, the pixbuf is drawn with an alpha threshold without any
	compositing - fast but not as smooth.
	
	* libnautilus-extensions/nautilus-label.c: (render_buffer_pixbuf):
	Remove a dumb printf i left in before.
	
	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_initialize), (update_icon),
	(nautilus_sidebar_title_hit_test_icon),
	(sidebar_create_smooth_components_if_needed),
	(sidebar_create_normal_components_if_needed),
	(smooth_graphics_mode_changed_callback):
	Use the new dual alpha support in the image class to simplify
	things.  Create only one icon and change the alpha mode on that
	when the smooth graphics preference changes.  Ill do the same for
	emblems later.
	
2000-08-25  Ramiro Estrugo  <ramiro@eazel.com>

	* test/test-nautilus-label.c:
	(red_label_color_value_changed_callback),
	(green_label_color_value_changed_callback),
	(blue_label_color_value_changed_callback),
	(alpha_label_color_value_changed_callback),
	(red_background_color_value_changed_callback),
	(green_background_color_value_changed_callback),
	(blue_background_color_value_changed_callback),
	(alpha_background_color_value_changed_callback),
	(widget_set_nautilus_background_image),
	(widget_set_nautilus_background_color),
	(widget_get_nautilus_background_color),
	(background_changed_callback), (main):

	Fix the background color test.
	
2000-08-25  Ramiro Estrugo  <ramiro@eazel.com>

	components/services/nautilus-dependent-shared/shared-service-widgets.c:
	(create_label_widget), (create_services_title_widget),
	(create_services_header_widget):
	components/services/nautilus-dependent-shared/shared-service-widgets.h:

	Update for changes label/image changes that fix the ugly margins.

2000-08-25  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-buffered-widget.c:
	(nautilus_buffered_widget_initialize),
	(buffered_widget_update_pixbuf),
	(nautilus_buffered_widget_set_tile_pixbuf),
	(nautilus_buffered_get_tile_pixbuf_size),
	(nautilus_buffered_widget_set_horizontal_offset),
	(nautilus_buffered_widget_get_horizontal_offset),
	(nautilus_buffered_widget_set_vertical_offset),
	(nautilus_buffered_widget_get_vertical_offset):
	* libnautilus-extensions/nautilus-buffered-widget.h:

	Add suport for a vertical and horizontal offset.  Pass these on to
	the pixbuf render function so that the subclasses can do stuff
	with them.

	* libnautilus-extensions/nautilus-image.c:
	(nautilus_image_initialize), (nautilus_image_size_request),
	(render_buffer_pixbuf), (nautilus_image_set_overall_alpha),
	(nautilus_image_set_alpha_mode), (nautilus_image_get_alpha_mode):
	* libnautilus-extensions/nautilus-image.h:

	Use the GtkMisc xpad/ypad into account when computing the
	requested geometry.
	
	Add preliminary support an alpha mode so that the image widget can
	server as a regular thresholded pixbuf display without doing the
	full and expensive compositing on the background.  Not hooked up yet.

	Update for vertical/horizontal offset support.

	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_size_request), (render_buffer_pixbuf):
	
	Use the GtkMisc xpad/ypad into account when computing the
	requested geometry.

	Update for vertical/horizontal offset support.
	
2000-08-25  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/Makefile.am:
	* components/tree/libmain.c: (tree_shlib_object_destroyed),
	(tree_shlib_make_object):
	* components/tree/main.c: (tree_exe_object_destroyed),
	(tree_exe_make_object), (main):
	* components/tree/nautilus-tree-view-iids.h:
	* components/tree/nautilus-tree-view.oafinfo: Removed
	* components/tree/nautilus-tree-view.oafinfo.exe: Added
	* components/tree/nautilus-tree-view.oafinfo.shlib: Added
	* configure.in:

	Added capability to build the tree view as either a shared library
	server or an executable server, as part of the plan to fix
	1647. However, using the shlib component causes massive
	instability in both the tree view and nautilus in general. I am
	leaving the executable component the default until I fix this.
	
Fri Aug 25 02:17:17 2000  George Lebl <jirka@5z.com>

	* cut-n-paste-code/widgets/nautilus-druid/Makefile.am,
	  cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-finish.c,
	  cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-finish.h,
	  cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-start.c,
	  cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-start.h:
	  Remove these as they are obscolete anyway.

	* cut-n-paste-code/widgets/nautilus-druid/nautilus-druid.c
	  (nautilus_druid_init), (nautilus_druid_size_request),
	  (nautilus_druid_size_allocate):
	  Fix calculating of size and borders

	* icons/Makefile.am, icons/druid_*.png: Add Arlo's druid images.

	* po/POTFILES.in,
	  cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-eazel.c,
	  cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-eazel.h:
	  Add the eazel druid page.  Theoretically this should move to
	  libnautilus-extentions soon, including deriving nautilus-druid from
	  gnome-druid, in which way we can eliminate the entire
	  cut-n-paste mess for the druid.  Likely to do this tommorrow with
	  the rest of the arloification.

	* src/nautilus-first-time-druid.c (set_up_background),
	  (set_up_user_level_page), (set_up_service_signup_page),
	  (set_up_update_page), (set_up_update_feedback_page),
	  (set_page_sidebar), (nautilus_first_time_druid_show):
	  Use the eazel page for the druid and set up the sidebar image
	  to the standard one.

2000-08-25  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/Makefile.am:
	No longer builds anything else then eazel-install.
	* components/services/install/command-line/eazel-alt-install-corba.c:
	(install_failed), 
	Changed output...
	(create_package), 
	if used with --file and the filename does not start with /, adds
	$cwd to filename
	(main):
	Commandline arg for rpm db root
	
	* components/services/install/idl/trilobite-eazel-install.idl:
	Added the rpm db root arg to install, uninstall, query and revert.
	
	* components/services/install/lib/eazel-install-corba-callback.h:
	* components/services/install/lib/eazel-install-corba-callback.c:
	(eazel_install_callback_install_packages),
	(eazel_install_callback_uninstall_packages),
	(eazel_install_callback_simple_query),
	(eazel_install_callback_revert_transaction):
	Added support for rpm db root arguments for the four major
	operations. Encodes root==NULL to ""
	
	* components/services/install/lib/eazel-install-corba.c:
	(impl_Eazel_Install_install_packages),
	(impl_Eazel_Install_uninstall_packages),
	(impl_Eazel_Install_revert_transaction),
	(impl_Eazel_Install_simple_query):
	Decode the root arg... big stuff heh ?
	
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-private.h:
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_set_arg), (eazel_install_class_initialize),
	(eazel_install_initialize), (eazel_install_install_packages),
	(eazel_install_uninstall_packages),
	(eazel_install_revert_transaction_from_xmlstring),
	(eazel_install_revert_transaction_from_file),
	(eazel_install_query_package_system), (string_list_copy),
	(eazel_install_set_root_dirs):
	Changed the root_dir GtkArg to a GList, so you can set the array
	of roots to use. The object defaults to use /var/lib/rpm and
	~/.nautilus/rpmdb as roots. If ~/.nautilus/rpmdb does not exist,
	it will create a rpmdb in this dir.
	In -private.h, I've removed the rpmdb var in the packsys.rpm
	union, and now have a hashtable that maps from root dir to rpmdb.
	in the private struct, there is also a cur_root var, which holds
	the root given to the four calls, or DEFAULT_RPM_DB_ROO
	(/var/lib/rpm) if called with root==NULL.

	* components/services/install/lib/eazel-install-protocols.c:
	(gnome_vfs_xfer_callback), (gnome_vfs_fetch_remote_file):
	Added gnome_vfs_callback_struct so I can transfer both the
	file_to_report and EazelInstall object. Thus gnome-vfs downloads
	now again reports short names (eg. xfig instead of
	xfig-3.2.2-_beta1-2).
	
	* components/services/install/lib/eazel-install-query.h:
	Comments on how to use the query call.
	
	* components/services/install/lib/eazel-install-query.c:
	(eazel_install_simple_rpm_query), 
	Now collects the result into a parameter instead of returning a glist.
	(eazel_install_simple_query):
	If no cur_root is set in the EazelInstall object, it queries on
	all the databases, otherwise, it only queries the cur_root db.
	Plus I fixed some horribleness in the vaarg stuff.
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_new_packages), (download_all_packages),
	(install_packages), (uninstall_packages),
	(eazel_install_start_transaction),
	(eazel_install_free_rpm_system_close_db_foreach),
	(eazel_install_free_rpm_system),
	(eazel_install_prepare_rpm_system),
	(eazel_install_prepare_package_system),
	(eazel_install_add_to_rpm_set),
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_rpm_dependencies),
	(eazel_install_ensure_deps), 
	Changed to use the new hashtable of rpmdb's.
	
	(eazel_uninstall_upward_traverse),
	(eazel_uninstall_downward_traverse),
	(eazel_uninstall_check_for_install), 
	(eazel_uninstall_globber):
	The uninstall stuff uses eazel_install_simple_query now (bug
	1697). Also did more work on the downward traverse, although I
	still feel it's too dangerous to actually use. But now the upwards
	works properly (by using the neglist feature in the query, fixes
	bug 1539)
	
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_fill_from_rpm_header):
	Eek, I used pointers into the rpmheader instead of copying them
	out. At least that 
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(xml_get_prop), 
	Made a funky xml_get_prop call, that like xmlGetProp gets a
	property, but also g_strdup's it and free the malloc'ed libxml value.
	(parse_category), (generate_xml_package_list),
	(osd_parse_implementation), (osd_parse_softpkg),
	(parse_osd_xml_from_memory):
	Uses xml_get_prop
	 
	* components/services/install/nautilus-view/nautilus-service-install.
	c: (nautilus_service_install_view_install_package_callback),
	(nautilus_service_install_view_uninstall_package_callback):
	Pass NULL for the root parameter, that causes eazelinstall to
	default to the /var/lib/rpm db

2000-08-24  J Shane Culpepper  <pepper@eazel.com>

	 
	components/services/summary/nautilus-view/nautilus-summary-view.c:
	(generate_summary_form):
	Snapshot checkin of the parent frame layout.  Still looks bad but
	I wanted capture the parent changes in case I do something dumb.

2000-08-24  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-buffered-widget.c:
	(nautilus_buffered_widget_expose),
	(buffered_widget_create_pixbuf_from_background),
	(nautilus_buffered_widget_get_tile_pixbuf),
	(nautilus_buffered_get_tile_pixbuf_size):
	* libnautilus-extensions/nautilus-buffered-widget.h:
	New function to access the tile_height.
	
	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_size_request):
	Take the tile height into account when computing the requested
	label height.

2000-08-24  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/nautilus-tree-view.c
	(view_node_to_uri): New function.
	(lots of places): Use it.

2000-08-24  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/sect-elements.[ch]:
        (sect_table_with_border_start_element): Renamed from
        sect_table_start_element to this.
        (sect_table_without_border_start_element): New function
        (sect_member_start_element): ditto
        (sect_member_end_element): ditto

        * components/help/converters/gnome-db2html2/gdb3html.h:
        Add in support for the <simplelist> and <member> tags

2000-08-24  Darin Adler  <darin@eazel.com>

	Moved functions to gnome-vfs.

	* components/music/nautilus-music-view.c: (play_current_file),
	(nautilus_music_view_update_from_uri):
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_uri_known_not_to_exist):
	* libnautilus-extensions/nautilus-directory-background.c:
	(theme_image_path_to_uri),
	(nautilus_directory_background_read_desktop_settings),
	(nautilus_directory_background_write_desktop_settings):
	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_get_user_main_directory), (nautilus_is_remote_uri):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_load):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(make_thumbnail_path), (path_represents_svg_image),
	(load_specific_image), (nautilus_icon_factory_make_thumbnails):
	* libnautilus-extensions/nautilus-link-set.c: (expand_uri):
	* libnautilus-extensions/nautilus-link.c: (nautilus_link_create),
	(nautilus_link_set_icon), (nautilus_link_set_link_uri),
	(nautilus_link_set_type), (nautilus_link_get_root_property),
	(make_local_path), (nautilus_link_get_image_uri):
	* libnautilus-extensions/nautilus-preferences-item.c:
	(add_icon_themes):
	* libnautilus-extensions/nautilus-program-choosing.c:
	(nautilus_launch_application_parented):
	* libnautilus-extensions/nautilus-trash-directory.c:
	(get_volume_vfs_uri_if_writable):
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_volume_mount):
	* src/file-manager/fm-desktop-icon-view.c:
	(startup_create_mount_links), (volume_mounted_callback),
	(place_home_directory), (get_local_path):
	* src/file-manager/fm-directory-view.c: (activate_callback):
	* src/file-manager/fm-icon-view.c: (play_file):
	* src/file-manager/fm-properties-window.c:
	(get_and_ref_file_to_display):
	* src/nautilus-desktop-window.c: (nautilus_desktop_window_new):
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_drag_data_get), (remove_background),
	(remove_emblem), (emblem_image_file_changed),
	(add_background_to_browser), (emblem_dialog_clicked),
	(make_properties_from_directory):
	* src/nautilus-sidebar.c: (map_local_data_file),
	(uri_is_local_image):
	* src/nautilus-theme-selector.c: (populate_list_with_themes):
	* src/nautilus-view-frame-bonobo-embeddable.c:
	(bonobo_subdoc_load_location):
	* src/nautilus-window.c: (nautilus_window_go_home):
	Changed to use local path functions from gnome-vfs now that
	they are moved there from Nautilus.
	
	* libnautilus-extensions/nautilus-file-utilities.h:
	* libnautilus-extensions/nautilus-file-utilities.c:
	Removed the local path functions since they are in gnome-vfs
	now and all callers have been changed to use those.

2000-08-24  Robey Pointer  <robey@eazel.com>
	 
	* components/services/install/nautilus-view/nautilus-service-install-view.c:
	(nautilus_service_install_view_destroy),
	(nautilus_install_parse_uri), (spin_cylon),
	(nautilus_service_install_downloading),
	(nautilus_service_install_download_failed),
	(nautilus_service_install_done), (nautilus_service_install_failed),
	(nautilus_service_install_view_update_from_uri):
	* components/services/install/nautilus-view/nautilus-service-install-view.h:

	Hardcode rpm install server host/port (for now), changing the url
	format to the requested "eazel-install:xfig".  Unref the root
	client and install service correctly.  Spin a cylon when waiting
	to contact the remote server.
	 
	* components/services/nautilus-dependent-shared/shared-service-widgets.c:
	(create_label_widget), (create_services_title_widget),
	(create_services_header_widget):
	 
	* components/services/trilobite/libtrilobite/trilobite-core-utils.c:
	(trilobite_init):
	* libnautilus/nautilus-view.c: (view_frame_call_end):

2000-08-24  Mathieu Lacage  <mathieu@eazel.com>

	* nautilus-gdk-extensions.c: (nautilus_gdk_color_to_rgb): space,
	(nautilus_gdk_rgb_to_color): add function.. could be useful. 
	* nautilus-gdk-extensions.h: add prototype.
	* nautilus-gtk-extensions.c: (rgb_to_hls): new internal function. converts
	from rgb to hls., (hls_to_rgb): from hls to rgb,
	(nautilus_gtk_style_shade): necassery magic to "shade a color by a given 
	amount... All this was copied from panel.c which was in turn copied from 
	gtk.
	* nautilus-gtk-extensions.h: add prototype.

2000-08-24  Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/nautilus-service-install-view.c:
	(generate_install_form),
	(nautilus_service_install_view_destroy),
	(nautilus_install_parse_uri), (make_new_status),
	(current_progress_bar_complete),
	(nautilus_service_install_downloading),
	(nautilus_service_install_installing),
	(nautilus_service_install_failed),
	(nautilus_service_need_password), (set_root_client),
	(nautilus_service_install_view_update_from_uri):
	* components/services/install/nautilus-view/nautilus-service-install-view.h:

	More cleanup of the RPM install view: rudimentary password dialog,
	cleaned out old unused code, and hooked up the RPM package info to
	display in the top field, instead of the fake "The Gimp" info.
	Also removed the forced delays in updating (install happens in
	"realtime" now!).
	 
2000-08-24  Arlo Rose  <arlo@eazel.com>
	
	* icon/search_results.png
	Added an icon to be used in the search results side bar.

2000-08-24  J Shane Culpepper  <pepper@eazel.com>

	* components/services/install/nautilus-view/main.c:
	(service_install_object_destroyed), (service_install_make_object),
	(main):
	 
	* components/services/install/nautilus-view/nautilus-service-install-view.c:
	(show_overall_feedback),
	(nautilus_service_install_view_initialize_class),
	(nautilus_service_install_view_initialize),
	(nautilus_service_install_view_destroy),
	(nautilus_service_install_view_get_nautilus_view),
	(nautilus_service_install_downloading),
	(nautilus_service_install_installing),
	(nautilus_service_install_view_update_from_uri),
	(nautilus_service_install_view_load_uri),
	(service_install_load_location_callback):
	* components/services/inventory/lib/eazel-inventory-shared.c:
	(add_package_info), (read_proc_info), (add_info), (add_io_info),
	(add_hardware_info), (synchronize_configuration_metafile),
	(update_configuration_metafile), (create_configuration_metafile):
	* components/services/inventory/nautilus-view/main.c:
	(inventory_object_destroyed), (inventory_make_object), (main):
	 
	* components/services/inventory/nautilus-view/nautilus-inventory-view.c:
	(generate_inventory_form), (gather_config_button_cb),
	(register_later_cb), (show_feedback), (make_http_post_request),
	(go_to_uri), (get_home_uri), (update_now), (generate_form_title),
	(nautilus_inventory_view_initialize_class),
	(nautilus_inventory_view_initialize),
	(nautilus_inventory_view_destroy),
	(nautilus_inventory_view_get_nautilus_view),
	(nautilus_inventory_view_load_uri),
	(inventory_load_location_callback):
	* components/services/login/nautilus-view/main.c:
	(login_object_destroyed), (login_make_object), (main):
	* components/services/login/nautilus-view/nautilus-login-view.c:
	(entry_changed_cb), (login_button_cb), (maintenance_button_cb),
	(nautilus_login_view_initialize_class),
	(nautilus_login_view_initialize), (nautilus_login_view_destroy),
	(nautilus_login_view_get_nautilus_view),
	(nautilus_login_view_load_uri), (login_load_location_callback):
	 
	* components/services/nautilus-dependent-shared/shared-service-utilities.c:
	(go_to_uri), (is_location):
	* components/services/startup/nautilus-view/main.c:
	(service_object_destroyed), (service_make_object), (main):
	 
	* components/services/startup/nautilus-view/nautilus-service-startup-view.c:
	(generate_form_logo),
	(nautilus_service_startup_view_initialize_class),
	(nautilus_service_startup_view_initialize),
	(nautilus_service_startup_view_destroy),
	(nautilus_service_startup_view_get_nautilus_view),
	(nautilus_service_startup_view_load_uri),
	(service_load_location_callback):
	* components/services/summary/nautilus-view/main.c:
	(summary_object_destroyed), (summary_make_object), (main):
	 
	* components/services/summary/nautilus-view/nautilus-summary-view.c:
	(generate_summary_form), (nautilus_summary_view_initialize_class),
	(nautilus_summary_view_initialize),
	(nautilus_summary_view_destroy),
	(nautilus_summary_view_get_nautilus_view),
	(nautilus_summary_view_load_uri), (summary_load_location_callback):

	Cleaning up some code to meet coding standards.

2000-08-24  Michael Engber  <engber@eazel.com>

	Added a Change Desktop Background item to the right click
	menu of the desktop. I brings up the background capplet (bug
	1791). While I was at it I made it so the Change Background
	item for the desktop was called Change Desktop Background in
	accordance with Arlo's wishes.

	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_is_set):
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize_class),
	(reset_desktop_background_menu_item_callback),
	(change_desktop_background_menu_item_callback),
	(fm_desktop_icon_view_create_background_context_menu_background_ite
	ms):
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class),
	(real_create_background_context_menu_background_items),
	(create_background_context_menu_background_items),
	(fm_directory_view_real_create_background_context_menu_items):
	* src/file-manager/fm-directory-view.h:

2000-08-24 Alastair McKinstry <mckinstry@computer.org>

	* configure.in: Added "ga" to ALL_LINGUAS

2000-08-24  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1653 (new menu layout). View menu now contains
	Show/Hide items for tool bar, location bar, sidebar, and
	status bar. The preference now controls only what you get
	for new windows. Any future "menus aren't quite right" 
	issues should be filed as new bugs.

	* libnautilus-extensions/nautilus-global-preferences.h:
	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog), (global_preferences_register):
	Renamed NAUTILUS_PREFERENCES_DISPLAY_SIDEBAR and its ilk to
	NAUTILUS_PREFERENCES_START_WITH_SIDEBAR since these preferences
	now only affect the initial appearance of new windows. Also,
	clarified the text that appears in the preferences window for these.
	
	* src/nautilus-window-menus.c:
	Removed a bunch of code #ifdeffed WINDOW_ITEMS_TEST since the
	functionality it partly implemented is now implemented for real.
	(view_menu_show_hide_sidebar_callback),
	(view_menu_show_hide_tool_bar_callback),
	(view_menu_show_hide_location_bar_callback),
	(view_menu_show_hide_status_bar_callback):
	New menu callback functions that toggle the visibility of the
	various views.
	(nautilus_window_update_show_hide_menu_items): New function,
	sets the text in the show/hide menu items based on current
	visibility.
	(nautilus_window_initialize_menus): Put the Show/Hide menu items
	in the menu.
	* src/nautilus-window-private.h: Add prototype for
	nautilus_window_update_show_hide_menu_items.
	* src/nautilus-window.h: Renamed statusbar_ctx -> status_bar_context_id
	and statusbar_clear_id -> status_bar_clear_id; renamed show/hide
	locationbar/toolbar/statusbar to use location_bar, tool_bar, and
	status_bar (GTK bad English usage notwithstanding); added prototypes
	for nautilus_window_sidebar_showing and its ilk.
	* src/nautilus-window.c: 
	(nautilus_window_initialize), (nautilus_window_destroy): Removed
	monitoring & unmonitoring of DISPLAY_SIDEBAR-type preferences since
	changing these preferences now has no dynamic effect.
	(nautilus_window_clear_status), (nautilus_window_set_status),
	(nautilus_window_constructed): Fixed wordgroupingification of 
	status_bar et al.
	(show_dock_item), (hide_dock_item): New functions to share code of
	show/hide location bar & tool bar functions; these call
	nautilus_window_update_show_hide_menu_items now also.
	(dock_item_showing): New function, tests visibility of named dock item.
	(nautilus_window_hide_location_bar),
	(nautilus_window_show_location_bar),
	(nautilus_window_hide_tool_bar), (nautilus_window_show_tool_bar):
	Use new code-sharing functions.
	(nautilus_window_location_bar_showing),
	(nautilus_window_tool_bar_showing), 
	(nautilus_window_sidebar_showing),
	(nautilus_window_status_bar_showing): New functions to test visibility
	(nautilus_window_hide_sidebar),
	(nautilus_window_show_sidebar), 
	(nautilus_window_hide_status_bar),
	(nautilus_window_show_status_bar): These call 
	nautilus_window_update_show_hide_menu_items now.
	(nautilus_window_show): Updated for naming changes.

	* RENAMING: Noted that the evil one-word "toolbar" phrase
	is still rampant in Nautilus.

2000-08-24  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2119 (Alt-key navigation for menus doesn't work).

	* libnautilus-extensions/nautilus-icon-container.c:
	(key_press_event):
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_key_press):
	Made the type-select mechanism for list and icon views not
	eat alt-key combinations, so they can be used for pulling
	down menus.

2000-08-23  Maciej Stachowiak  <mjs@eazel.com>

	Fix for 1528. "Where's the money, Lebowski?"
	
	* components/tree/nautilus-tree-model.c
	(nautilus_tree_model_monitor_node): A few changes to avoid
	crashing when re-monitoring a node.

	* components/tree/nautilus-tree-view.c
	(uri_to_view_node, model_node_to_view_node): New convenience
	functions.
	(insert_hack_node, nautilus_tree_view_insert_model_node,
	nautilus_tree_view_remove_model_node,
	nautilus_tree_view_update_model_node,
	nautilus_tree_view_find_parent_node): Use the new functions
	(notify_done_loading, notify_node_seen,
	nautilus_tree_view_model_node_added_callback,
	nautilus_tree_view_model_done_loading_callback,
	get_uri_sequence_to_root, call_when_root_seen,
	call_when_uri_loaded_or_parent_done_loading,
	cancel_selection_in_progress, expand_uri_sequence_and_select_end,
	nautilus_tree_view_load_uri, tree_load_location_callback,
	tree_select_row_callback): New mess^Wcode to select on content
	view navigation, handling all the asynchronicity.

	* libnautilus-extensions/nautilus-file-utilities.h,
	libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_make_uri_canonical): Export the function formerly known
	as `make_uri_canonical' in natuilus-directory.c.
	(nautilus_self_check_file_utilities): Move tests here.
	* libnautilus-extensions/nautilus-directory.c:
	(make_uri_canonical): remove
	(nautilus_directory_get_internal):
	s/make_uri_canonical/nautilus_make_uri_canonical/
	(nautilus_self_check_directory): Remove tests for
	make_uri_canonical
	
2000-08-24  Andy Hertzfeld  <andy@eazel.com>
 
	cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-finish.c:
	(nautilus_druid_page_finish_init),
	(nautilus_druid_page_finish_destroy),
	(nautilus_druid_page_finish_configure_size),
	(nautilus_druid_page_finish_set_logo):
	changed the logo from being a fixed width and height to 
	automatically adjusting image dimensions; also, made it use the 
	anti-aliased canvas for prettier images
	
	cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-standard.c: 
	(nautilus_druid_page_standard_init),
	(nautilus_druid_page_standard_configure_size),
	(nautilus_druid_page_standard_construct),
	(nautilus_druid_page_standard_set_logo):
	ditto for standard pages; this stuff should really be in the superclass
	
	cut-n-paste-code/widgets/nautilus-druid/nautilus-druid-page-start.c:
	(nautilus_druid_page_start_init),
	(nautilus_druid_page_start_configure_size):
	ditto for the finish page
	
	* src/nautilus-first-time-druid.c: (druid_finished),
	(nautilus_first_time_druid_show), (download_callback):
	added setting the logo image and some other improvements; the logo image 
	still looks a bit crufty and needs to be tweaked by Susan
	
2000-08-23  Robey Pointer  <robey@eazel.com>

	* components/services/install/nautilus-view/Makefile.am:

	Fix RPM install view's include path to find libtrilobite.
	 
	components/services/install/nautilus-view/nautilus-service-install-
	view.c: (generate_install_form), (generate_current_progress),
	(create_package), (nautilus_install_parse_uri), (make_new_status),
	(spin_cylon), (current_progress_bar_complete),
	(nautilus_service_install_downloading),
	(nautilus_service_install_dependency_check),
	(nautilus_service_install_preflight_check),
	(nautilus_service_install_download_failed),
	(nautilus_service_install_installing),
	(nautilus_service_install_done), (get_password_dude),
	(set_root_client), (nautilus_service_install_view_update_from_uri),
	(service_install_load_location_callback):
	components/services/install/nautilus-view/nautilus-service-install-
	view.h:

	Make RPM install view actually work (using the trilobite install
	service) instead of being smoke & mirrors.  Make bottom panel be a
	fixed table that scrolls through (label, progress-bar) pairs for
	status on downloading and installing various RPMs.
	 
2000-08-23  John Sullivan  <sullivan@eazel.com>

	More work on bug 1653 (new menu layout). Now there's a
	permanent "View" menu that contains Refresh and zooming
	items and the icon view merges its stuff in there. The
	icon view now has a "Clean Up by Name" item to do a
	one-shot sort of icons in manual layout mode.

	* libnautilus-extensions/nautilus-icon-container.c:
	(key_press_event): 
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_key_press):
	Don't use any control-key combinations for type-select 
	(this was blocking Control-= and others)
	
	* libnautilus/nautilus-bonobo-ui.h: Added #defines for View menu
	and placeholders in it.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize_class), (bump_zoom_level),
	(zoom_to_level), (restore_default_zoom_level), (can_zoom_in),
	(can_zoom_out): Override all zoom-related functions to do
	nothing, so you can't use keyboard equivalents or other trickery
	to zoom on the desktop.
		
	* src/file-manager/fm-icon-view.h:
	Define clean_up function pointer
	* src/file-manager/fm-icon-view.c: 
	(set_sort_criterion): Just moved this function.
	(fm_icon_view_clean_up): New function, calls virtual function.
	(fm_icon_view_real_clean_up): New function, sorts one time by name.
	(clean_up_callback): New function, calls fm_icon_view_clean_up
	(compute_menu_item_info): Add clean up case
	(update_layout_menus): Update sensitivity of Clean Up item
	(get_next_position): New helper function to get a position for
	a Bonobo menu item based on the one you want to be after. Works
	around Bonobo bug where the last item's position is reported as -1.
	(fm_icon_view_merge_menus): Deploy get_next_position; get rid of
	Layout menu and redo items in View menu to match design in bug 1653.
	(fm_icon_view_initialize_class): Wire up clean_up function pointer
	
	* src/nautilus-window-menus.c: 
	(view_menu_reload_callback): Renamed from go_menu_reload_callback
	(view_menu_zoom_in_callback), (view_menu_zoom_out_callback),
	(view_menu_zoom_normal_callback): New functions, used by zooming menu
	items.
	(nautilus_window_initialize_menus): Add View menu; move Reload to
	View menu and rename it Refresh; add zooming menu items.
	* src/nautilus-window-private.h: Add #defines for zooming menu item paths;
	add prototypes for nautilus_window_zoom_xxx functions.
	* src/nautilus-window.c: 
	(nautilus_window_zoom_in),
	(nautilus_window_zoom_to_level), (nautilus_window_zoom_out),
	(nautilus_window_zoom_to_fit): Renamed these to better match new
	shared-between-files status, and reordered the parameters.
	(nautilus_window_constructed): use gtk_signal_connect_object with
	nautilus_window_zoom functions since their parameters have flipped.
	(nautilus_window_zoom_level_changed_callback): Set sensitivity of
	zooming menu items appropriately.
	* src/nautilus-window-manage-views.c:
	(nautilus_window_load_content_view): Desensitize the zoom menu items
	when we hide the zoom control.

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_real_create_background_context_menu_items):
	Change "Zoom to Default" to "Normal Size" in the context menu,
	to match terminology in View menu.
	* src/nautilus-window-toolbars.c: Rename Reload to Refresh to match
	menu item & new design

2000-08-23  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-undo-signal-handlers.c:
	* libnautilus-extensions/nautilus-undo-signal-handlers.h:
	(nautilus_undo_set_up_nautilus_entry_for_undo),
	(nautilus_undo_tear_down_nautilus_entry_for_undo),
	(nautilus_undo_set_up_editable_for_undo),
	(nautilus_undo_tear_down_editable_for_undo):
	Rename functions to be verb phrases as opposed to nouns.
	
	* components/notes/nautilus-notes.c: (finish_loading_note),
	(notes_load_location), (make_notes_view):
	Rename functions to use new names above.
	
	* libnautilus-extensions/nautilus-entry.c:
	(nautilus_entry_initialize):
	Rename functions to use new names above.
		
	* src/file-manager/fm-properties-window.c: (create_basic_page):
	Rename functions to use new names above.

2000-08-23  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-undo-signal-handlers.c:
	(nautilus_undo_teardown_nautilus_entry_for_undo),
	(nautilus_undo_teardown_editable_for_undo):
	Adding the call to unregister form the undo manager was not such
	a good idea.  I am backing it out for now.

2000-08-23  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 2282, Undo menu item initially sensitive, but 
	nothing to undo.
	
	* components/notes/nautilus-notes.c: (finish_loading_note),
	(notes_load_location), (make_notes_view):
	Disconnect the editable object form the undo manager
	while location is being changed so an undo transaction
	is not registered during inital text loading.
	
	* libnautilus-extensions/nautilus-undo-signal-handlers.c:
	(nautilus_undo_teardown_nautilus_entry_for_undo),
	(nautilus_undo_setup_editable_for_undo),
	(nautilus_undo_teardown_editable_for_undo):
	When a teardown function is called, also unregister the
	GtkObject from the undo manager in addtion to signal
	disconnection.

2000-08-23  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-file-utilities.c:
	(nautilus_read_entire_file): Added missing close calls.
	(read_file_close_callback): Got rid of overzealous check for
	error code on close. The close could fail, and we really don't
	care much since we've already read the file contents.

2000-08-23  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-directory-async.c:
	(get_info_callback): Added missing call to nautilus_file_changed
	for the case where get_file_info fails.
	(start_getting_file_info): Fixed broken logic that was recursing
	instead of looping when get_file_info fails and added missing call
	to nautilus_file_changed.
	(nautilus_directory_async_state_changed): Moved the check for
	ready callbacks to the end of the function. This fixed the problem
	with the trash properties never showing up.
	
	* src/file-manager/dfos-xfer.c: (get_link_name),
	(get_duplicate_name), (handle_xfer_duplicate):
	Redid the duplicate names functions so they are easier to localize
	and marked the strings that need localizing with _().

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_get_combine_mode),
	(nautilus_background_set_combine_mode),
	(nautilus_background_get_image_placement),
	(nautilus_background_set_image_placement): Added return_if_fail
	calls as appropriate.
	(nautilus_background_image_fully_obscures): Simplified nested if
	statements a bit.
	(nautilus_background_draw), (draw_pixbuf_aa): Added return_if_fail
	calls as appropriate.,
	(nautilus_background_draw_aa), (nautilus_background_is_set),
	(nautilus_background_is_loaded), (nautilus_background_reset) :
	Added return_if_fail calls as appropriate.
	(nautilus_background_real_reset): Added code to emit changed signals.
	(nautilus_background_is_dark): Added return_if_fail calls as appropriate.
	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_get_default_settings),
	(nautilus_directory_background_read_desktop_settings),
	(nautilus_directory_background_write_desktop_settings),
	(nautilus_directory_background_write_desktop_default_settings),
	(nautilus_directory_background_is_set),
	(saved_settings_changed_callback):
	Changed the type "nautilus_background_image_placement" to
	"NautilusBackgroundImagePlacement" to match our style guidelines
	(inherited from GNOME of course).

2000-08-23  John Sullivan  <sullivan@eazel.com>

	Checked in this patch from Ken Kocienda, which fixes
	bug 390 (wrong magic number used when computing alpha
	threshhold). Thanks Ken!

	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	New #define for NAUTILUS_STANDARD_ALPHA_THRESHHOLD

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	* libnautilus-extensions/nautilus-bookmark.c:
	(nautilus_bookmark_get_pixmap_and_mask):
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_dnd_begin_drag):
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_pixmap_and_mask_for_file):
	* libnautilus-extensions/nautilus-list-column-title.c:
	(load_up_indicator):
	* libnautilus-extensions/nautilus-list.c: (draw_cell):
	* src/file-manager/fm-properties-window.c:
	(get_pixmap_and_mask_for_properties_window),
	(create_image_widget_for_emblem):
	* src/nautilus-bookmarks-window.c:
	* src/nautilus-complex-search-bar.c:
	(load_find_them_pixmap_widget):
	* src/nautilus-property-browser.c: (set_emblem_image_from_file),
	(element_clicked_callback), (make_properties_from_directory_path):
	* src/nautilus-sidebar-title.c: (add_emblem):
	* src/nautilus-theme-selector.c: (add_theme):
	* src/nautilus-window.c: (nautilus_window_realize):
	Replaced all uses of correct or incorrect magic numbers
	with NAUTILUS_STANDARD_ALPHA_THRESHHOLD in calls to
	gdk_pixbuf_render_pixmap_and_mask.

2000-08-23  Yuri Syrota  <rasta@renome.rovno.ua>

	* configure.in: Added "uk" to ALL_LINGUAS

2000-08-23  Ramiro Estrugo  <ramiro@eazel.com>

	 
	components/services/nautilus-dependent-shared/shared-service-widgets.c:
	(create_image_widget), (create_label_widget),
	(create_services_title_widget), (create_services_header_widget),
	(set_widget_foreground_color), (show_feedback):
	components/services/nautilus-dependent-shared/shared-service-widgets.h:

	Update these for the last round of NautilusImage and NautilusLabel
	changes.  They look better now, but the margins are still off.
	Ill fix that soon.
	
2000-08-23  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-label.c: (render_buffer_pixbuf),
	(label_recompute_line_geometries), (nautilus_label_new),
	(nautilus_label_set_text), (nautilus_label_set_font),
	(nautilus_label_set_font_size):
	Bug 2286 - sidebar text gets cut off.  The problem was that the
	text geometry was not being recomputed on changes that affected
	it, like font and font size.   Put the geometry code to a new
	function.

	Also fix a dumb overflow bug caused by abusing guint16.
	
	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_scalable_font_draw_text_lines):
	Was not setting the rectangle end point.
	
2000-08-22  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 1570, Undo of typing when renaming says
	"Undo Rename"
	
	* libnautilus-extensions/nautilus-icon-text-item.c:
	(register_rename_undo):
	Changed "Rename" to "Typing"

2000-08-22  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-metadata.c:
	(create_default_configuration_metafile),
	Default DRY_RUN to FALSE instead of TRUE... beware.
	
	(init_default_install_configuration):
	Default transaction_dir to g_get_home_dir()/.nautilus/transactions/
	
	* components/services/install/lib/eazel-install-protocols.c:
	(gnome_vfs_xfer_callback), (eazel_install_fetch_package),
	Trying to make the gnomevfs fetching work properly.
	
	(get_url_for_package):
	Removed the check, since I need to do it in the gnome-vfs callback
	loop.

2000-08-22  Gene Z. Ragan  <gzr@eazel.com>

	Work in progress to support dragging onto 
	NautilusLink files.  Dragging on the trash 
	still does not work.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	(nautilus_icon_container_initialize_class),
	(nautilus_icon_container_get_icon_uri),
	(nautilus_icon_container_get_icon_drop_target_uri):
	New signal to return the target URI of a drag target.
	This was done to support dragging onto NautilyusLink files.
	
	* libnautilus-extensions/nautilus-drag.c:
	(nautilus_drag_can_accept_item):
	Add call to nautilus_icon_container_get_icon_drop_target_uri
	and remove call to nautilus_icon_container_get_icon_uri

	* libnautilus-extensions/nautilus-icon-dnd.c:
	* libnautilus-extensions/nautilus-icon-private.h:
	(nautilus_icon_container_find_drop_target):
	Some code cleanup to fix a leak.
	
	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-link.h:
	(nautilus_link_can_accept_drag):
	New function that currently return TRUE for all links.
	
	* src/file-manager/fm-icon-view.c: (get_icon_uri_callback),
	(get_icon_drop_target_uri_callback), (create_icon_container):
	Connect to new signal and add implementation.

2000-08-22  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-protocols.c:
	(gnome_vfs_xfer_callback):
	Added the nessecary code for the download progress signal emits
	for gnome-vfs download
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_osd_xml_from_memory):
	removed debug output

2000-08-22  Eskil Heyn Olsen  <eskil@eazel.com>
	 
	* components/services/install/command-line/eazel-alt-install-corba.c:
	* components/services/install/lib/eazel-install-metadata.c:
	(create_default_metadata), (get_boolean_value_from_string):
	About to make create_default_metadata switch to ~/ instead of /var.
	
	* components/services/install/lib/eazel-install-protocols.c:
	(get_url_for_package)
	Robey committed a fix for the multiple url stuff.
	
	(gnome_vfs_fetch_remote_file):
	english output instead of binary.
	
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_osd_xml_from_memory):
	Insert null at the end for the </packages> tag. Needed to lose the
	weird </xmp> tags.

2000-08-22  John Sullivan  <sullivan@eazel.com>

	More work on bug 1653 (new menu layout)
	Fixed bug 1996 (No way to activate "Web Search" from keyboard)

	* src/file-manager/fm-directory-view.c: (compute_menu_item_info):
	Changed text from "Select All" to "Select All Files" for clarity.
	* src/nautilus-window-menus.c: 
	(file_menu_web_search_callback): New function, calls
	nautilus_window_go_web_search
	(nautilus_window_initialize_menus): Added underscore-accelerator
	to Close _All Windows; added separator before Select All;
	gave Find Control-F; added Web Search;
	gave Back Control-[; gave Forward Control-]; gave Add Bookmark
	Control-B. (Note that you might not see these until you delete
	the file ~/.gnome/accels/nautilus
	* src/nautilus-window-toolbars.c: 
	(toolbar_clear_search_mode): removed this function.
	(toolbar_home_callback),
	(toolbar_search_web_callback): Removed calls to
	toolbar_clear_search_mode; this behavior has been moved into
	nautilus_window_go_home and nautilus_window_go_web_search
	instead so the menu items can share it.
	* src/nautilus-window.c: (nautilus_window_go_web_search),
	(nautilus_window_go_home): Clear search mode in these
	bottleneck functions.

2000-08-22  Mathieu Lacage  <mathieu@eazel.com>

	Add rebecka's class for queues.
	
	* libnautilus-extensions/Makefile.am: add files.
	* libnautilus-extensions/nautilus-lib-self-check-functions.h:
	add self-test function for queues
	* libnautilus-extensions/nautilus-queue.c: (nautilus_queue_new),
	(nautilus_queue_add), (nautilus_queue_remove),
	(nautilus_queue_free_deep), (nautilus_queue_is_empty),
	(nautilus_queue_free), (nautilus_self_check_queue):
	* libnautilus-extensions/nautilus-queue.h: 

2000-08-22  John Sullivan  <sullivan@eazel.com>

	More work on bug 1653 (new menu layout)
	Fixed bug 1995 (No way to enter/leave search mode from keyboard)
	Fixed bug 1999 (No way to reload from keyboard)

	* libnautilus/nautilus-bonobo-ui.h: Added more placeholders.
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_real_merge_menus): Position "Empty Trash"
	menu item and separator using placeholder.
	* src/file-manager/fm-icon-view.c: (compute_menu_item_info):
	Fixed bug where "Restore Icon's Original Size" was using the
	wrong plurality.
	(insert_bonobo_menu_item): Renamed this from append_ and gave
	it a position parameter.
	(fm_icon_view_merge_menus): Used placeholders to put the menu
	items in the order specified by bug 1653.
	* src/nautilus-switchable-navigation-bar.h:
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_get_mode): New function;
	formerly there was a public setter but no public getter.
	* src/nautilus-window-menus.c: 
	(file_menu_close_window_callback): Removed redundant assert.
	(file_menu_toggle_find_mode_callback): New function, toggles
	whether we're in search mode.
	(go_menu_reload_callback): New function, reloads.
	(nautilus_window_initialize_menus): Tweaked hint for "Close All Windows",
	added Find/Browse menu item; Changed "Up" to "Up a Level" to
	match bug 1653; added "Reload" to Go menu.
	(nautilus_window_update_find_menu_item): New function, sets the
	label of the Find/Browse menu item based on search mode's state.
	* src/nautilus-window-private.h: added #define for 
	NAUTILUS_MENU_PATH_RELOAD_ITEM; added prototype for 
	nautilus_window_update_find_menu_item.
	* src/nautilus-window-toolbars.c: Changed "Search" to "Find"
	to match menu item (and Arlo's design).
	* src/nautilus-window.h,
	* src/nautilus-window.c: 
	(navigation_bar_mode_changed_callback): Update Find menu item.
	(nautilus_window_get_search_mode): New function; formerly there
	was a public setter but no public getter.
	(nautilus_window_allow_reload): Update menu item sensitivity.

2000-08-22  Andy Hertzfeld  <andy@eazel.com>

	fixed bugs 643 and 605, by not accepting multiple or remote images
	as custom icons, and displaying informative error messages.
	
	* src/nautilus-sidebar.c: (receive_dropped_uri_list):
	added separate checks for multiple uris and remote files and displayed
	an appropriate message using nautilus_error_dialog.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(load_specific_image):
	removed a fixme now that it's fixed
	
2000-08-22  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_image_fully_obscures):
	Added a missing paren to fix build breakage.

2000-08-22  Michael Engber  <engber@eazel.com>
	
	Fixed backgrounds to draw images scaled & centered
	in aa mode. (bug 2231)
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_image_fully_obscures):

2000-08-22  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/help-method.c:
        (transform_file): Ooops - there was a bug in this causing the
        index.html file not to load. It is now fixed (but is still broken
        until help renders with Mozilla)

        * components/help/converters/gnome-db2html2/toc-elements.c:
        (toc_title_end_element): Forgot a break in a case statement. This
        stops erroneous </A></H4> tags being inserted (Fixes Bug #2178)

        * components/help/converters/gnome-db2html2/gdb3html.h:
        * components/help/converters/gnome-db2html2/sect-elements.c:
        Added the 'Markup' tag - Fixes Bug #2228

        * components/help/converters/gnome-db2html2/gdb3html.[ch]:
        (start_element),
        (characters): Added a 'empty_element' to the Context struct.

        * components/help/converters/gnome-db2html2/sect-elements.[ch]:
        (sect_country_characters): New function - not used yet
        (sect_write_characters): Remove a 'hack' for the 'entry' tag
        (sect_entry_end_element): Print a &nbsp; if it is an empty element

2000-08-22  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_all_packages), 
	Print package name in front of install status
	
	(eazel_install_do_transaction_save_report),
	(eazel_install_monitor_rpm_propcess_pipe),
	Use transaction even when EAZEL_INSTALL_SLIM is defined. The lets
	the bootstrap installer save a transaction for the install of
	nautilus.
	
	(eazel_install_prune_packages),
	indention fix
	
	(eazel_install_fetch_rpm_dependencies), 
	When EAZEL_INSTALL_SLIM, ignore lib dep problems. This is a temp
	fix while the installer does not use SoftCat
	
	(print_package_list)
	Horrible mem mishandling
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/Makefile.am:
	Added -EAZEL_INSTALL_SLIM and -DNO_TEXT_BOX to the makefile
	
	* nautilus-installer/src/callbacks.c: (begin_install):
	After install, jump to next page
	
	* nautilus-installer/src/installer.c: (eazel_install_progress),
	, (eazel_install_dep_check), (check_system),
	(installer),
	Use the gtk_label instead of a gtk_text thingy.

	(install_failed_helper):
	Fixed output format
		
	* nautilus-installer/src/interface.c: (create_what_to_do_page):
	* nautilus-installer/src/main.c:
	Added the --force option, to force install.

2000-08-22  J Shane Culpepper  <pepper@eazel.com>

	 
	components/services/install/nautilus-view/nautilus-service-install-
	view.c: (nautilus_service_install_view_update_from_uri),
	(service_install_load_location_callback):
	 
	components/services/startup/nautilus-view/nautilus-service-startup-
	view.c: (generate_startup_form),
	(nautilus_service_startup_view_load_uri),
	(service_load_location_callback):
	* src/nautilus-first-time-druid.c: (druid_finished):

	Fixing the go_to_uri problem so that the first time druid works and
	eazel: redirects work more consistently.

2000-08-21  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-link.h:
	(nautilus_link_set_link_uri):
	New function to allow the setting of the LINK property
	tp be the URI passed in.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(find_and_rename_trash_link):
	Change Trash link to use trash: uri insated of path to
	trash directory. This code checks and verifies that
	the trash link has this set properly on desktop launch.

Mon Aug 21 23:35:18 2000  George Lebl <jirka@5z.com>

	* components/html/ntl-web-browser.c (main): properly handle
	  gconf error, and init it to NULL first.  This will avoid
	  crashes on error.

	* libnautilus-extentions/Makefile.am,
	  libnautilus-extentions/nautilus-preferences-private.h,
	  libnautilus-extentions/nautilus-preferences.c:  Add a
	  nautilus_preferences_handle_error functions for use in
	  nautilus-preferences and user level manager to handle and reset
	  GConf exceptions.  The reason a new "private" header was added is
	  to preserve the gconf encapsulation outside libnautilus-extentions,
	  plus it's only useful there.

	* libnautilus-extentions/nautilus-preferences.c
	  (preferences_hash_node_add_callback)
	  (preferences_hash_node_remove_callback)
	  (preferences_gconf_callback) (preferences_initialize_if_needed)
	  (nautilus_preferences_set_boolean) (nautilus_preferences_get_boolean)
	  (nautilus_preferences_set_string_list)
	  (nautilus_preferences_get_string_list)
	  (nautilus_preferences_set_enum) (nautilus_preferences_get_enum)
	  (nautilus_preferences_set) (nautilus_preferences_get)
	  libnautilus-extensions/nautilus-user-level-manager.c
	  (user_level_manager_new) (user_level_manager_ensure_global_manager)
	  (nautilus_user_level_manager_set_user_level)
	  (nautilus_user_level_manager_get_user_level_as_string)
	  (nautilus_user_level_manager_set_default_value_if_needed)
	  (nautilus_user_level_manager_compare_preference_between_user_levels):
	  Handle GConf exceptions.  Try to revert to sane behaviour on
	  errors, such as using defaults.  Remove all the asserts for
	  conditions that arise from gconf errors.  Fixes bug 672

2000-08-21  Darin Adler  <darin@eazel.com>

	Finished task 571 (Make a Trash "virtual directory" with trash
	from all volumes). Some loose ends are already reported in bugs
	2146, 2243, and 2244.

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-merged-directory.h:
	* libnautilus-extensions/nautilus-merged-directory.c:
	Moved all the guts of NautilusTrashDirectory that are solely
	about having a single directory that's a union of a bunch of
	real directories into a separate base class. Also finished the
	implementation, leaving only unimportant loose ends.
	
	* libnautilus-extensions/nautilus-trash-directory.h:
	* libnautilus-extensions/nautilus-trash-directory.c:
	(get_volume_vfs_uri_if_writable), (find_directory_callback),
	(add_volume), (remove_trash_volume), (remove_volume),
	(add_one_volume), (volume_mounted_callback),
	(volume_unmounted_callback), (nautilus_trash_directory_initialize),
	(remove_trash_volume_cover), (trash_destroy),
	(nautilus_trash_directory_initialize_class):
	Added the code to find the trash on all volumes.
	
	* libnautilus-extensions/nautilus-glib-extensions.h:
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(flatten_hash_table_element),
	(nautilus_g_hash_table_safe_for_each): Added a new version of the
	hash table iterator that works even if the callback removes items
	from the hash table.
	
	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_scalable_font_largest_fitting_font_size): Added code to
	handle the case of an empty name; the old code worked with NULL,
	but not with "".
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_trash_state_changed_callback),
	(find_and_rename_trash_link), (create_or_rename_trash):
	* src/file-manager/nautilus-trash-monitor.c:
	(nautilus_trash_monitor_initialize):
	Changed to use the new "trash:" URL instead of locating one of
	the trash folders.

	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class),
	(fm_directory_all_selected_items_in_trash):
	* src/file-manager/fm-search-list-view.c:
	(fm_search_list_view_initialize_class):
	The "share_parent" optimization didn't work for the new trash.
	Instead of fixing it, I just removed it.
	
	* src/nautilus-window-manage-views.c: (compute_default_title),
	(nautilus_window_update_title): Made two changes to the default
	title: 1) Use "" instead of "Nautilus" when there's no title.
	We still use "Nautilus" in the window title, but not in the
	sidebar any more. 2) Use the scheme part of a URI if there's
	nothing after the colon. This works nicely for the trash.

	* libnautilus-extensions/nautilus-background-canvas-group.c:
	(nautilus_background_canvas_group_render): Removed some unneeded
	code and the FIXME that goes with it.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_is_not_empty): Removed an overzealous assert.
	
2000-08-21  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/eazel-alt-install-corba.c:
	(eazel_install_progress_signal), (main):
	* components/services/install/command-line/eazel-package-query.c:
	(main):
	* components/services/install/command-line/eazel-revert.c:
	(eazel_install_progress_signal):
	* components/services/install/idl/trilobite-eazel-install.idl:
	* components/services/install/lib/eazel-install-corba-types.c:
	(corba_packagedatastruct_from_packagedata),
	(packagedata_from_corba_packagedatastruct):
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_revert_transaction_from_xmlstring),
	(eazel_install_revert_transaction_from_file):
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(download_all_packages), (eazel_uninstall_globber):
	* components/services/install/lib/eazel-install-tests.c:
	(dump_package_list):
	* components/services/install/lib/eazel-install-types.c:
	(categorydata_new), (packagedata_new),
	(packagedata_fill_from_rpm_header), (packagedata_destroy_foreach):
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_package), (eazel_install_packagedata_to_xml),
	(osd_parse_softpkg):
	Renames the summary field to description (PackageData
	struc). Added a revert_transaction_from_file, which reads the xml
	file. Fixed some const issues.
	
	* nautilus-installer/src/callbacks.c:
	* nautilus-installer/src/installer.c: (eazel_install_progress),
	(eazel_install_preflight), (make_dirs), (check_system),
	(revert_nautilus_install), (installer):
	* nautilus-installer/src/interface.c: (create_what_to_do_page),
	(create_install_page), (create_finish_page):
	* nautilus-installer/src/link.sh:
	* nautilus-installer/src/main.c: (main):
	* nautilus-installer/src/prescript:
	Added GPL license to all the bootstrap installer code. Inserted a
	textbox into the installer, that
	displays current action/package description during download. It
	now also checks linux distro and for a helix install.
	
2000-08-21  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-link.c: 
	(nautilus_link_create):
	Added a link type argument to API to allow caller to 
	specify type of link.
	
	(nautilus_link_is_volume_link), (nautilus_link_is_home_link),
	(nautilus_link_is_trash_link):
	Renamed old constants to use _TAG at the end of old define.
	The name of th eprevious define is now used in the 
	enumeration of link types.
	
	* libnautilus-extensions/nautilus-link.h:
	Added argument to nautilus_link_create and created 
	an enum to define the types of links.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(startup_create_mount_links), (volume_mounted_callback),
	(place_home_directory), (create_or_rename_trash),
	(get_sort_category):
	Changed callers of nautilus_link_create to use new argument.
	
	* src/file-manager/fm-properties-window.c:
	(get_and_ref_file_to_display):
	Changed callers of nautilus_link_create to use new argument.

2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-global-preferences.c:
	(global_preferences_create_dialog), (global_preferences_register):
	* libnautilus-extensions/nautilus-global-preferences.h:
	* src/file-manager/fm-directory-view.c:
	(smooth_graphics_mode_changed_callback),
	(fm_directory_view_initialize), (fm_directory_view_destroy):
	* src/file-manager/fm-directory-view.h:
	* src/file-manager/fm-icon-view.c: (get_icon_images_callback),
	(fm_icon_view_smooth_graphics_mode_changed),
	(fm_icon_view_initialize_class),
	(fm_icon_view_update_smooth_graphics_mode),
	(create_icon_container):
	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_initialize),
	(nautilus_sidebar_title_destroy),
	(smooth_graphics_mode_changed_callback):

	Changed "anti_aliased_mode" to "smooth_graphics_mode" cause it
	much smoother.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-label.c:
	(nautilus_label_initialize), (nautilus_label_size_request),
	(render_buffer_pixbuf), (nautilus_label_set_text),
	(nautilus_label_set_font), (nautilus_label_set_text_color),
	(nautilus_label_set_text_alpha),
	(nautilus_label_set_drop_shadow_offset),
	(nautilus_label_get_drop_shadow_offset),
	(nautilus_label_set_drop_shadow_color):
	* libnautilus-extensions/nautilus-label.h:

	Add support for drop shadows.

	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_initialize):

	Make the offset between labels more pleasing to comrade arlo.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-scalable-font.c:
	(nautilus_scalable_font_measure_text_lines):

	Remove some dumbass assertions that were never meant to be there.
	
2000-08-21  John Sullivan  <sullivan@eazel.com>

	Finished bug 1750 ("Reveal in New Window" feature for 
	search results). Now choosing this menu item opens the
	right window, selects the right item, and scrolls as
	necessary to reveal the selected item.

	* libnautilus-extensions/nautilus-icon-container.h,
	* libnautilus-extensions/nautilus-icon-container.c:
	(nautilus_icon_container_reveal): New function, wrapper for
	existing private reveal_icon function that first finds the
	NautilusIcon for the given NautilusIconData.
	
	* libnautilus-extensions/nautilus-list.h,
	* libnautilus-extensions/nautilus-list.c:
	(nautilus_list_reveal_row): Renamed this function from
	reveal_row and made it public.
	(keyboard_row_reveal_timeout_callback): Accounted for
	name change
	(nautilus_list_get_first_selected_row): New function, returns
	index of first selected item.
	
	* src/file-manager/fm-icon-view.c: (fm_icon_view_set_selection),
	* src/file-manager/fm-list-view.c: (fm_list_view_set_selection):
	reveal first selected item. This has the (good, I think) side effect
	of scrolling as necessary to make sure at least one selected item
	is in view whenever the selection is explicitly set, which includes
	when creating a new folder and when switching views with an existing
	selection (but beware, switching from list view to icon view with a
	selection currently crashes due to bug 2222).

2000-08-21  Gene Z. Ragan  <gzr@eazel.com>

	Fixed bug 2137, renaming of trash causes a duplicate trash to 
	appear.
	If the user renames trash, it will get renamed back to Trash
	when the desktop is restarted.  When we have individual file reneaming
	permissions, this will never be an issue.

	Fixed bug 2144, renaming home link on desktop causes a duplicate 
	to appear.
	 
	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-link.h:
	(nautilus_link_is_home_link), (nautilus_link_is_trash_link):
	Two new functions to identify specific types of links
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Trash link is now created here,

	(find_home_link),
	(place_home_directory):
	Modified functions to handle situations where home link 
	has been renamed by the user.

	(find_and_rename_trash_link),
	(create_or_rename_trash):
	New functions to handle creation of trash link.
	
	* src/nautilus-desktop-window.c: 
	(nautilus_desktop_window_new):
	Moved creation of trash link to FMDesktopIconView

2000-08-21  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_get_current_icon_factory), (icon_theme_changed_callback):
	made the icon factory ask the current theme for the icon directory
	to use, so themes can easily use each other's icons without copying
	them.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-buffered-widget.c:
	(nautilus_buffered_widget_realize):
	Add a evil hack to keep track of background changes.  I have a
	better fix for this that I will commit soon.
	
	* src/nautilus-sidebar-title.c:
	(nautilus_sidebar_title_initialize),
	(nautilus_sidebar_title_destroy),
	(nautilus_sidebar_title_select_text_color),
	(nautilus_sidebar_title_theme_changed), (update_icon),
	(update_font), (update_title), (update_more_info), (update_all),
	(nautilus_sidebar_title_hit_test_icon),
	(sidebar_create_smooth_components_if_needed),
	(sidebar_create_normal_components_if_needed),
	(anti_aliased_mode_changed_callback):
	* src/nautilus-sidebar-title.h:
	* src/nautilus-sidebar.c: (background_appearance_changed_callback):

	Add support for smoother graphics.  Use new NautilusLabel and
	NautilusImage widgets to render alpha composited pixbufs and anti
	aliases text.

	The old non-smooth widgets are still supported and should continue
	to work as expected whenever the smooth graphics preference is
	toggled.

2000-08-21  J Shane Culpepper  <pepper@eazel.com>

	* components/services/Makefile.am:
	* components/services/install/nautilus-view/Makefile.am:
	* components/services/login/nautilus-view/Makefile.am:
	* components/services/nautilus-dependant-shared/.cvsignore:
	* components/services/nautilus-dependant-shared/Makefile.am:
	* components/services/nautilus-dependant-shared/icons/.cvsignore:
	* components/services/nautilus-dependant-shared/icons/Makefile.am:
	* components/services/nautilus-dependant-shared/shared-service-utilit
	ies.c:
	* components/services/nautilus-dependant-shared/shared-service-utilit
	ies.h:
	* components/services/nautilus-dependant-shared/shared-service-widget
	s.c:
	* components/services/nautilus-dependant-shared/shared-service-widget
	s.h:
	* components/services/nautilus-dependent-shared/.cvsignore:
	* components/services/nautilus-dependent-shared/Makefile.am:
	* components/services/nautilus-dependent-shared/icons/.cvsignore:
	* components/services/nautilus-dependent-shared/icons/Makefile.am:
	* components/services/nautilus-dependent-shared/shared-service-utilit
	ies.c: (go_to_uri), (is_location):
	* components/services/nautilus-dependent-shared/shared-service-utilit
	ies.h:
	* components/services/nautilus-dependent-shared/shared-service-widget
	s.c: (create_image_widget), (create_services_title_widget),
	(create_services_header_widget), (set_widget_foreground_color),
	(show_feedback):
	* components/services/nautilus-dependent-shared/shared-service-widget
	s.h:
	* components/services/startup/nautilus-view/Makefile.am:
	* components/services/summary/nautilus-view/Makefile.am:
	* configure.in:

	Moving nautilus-dependant-shared to nautilus-dependent-shared.  The
	poor spelling was too much.
	

2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-scalable-font.c:
	(parse_font_description_file), (font_family_new),
	(font_family_table_add_fonts), (font_family_string_map_new),
	(nautilus_scalable_font_new),
	(nautilus_scalable_font_largest_fitting_font_size),
	(nautilus_scalable_font_draw_text_lines),
	(font_family_table_get_family_list), (font_family_table_free),
	(nautilus_scalable_font_query_font),
	(default_font_at_exit_destructor),
	(font_family_table_at_exit_destructor),
	(font_family_string_map_at_exit_destructor),
	(initialize_global_stuff_if_needed):

	Add a simple font family map.  The idea is to make it very simple
	to specifiy font family names without having to know what the
	exact name of the font is.
	
2000-08-21  John Sullivan  <sullivan@eazel.com>

	After talking to Darin, split up 
	nautilus_file_get_parent_uri into a _for_display
	version and the standard "pure" one. We had callers
	that wanted each type.

	* libnautilus-extensions/nautilus-file.h,
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_parent_uri_for_display):
	New function, formats the result of get_parent_uri
	for user-ready display.
	(nautilus_file_get_parent_uri): Took out the format
	code from this more basic function.
	(nautilus_file_compare_by_directory_name): Use the
	for_display version here.
	(nautilus_file_get_string_attribute): Use the
	for_display version here.

2000-08-21  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1456 ("file://" shouldn't appear in locations
	in Property window)

	Robert Brady <rwb197@zepler.org> submitted a patch for this
	bug (thanks Robert!). The patch worked, but I ended up fixing 
	it a somewhat different way when I realized that we had two 
	similar routines that needed to be merged.

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_directory_name): Removed this function;
	callers should use get_parent_uri instead.
	(nautilus_file_get_parent_uri): Use 
	nautilus_format_uri_for_display before returning result,
	since this call is intended for display purposes; beef up
	comment to explain.
	(nautilus_file_compare_by_directory_name): Use _get_parent_uri
	instaed of _get_directory_name
	(nautilus_file_get_string_attribute): Eliminate "directory"
	string attribute.
	* src/file-manager/fm-search-list-view.c:
	(real_get_column_specification): Use "parent_uri" instead of
	"directory" name. The only visible effect this has is to remove
	the trailing slashes from the "Directory" column. Also, changed
	title of column from "Directory" to "Where" to match properties
	window.

2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_new), (nautilus_string_list_new_from_string),
	(nautilus_string_list_new_from_string_list),
	(nautilus_string_list_new_from_tokens),
	(nautilus_string_list_contains), (nautilus_string_list_equals),
	(nautilus_string_list_get_index_for_string),
	(nautilus_string_list_sort),
	(nautilus_string_list_remove_duplicates), (str_is_equal),
	(nautilus_self_check_string_list):
	* libnautilus-extensions/nautilus-string-list.h:

	Add support for case insensitive string lists.

	* libnautilus-extensions/nautilus-string-map.c,
	* libnautilus-extensions/nautilus-string-map.c:
	(nautilus_string_map_add), (map_entry_new),
	(map_entry_list_lookup_mapped_string), (str_is_equal),
	(nautilus_self_check_string_map):

	Add support for case insensitive string maps.

	* libnautilus-extensions/nautilus-string.c:
	(nautilus_istr_compare):

	Add missing function that apparentlt was missing and unnoticed. 
	
	* libnautilus-extensions/nautilus-font-picker.c:
	(font_picker_update_weight_picker),
	(font_picker_update_slant_picker),
	(font_picker_update_set_width_picker):
	* libnautilus-extensions/nautilus-preference.c:
	(preference_allocate_type_info):
	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_create_font_family),
	(preferences_item_create_theme):
	* libnautilus-extensions/nautilus-scalable-font.c:
	(parse_font_description_file), (font_family_table_add_fonts),
	(nautilus_scalable_font_largest_fitting_font_size),
	(font_family_table_get_family_list),
	(nautilus_scalable_font_query_font):
	* libnautilus-extensions/nautilus-string-picker.c:
	(nautilus_string_picker_initialize),
	(nautilus_string_picker_get_string_list),
	(nautilus_string_picker_insert_string):
	* libnautilus-extensions/nautilus-user-level-manager.c:
	(user_level_manager_new),
	(nautilus_user_level_manager_get_user_level_names):
	* src/file-manager/fm-directory-view.c:
	(real_get_emblem_names_to_exclude):
	* src/nautilus-application.c:
	(nautilus_application_check_user_directories):
	* test/test-nautilus-image.c: (create_font_picker_frame):
	* test/test-nautilus-label.c: (create_font_picker_frame):
	* test/test-nautilus-widgets.c: (test_string_picker):

	Update for case insensitive support changes in string list api.

2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>
	 
	* libnautilus-extensions/nautilus-directory.c:
	Check for NULL before dereferencing 'directories'.

	I was playing around with test (moving their order of execution).
	directories was null at exit time, and an assertion was triggered
	inside the GHashTable.

	(nautilus_directory_number_outstanding),
	(nautilus_self_check_directory): Fix a typo that was making the
	checks fail.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_render_to_pixbuf_tiled), Fix from andy to
	properly deal with pixbufs that have alpha channels.
	(nautilus_gdk_pixbuf_fill_rectangle_with_color), New function to
	fill an area of a pixbuf with a given color.
	(nautilus_gdk_pixbuf_render_to_drawable),
	(nautilus_gdk_pixbuf_render_to_pixbuf),
	(nautilus_gdk_pixbuf_render_to_pixbuf_alpha), New functions to
	handle pixbuf rendering to various destinations using the same
	api.  Also, these do clipping if needed to prevent overflow.
	(nautilus_gdk_pixbuf_save_to_file),  Make this function public.
	It used to live in the icon factory.
	(nautilus_gdk_pixbuf_ref_if_not_null),
	(nautilus_gdk_pixbuf_unref_if_not_null): New functions to
	make pixbuf ref/unref code more readably by dealing with NULL
	pixbufs.
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_make_thumbnails):
	Make the save_pixbuf function public and move it to the gdk_pixbuf
	place.
		
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-gtk-extensions.c:
	(nautilus_gtk_widget_set_background_color),
	(nautilus_gtk_widget_set_foreground_color),
	(nautilus_gtk_widget_find_windowed_ancestor):
	* libnautilus-extensions/nautilus-gtk-extensions.h:

	New function to find a windowed ancestor for a GtkWidget.
	New functions to change a widget's background and foreground.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_gdk_font_get_bold), (nautilus_gdk_create_copy_area_gc):
	* libnautilus-extensions/nautilus-gdk-extensions.h:

	New utility function to create copy area gcs.  

	New macros to pack and unpack RGBA values.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-picker.c:
	(nautilus_string_picker_insert_string),
	(nautilus_string_picker_contains):
	* libnautilus-extensions/nautilus-string-picker.h:

	New function to test whether the string picker contains a string.
	Also add some more documentation.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-glib-extensions.h:

	Add two dumb macros to make macro declaration easier.

2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_new_from_tokens),
	(nautilus_string_list_contains), (nautilus_string_list_sort),
	(nautilus_string_list_remove_duplicates),
	(nautilus_string_list_get_longest_string),
	(nautilus_string_list_get_longest_string_length),
	(nautilus_self_check_string_list):
	* libnautilus-extensions/nautilus-string-list.h:

	New functions to find the longest string and longest string length.
	
	Also, some function pointers cast cleanup.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	Tasks: 1612, 1274, 1511 and 1588.
	
	* libnautilus-extensions/nautilus-scalable-font.c:
	* libnautilus-extensions/nautilus-scalable-font.h:

	New GtkObject subclass that provdes a simple interface to raph's
	librsvg FreeType2 bases anti aliased text rendering.

	* libnautilus-extensions/nautilus-font-picker.c:
	* libnautilus-extensions/nautilus-font-picker.h:

	New font picker class.  I will soon use it in the preferences
	dialog instead of the current one.

	* libnautilus-extensions/nautilus-buffered-widget.c:
	* libnautilus-extensions/nautilus-buffered-widget.h:

	New virtual widget class that encapsulates the details of finding
	a suitable background for compositing pixbufs.

	* libnautilus-extensions/nautilus-image.c:
	* libnautilus-extensions/nautilus-image.h:

	Rewritten NautilusImage class.  Took out all the label stuff,
	which lives in its own class.  Now subclassed from
	NautilusBufferedWidget so that background the image gets
	composited on is always correct and groks NautilusBackground.

	* libnautilus-extensions/nautilus-label.c:
	* libnautilus-extensions/nautilus-label.h:

	New NautilusLabel widget class.  A label widget that is capable of
	displaying anti aliased text composited over a complex background.

	The background can be installed as NautilusBackground on a
	NautilusLabel widget or any of its ancestors.  The best background
	will automatically be found and used by the widget.

	* services/nautilus-dependant-shared/shared-service-widgets.c,
	* services/nautilus-dependant-shared/shared-service-widgets.h,
	* services/startup/nautilus-view/nautilus-service-startup-view.c:

	Update for changes in the NautilusImage api.  Unfortunately, these
	components are slightly broken now cause of the NautilusImage
	changes.  I will fix them shortly.

	* libnautilus-extensions/nautilus-string-map.c:
	* libnautilus-extensions/nautilus-string-map.h:

	New simple class to map an arbitrary number of strings to a single
	string.

	* libnautilus-extensions/nautilus-lib-self-check-functions.h:
	Add tests for the new string map class.
	
	* libnautilus-extensions/Makefile.am:

	Build the new widgets.  Also add some depedencies on the static
	libraries we link into this beast.  This way,
	libnautilus-extensions will rebuild of one if its dependency
	static libs is touched.

	* test/.cvsignore,
	* test/Makefile.am,
	* test/test-nautilus-font-picker.c,
	* test/test-nautilus-font.c,
	* test/test-nautilus-image.c,
	* test/test-nautilus-label.c:

	Update test programs for new widgets.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_widget_has_attached_background):
	* libnautilus-extensions/nautilus-background.h:

	New function to test whether a GtkWidget has an attatched
	NautilusBackground.  This is needed because of the
	nautilus_get_widget_background will implicitly attatch a
	background.  This creates serious problems for widget hierarchies
	where the only interesting background is that of an ancestor.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* librsvg/test-ft.c: (main):

	Update for changes in librsvg glyph_xy return values.
	
2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string.c:
	(nautilus_istr_is_equal), (nautilus_self_check_string):
	* libnautilus-extensions/nautilus-string.h:
	Add a case insensitive version of nautilus_str_is_equal.

2000-08-21  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_count_characters), (nautilus_self_check_string):
	* libnautilus-extensions/nautilus-string.h:
	New function to count the occurance of a character in a string.

2000-08-20  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-first-time-druid.c: (set_up_update_feedback_page),
	(next_update_page_callback), (nautilus_first_time_druid_show),
	(download_callback), (initiate_file_download):
	work on required task 1826; made the first time druid load the nautilus update file
	asynchronously, and then expand it into a directory at ~/.nautilus.  There's still
	a lot of refinement left to do, but the basic functionality is there now.
	
Sat Aug 19 23:43:23 2000  George Lebl <jirka@5z.com>

	* librsvg/rsvg.c (rsvg_ctx_free_helper) (rsvg_entity_decl):
	  use xml memory allocation/deallocation routines for strings
	  which are allocated/deallocated inside libxml to make glib
	  memory checking not crash

	* libnautilus-extentions/nautilus-gnome-extentions.[ch]:
	  add a function nautilus_gnome_stock_set_icon_or_register which
	  does the GnomeStock voodoo for setting stock toolbar icons to
	  arbitrary files

	* src/nautilus-window-toolbars.c (set_up_button):  Use the
	  nautilus_gnome_stock_set_icon_or_register function as per Darin's
	  FIXME which thus got removed.

2000-08-19  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/nautilus-tree-model.c: (report_node_added,
	report_node_changed): Create the NautilusDirectory for a node when
	and if we discover it is a directory.
	* components/tree/nautilus-tree-node.c:
	(nautilus_tree_node_destroy, nautilus_tree_node_new): Don't
	automatically create a NautilusDirectory; unref the
	NautilusDirectory only if present.
	* components/tree/nautilus-tree-view.c: Remove gratuitous include
	of nautilus-directory.h

2000-08-19  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-tabs.c: (draw_or_layout_all_tabs):
	fixed a bug in the themed sidebar tabs where the layout and drawing
	code paths would get out of whack, resulting in messed up tab layout
	
2000-08-19  Mathieu Lacage  <mathieu@eazel.com>

	completes task 1567. it shows a bug in the way the history
	view displays the current location given the history. to be 
	fixed soon.
	
	* components/history/nautilus-history-view.c:
	(history_load_location), (history_title_changed), (make_obj):
	add title_changed_callback, connect it to changed_title signal.
	make it call load_location.
	Hack evil stuff in load_location: a hand-made lock because the 
	function calls some gtk calls which seem to make the main loop 
	run at least once. This allowed the main loop to use the events 
	in the event queue and it happened that the title_changed signal
	is usually emited more than once so it called again the 
	non-reentrant signal callback... BAD THINGS HAPPENED.
	
	
	* libnautilus/nautilus-view-component.idl: add changed_title method 
	to Nautilus::View.
	* libnautilus/nautilus-view.c: (impl_Nautilus_View_title_changed),
	(nautilus_view_initialize_class): implement the new idl function and
	add a signal for it.
	* libnautilus/nautilus-view.h: add the new signal class method.

	
	* src/nautilus-view-frame-bonobo-control.c: add the title_changed 
	field to the vtable.
	* src/nautilus-view-frame-nautilus-view.c: (title_changed): idem.
	* src/nautilus-view-frame-private.h: idem.
	* src/nautilus-view-frame.c: (nautilus_view_frame_title_changed):
	add api function to emit the signal and make the actual corba call.
	* src/nautilus-view-frame.h: add function prototype.
	* src/nautilus-window-manage-views.c: add calls to 
	(nautilus_window_update_title): to notify view frames of changed 
	titles.

2000-08-18  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-volume-monitor.c:
	* libnautilus-extensions/nautilus-volume-monitor.h:
	(nautilus_volume_monitor_initialize), (find_volumes):
	Removed public call to nautilus_volume_monitor_find_volumes
	and replaced with find_volumes which is called internally
	when class is initialized.
		
	* src/file-manager/fm-desktop-icon-view.c:
	(startup_create_mount_links), (fm_desktop_icon_view_initialize),
	(volume_mounted_callback):
	Create a callback that is called for each mounted volume
	to create mounted volume icons when desktop is created.
	
	* icons/trash-empty.png:
	* icons/trash-full.png:
	Added new Trash icons to try and make text appear centered.
	
Fri Aug 18 21:22:17 2000  George Lebl <jirka@5z.com>

	* components/hardware/nautilus-hardware-view.c
	  (read_proc_info) (extract_info) (get_CPU_description)
	  (get_RAM_description):
	  Use g_strdup instead of strdup
	  (get_CPU_description):
	  Free allocated data when returning due to an error

	* components/music/nautilus-music-view.c
	  (nautilus_music_view_update_from_uri):
	  Initialize clist_entry in a loop, use g_strdup_printf instead
	  of malloc and sprintf, and properly free allocated data after use

	* components/services/inventory/lib/eazel-inventory-shared.c
	  (read_proc_info) 
	  components/services/inventory/nautilus-view/nautilus-inventory-view.c
	  (gather_config_button_cb)
	  libnautilus-extensions/nautilus-string.c
	  (nautilus_str_middle_truncate)
	  librsvg/rsvg.c (rsvg_ctx_free):
	  Use g_strdup instead of strdup and g_free instead of free to
	  prevent crashes with glib compiled with --enable-mem-check 
	
	* src/file-manager/Makefile.am,
	  src/file-manager/nautilus-indexing-info.[ch],
	  src/file-manager/fm-search-list-view.c (indexing_info_callback)
	  (real_merge_menus):
	  Bug #1369: Add a dialog for indexing info to the file menu.  The
	  dialog shows the last time the indexing was done and allows to
	  update the indexes.  Only shown on the file search result dialog

2000-08-18  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_initialize),
	(nautilus_volume_monitor_destroy), (mount_volume_is_mounted),
	(mount_volume_cdrom_set_state), (mount_volume_floppy_set_state),
	(mount_volume_ext2_set_state), (mount_volume_set_state),
	(volume_set_state_empty), (mount_volume_mount),
	(mount_volume_activate_cdrom), (mount_volume_activate_floppy),
	(mount_volume_activate_ext2), (mount_volume_activate),
	(eject_cdrom), (mount_volume_deactivate),
	(mount_volume_do_nothing), (mount_volume_check_change),
	(mount_volumes_update_is_mounted), (mount_volumes_check_status),
	(mount_volume_floppy_add), (mount_volume_ext2_add),
	(mount_volume_iso9660_add), (mount_volume_add_aliases),
	(add_mount_volume), (mntent_is_removable_fs),
	(nautilus_volume_monitor_find_volumes),
	(nautilus_volume_monitor_each_volume),
	(nautilus_volume_monitor_each_mounted_volume),
	(nautilus_volume_monitor_mount_unmount_removable),
	(free_volume_info), (get_iso9660_volume_name),
	(get_ext2_volume_name), (get_floppy_volume_name):
	* libnautilus-extensions/nautilus-volume-monitor.h:
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize), (volume_mounted_callback),
	(volume_unmounted_callback):

	More naming fixes.  Remove info from NautilusDeviceInfo and renamed it
	NautilusVolume.  Removed device naming and use volume instead.  Named other
	structs with Nautilus prepended.
	
2000-08-18  John Sullivan  <sullivan@eazel.com>

	More work on bug 1750 ("Reveal in New Window" feature for 
	search results). Now it opens a new window with the right
	item selected. The only remaining work is to make the new
	window scroll as necessary to reveal the item.

	Along the way, fixed an unreported bug where the selection
	wasn't being maintained on view switches.

	* libnautilus-extensions/nautilus-gtk-extensions.h:
	added #define for nautilus_gtk_marshal_NONE__STRING_POINTER.
	
	* libnautilus/nautilus-view-component.idl:
	Added open_in_new_window_and_select call.
	
	* libnautilus/nautilus-view.h,
	* libnautilus/nautilus-view.c:
	(nautilus_view_open_in_new_window_and_select):
	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame_open_location_in_new_window),
	(impl_Nautilus_ViewFrame_open_in_new_window_and_select):
	* src/nautilus-view-frame-private.h:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_initialize_class),
	(nautilus_view_frame_open_in_new_window_and_select):
	* src/nautilus-view-frame.h: Wired together the various
	pieces to get open_in_new_window_and_select across CORBA
	and into the view frame.

	* src/nautilus-window.h: added pending_selection field
	* src/nautilus-window-manage-views.h: added
	nautilus_window_open_in_new_window_and_select
	* src/nautilus-window.c: 
	(nautilus_window_open_in_new_window_and_select_callback),
	(nautilus_window_connect_view): Wiring to connect view
	frame signals to window.
	(nautilus_window_destroy): free pending_selection
	* src/nautilus-window-manage-views.c:
	(nautilus_window_update_view): Changed call from 
	nautilus_window_report_selection_changed to
	nautilus_view_frame_selection_changed. This was the source
	of the selection-not-preserved-across-view-changes bug.
	Darin came up with this fix.
	(open_location): Added a new_selection parameter to this
	bottleneck function. It is set as the pending_selection
	in the window.
	(nautilus_window_open_location),
	(nautilus_window_open_location_in_new_window),
	(nautilus_window_report_location_change): Update existing
	callers of open_location to pass NULL for new_selection parameter.
	(nautilus_window_open_in_new_window_and_select): New function,
	calls open_location with a selection (among other parameters).
	(nautilus_window_update_state): When loading a new location, set
	the location to pending_selection rather than NULL (and clear
	pending_selection later so it doesn't unnecessarily hang around).

	* src/file-manager/fm-search-list-view.c:
	(reveal_selected_items_callback): 
	Call open_in_new_window_and_select instead of just 
	open_location_in_new_window

2000-08-18  Michael Engber  <engber@eazel.com>

	Final cut at syncing our desktop background with GNOME's (bug 1047)
	Now we are notified when the background capplet makes a change
	to the desktop. There are still some problems, e.g. we don't get
	notified when the "try" button is hit. A separate bug has been
	filed about the remaining issues.

	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_set_desktop),
	(call_settings_changed),
	(nautilus_directory_background_event_filter),
	(desktop_background_destroyed_callback),
	(nautilus_directory_background_receive_root_window_changes),
	(background_changed_callback), (saved_settings_changed_callback),
	(nautilus_directory_background_theme_changed),
	(background_reset_callback), (background_destroyed_callback),
	(nautilus_connect_background_to_directory_metadata):

2000-08-18  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-link.h:
	(nautilus_link_is_volume_link):
	New function.  Identifies if link is a volume link.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	* libnautilus-extensions/nautilus-volume-monitor.h:
	(nautilus_volume_monitor_initialize_class),
	(mount_device_is_mounted), (mount_device_cdrom_set_state),
	(mount_device_floppy_set_state), (mount_device_ext2_set_state),
	(mount_device_set_state), (device_set_state_empty),
	(mount_device_mount), (mount_device_activate_cdrom),
	(mount_device_activate_floppy), (mount_device_activate_ext2),
	(mount_device_activate), (eject_cdrom), (mount_device_deactivate),
	(mount_device_do_nothing), (mount_device_check_change),
	(mount_devices_update_is_mounted), (mount_device_floppy_add),
	(mount_device_ext2_add), (mount_device_iso9660_add),
	(mount_device_add_aliases), (add_mount_device),
	(nautilus_volume_monitor_each_device),
	(nautilus_volume_monitor_each_mounted_device),
	(nautilus_volume_monitor_mount_unmount_removable),
	(free_device_info), (get_iso9660_volume_name),
	(get_ext2_volume_name), (get_floppy_volume_name):
	Renamed DeviceInfo to NautilusDeviceInfo.
	Removed all code that handled links and moved to 
	FMDesktopIconView.  Fixed creation of volume mounted signal
	to have proper signature,
			
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize), (volume_mounted_callback),
	(volume_unmounted_callback), (remove_old_mount_links):
	Added signal handlers for mount and unmount signals emitted
	by NautilusVolumeMonitor.  These handlers create and remove
	mount links.

2000-08-18  Mathieu Lacage  <mathieu@eazel.com>


	Cleans up the HistoryFrame : remove the History object
	and replaces it with HistoryList.
	* components/history/nautilus-history-view.c: (get_history_list),
	(history_load_location):
	* libnautilus/nautilus-view-component.idl:
	* src/nautilus-history-frame.c:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_get_history_list):
	* src/nautilus-view-frame.h:
	* src/nautilus-window.c:
	(nautilus_window_get_history_list_callback):

2000-08-18  John Sullivan  <sullivan@eazel.com>

	More menu tweaking, including switching over to use
	Bonobo "menu placeholders" for menu-merging components.

	Fixed bug 1859 (Need improved way to position added menu items)

	* libnautilus/nautilus-bonobo-ui.h:
	Removed all menu item paths except those we expect to
	be merged over (like "Select All"). Added new placeholder
	paths for components to use when merging instead of relying
	on the positions of specific menu items. Commented the intended
	use of each placeholder.

	* components/loser/content/nautilus-content-loser.c:
	(loser_merge_bonobo_items_callback):
	* components/loser/sidebar/nautilus-sidebar-loser.c:
	(loser_merge_bonobo_items_callback):
	* components/sample/nautilus-sample-content-view.c:
	(sample_merge_bonobo_items_callback):
	Updated menu-merging code to use placeholder paths.
	
	* src/file-manager/fm-directory-view.c:
	(reset_bonobo_trash_delete_menu), (reset_bonobo_open_with_menu),
	(fm_directory_view_real_merge_menus): Updated menu-merging code
	to use placeholder paths or to base positions off other
	directory view menu items. Added separator before Empty Trash.
	* src/file-manager/fm-directory-view.h: Updated #defines for
	directory view menu paths (some used by subclasses)
	
	* src/file-manager/fm-icon-view.c: (compute_menu_item_info):
	Change "Restore Icon to Unstretched Size" to "Restore Icon's
	Original Size" to match Arlo's wording (and similarly for
	the plural case)
	
	* src/nautilus-window-menus.c: 
	Moved in the menu paths that were moved out of nautilus-bonobo-ui.h
	(append_placeholder): New function, wrapper for 
	bonobo_ui_handler_menu_new_placeholder
	(nautilus_window_remove_bookmarks_menu_items),
	(refresh_dynamic_bookmarks), (append_static_bookmarks): 
	Simplified logic of rebuilding bookmarks menu by
	using placeholder instead of details->last_static_bookmark_path.
	(nautilus_window_initialize_menus): Insert the placeholders defined
	in nautilus-bonobo-ui.h; add Control-/ for "About Nautilus" per Arlo.
	(nautilus_window_remove_go_menu_items),
	(refresh_go_menu): Use placeholder to position History menu items.
	* src/nautilus-window-private.h: Removed last_static_bookmark_path;
	moved #defines for back/forward/up menu paths here.
	* src/nautilus-window.c: (nautilus_window_destroy): Removed
	last_static_bookmark_path.

	Fixed bug 2166 (Clearing name field in Properties window doesn't work right)

	* src/file-manager/fm-properties-window.c:
	(name_field_update_to_match_file): Changed a char * to const char *
	for clarity.
	(name_field_restore_original_name): New function, restores the original
	contents of the name field, no questions asked.
	(name_field_done_editing): When handling empty-string case, use
	restore_original_name instead of update_to_match_file, which was too
	clever for this case.

2000-08-18  Darin Adler  <darin@eazel.com>

	* src/nautilus-window-menus.c: (help_menu_about_nautilus_callback):
	* libnautilus-extensions/nautilus-program-chooser.c:
	(nautilus_program_chooser_new),
	(nautilus_program_chooser_show_no_choices_message):
	Fixed bug 2210 (GNOME is referred to as Gnome in the about
	dialog).  It was in one other place too.
	
	* libnautilus/nautilus-view-component.idl:
	Fixed some comments.

	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback):
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_emit_files_changed),
	(nautilus_directory_emit_change_signals_deep),
	(nautilus_directory_emit_metadata_changed),
	(call_files_changed_free_list),
	(call_files_changed_unref_free_list):
	* libnautilus-extensions/nautilus-file.c: (nautilus_file_changed):
	Separated out the call so you can emit a files_changed without
	also emitting a changed signal on each file.
	
	
	* libnautilus-extensions/nautilus-trash-directory.h:
	* libnautilus-extensions/nautilus-trash-directory.c:
	(trash_callback_remove_directory), (directory_ready_callback),
	(forward_files_added_cover), (forward_files_changed_cover),
	(nautilus_trash_directory_add_real_directory),
	(trash_callback_remove_directory_cover),
	(nautilus_trash_directory_remove_real_directory),
	(remove_all_real_directories),
	(fm_desktop_icon_view_discover_trash_callback),
	(add_one_writable_device), (get_trashable_volume_uris),
	(nautilus_trash_monitor_async_get_trash_directories):
	More trash work. A bunch is commented out. I'm doing this *so*
	slowly, but I need to check in at this point for Gene's sake.
	
	* libnautilus-extensions/nautilus-volume-monitor.h:
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_initialize_class),
	(mount_device_activate), (mount_device_deactivate):
	Changed the signals to be both more useful and easier to use.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	* src/file-manager/nautilus-trash-monitor.c:
	Moved 1/2-written trash code out of here.

	* HACKING: Spell checking.
	
2000-08-18  John Sullivan  <sullivan@eazel.com>

	* configure.in: Added pt_BR to ALL_LINGUAS

2000-08-17  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-caption.c:
	(nautilus_caption_initialize_class), (nautilus_caption_initialize),
	(nautilus_font_picker_show_all), (update_title),
	(nautilus_caption_set_show_title), (nautilus_caption_set_child):
	* libnautilus-extensions/nautilus-caption.h:
	New function to allow hiding the title.
	
2000-08-17  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-picker.c:
	(nautilus_string_picker_initialize),
	(nautilus_string_picker_destroy),
	(nautilus_string_picker_set_string_list),
	(nautilus_string_picker_get_string_list),
	(nautilus_string_picker_get_selected_string),
	(nautilus_string_picker_set_selected_string),
	(nautilus_string_picker_insert_string):
	* libnautilus-extensions/nautilus-string-picker.h:
	New function to insert a string without having to access the
	string list first.  Also renamed some poorly named functions.

	* libnautilus-extensions/nautilus-preferences-item.c:
	(preferences_item_create_font_family),
	(preferences_item_create_theme), (text_item_changed_callback):
	Update for string picker api changes.
	
	* test/test-nautilus-widgets.c: (test_string_picker),
	(string_picker_changed_callback):
	Update for string picker api changes.

2000-08-17  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_new_from_string_list),
	(nautilus_string_list_assign_from_string_list),
	(nautilus_string_list_free), (nautilus_string_list_equals),
	(nautilus_string_list_get_index_for_string), (compare_strings),
	(nautilus_string_list_sort),
	(nautilus_string_list_remove_duplicates),
	(nautilus_string_list_for_each), (nautilus_self_check_string_list):
	* libnautilus-extensions/nautilus-string-list.h:

	New function to assign one string list to another.
	New function to sort the string list.
	New function to remove duplicate strings.
	Also added tests for all these.
	
2000-08-17  Ramiro Estrugo  <ramiro@eazel.com>

	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_is_equal), (nautilus_self_check_string):
	* libnautilus-extensions/nautilus-string.h:
	New function and tests.
	
2000-08-17  John Sullivan  <sullivan@eazel.com>

	Finished task 1991 (Need "Create Link" menu item) and did
	a little of bug 1653 (refined menu layout)

	* src/file-manager/fm-directory-view.h:
	#define FM_DIRECTORY_VIEW_MENU_PATH_CREATE_LINK
	* src/file-manager/fm-directory-view.c: 
	(fm_directory_view_create_links_for_files): New function,
	creates symbolic links in this directory for a set of files.
	(create_link_callback): New function used by both bonobo and
	context menu "Create Link" items. Calls _create_links_for_files
	on selected files.
	(compute_menu_item_info): Compute title & sensitivity of 
	link-creating menu item.
	(fm_directory_view_real_create_selection_context_menu_items):
	add Create Link to context menu.
	(reset_bonobo_trash_delete_menu): Spacing change only.
	(fm_directory_view_real_merge_menus): Gave Control-N to
	New Folder and Control-I (weird) to Show Properties. Added
	Create Link to bonobo menu.
	(fm_directory_view_real_update_menus): Update Create Link item
	when selection changes.
	(fm_directory_view_get_context_menu_index): Updated to match
	current set of items.
	
	* src/nautilus-window-menus.c: (nautilus_window_initialize_menus):
	Took Control-N away from "New Window" so "New Folder" could have it;
	gave "Close All Windows" Control-Shift-W

2000-08-17  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-dnd.c:
	(receive_dropped_keyword):
	implemented task 2078, we need a better drag and drop-based way to
	delete emblems, by adding an "erase emblems" emblem and special-casing
	it to erase the emblems.
	
	* data/emblems/Makefile.am:
	* data/emblems/erase.png:
	added Susan's erase emblem image
	
2000-08-17  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-image.c: (ensure_buffer_size),
	(nautilus_gdk_pixbuf_render_to_drawable):
	made it respect the alpha channel for ordinary images by making
	the buffer use an alpha channel and rending with an alpha channel if
	present.
	
	* src/nautilus-application.c: (need_to_show_first_time_druid):
	removed the code that set the first time flag here, since it
	shouldn't be set until the user has gone all the way through the
	druid.
	
	* src/nautilus-first-time-druid.c:
	(druid_set_first_time_file_flag), (druid_finished),
	(update_selection_changed), (set_up_update_page),
	(set_up_update_feedback_page), (next_update_page_callback),
	(finish_page_back_callback), (nautilus_first_time_druid_show):
	started to add the "welcome package" service download to the
	druid, which I'll finish soon.  Also, set the first time flag
	at the end of the druid and other clean-ups.
	
2000-08-17  Darin Adler  <darin@eazel.com>

	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_monitor_node):
	* libnautilus-extensions/nautilus-directory-async.c:
	(nautilus_directory_monitor_add_internal):
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_connect_background_to_directory_metadata):
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_file_monitor_add),
	(nautilus_self_check_directory):
	* libnautilus-extensions/nautilus-directory.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_monitor_add):
	* libnautilus-extensions/nautilus-trash-directory.c:
	(trash_file_monitor_add):
	* libnautilus-extensions/nautilus-vfs-directory.c:
	(vfs_file_monitor_add):
	* src/file-manager/fm-directory-view.c: (finish_loading_uri):
	* src/file-manager/nautilus-trash-monitor.c:
	(nautilus_trash_metadata_ready_callback):
	Remove extra parameters now that the initial files callback is
	gone. It turns out emitting another files_added signal works just
	fine. If it wasn't for the search list view, I could also merge
	the "file_added" and "files_changed" signals easily. Both of these
	changes would simplify the work on the virtual trash directory.
	
	* libnautilus-extensions/nautilus-link.h:
	* libnautilus-extensions/nautilus-link.c:
	Get rid of NAUTILUS_LINK constant, which looked like a link type,
	but was really an unrelated implementation detail.
	
	* libnautilus-extensions/nautilus-icon-container.c: (sort_icons),
	(resort), (lay_down_icons_tblr), (finish_adding_new_icons):
	Removed the file-manager-specific stuff Gene added for the desktop.
	I fight the continuing battle to keep NautilusIconContainer a
	general icon container, and not just for the Nautilus icon view.
	The drag code is still an exception to this that needs to be fixed
	some day (for NautilusList too).
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize),
	(get_local_path), (get_sort_category),
	(desktop_icons_compare_callback):
	Rewrote sorting code from NautilusIconContainer and moved it
	here where it belongs.
	
2000-08-17  John Sullivan  <sullivan@eazel.com>

	Work on bug 1750 ("Reveal in New Window" feature for search results)

	* src/file-manager/fm-search-list-view.c:
	(reveal_selected_items_callback): New function, opens a new window
	showing the parent directory for each selected item. What it
	still doesn't do is select and scroll-to-expose the item.
	(real_create_selection_context_menu_items), (real_merge_menus):
	Wire the callback to the context & menu-bar menu items.

2000-08-17  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(desktop_icons_sort), (lay_down_icons_tblr):
	Fixed a bug in the sorting of icons for initial layout
	in tblr mode.  Trash was not being placed last in the
	list.

2000-08-16  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2169 ("Move to Trash" menu item needs refinement)
	Fixed bug 1742 ("Move to Trash" in search view should work)
	Fixed bug 1745 ("Delete from Trash" in search view should work)

	* libnautilus-extensions/nautilus-file.h,
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_parent_uri),
	(nautilus_file_get_string_attribute):
	made nautilus_file_get_parent_uri public, and changed its name
	(was nautilus_file_get_parent_uri_as_string)
	
	* src/file-manager/fm-directory-view.h:
	(contents_share_parent): New function pointer for subclasses 
	to optionally override. Subclasses should override to return
	FALSE if their contents might be from different directories.
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class): Wire up 
	contents_share_parent function pointer
	(get_nautilus_file_from_directory): New helper function to
	get a NautilusFile from a NautilusDirectory
	(fm_directory_is_trash): Reimplemented to call existing
	function nautilus_file_is_in_trash and avoid duplicating code.
	(fm_directory_view_contents_share_parent): New function, calls
	the virtual function
	(real_contents_share_parent): New function, default implementation
	that returns TRUE since normal directory views' contents are all
	in the same parent directory.
	(all_files_in_trash): New function, checks if every file in a
	list is in the trash
	(fm_directory_all_selected_items_in_trash): New function, calls
	all_files_in_trash on selection or uses shortcut if
	fm_directory_view_contents_share_parent is true.
	(fm_directory_view_can_move_file_to_trash): Renamed from
	fm_directory_can_move_to_trash, and now takes a file parameter
	since the answer might vary on a file-by-file basis.
	(fm_directory_view_confirm_deletion): Spruced up wording, and
	now takes a list of uris instead of a list of files, and now
	separately handles the case where only some of the selected files
	had to be deleted immediately.
	(fm_directory_view_trash_or_delete_selection): Rewrote to handle
	three types of files separately: files that can be moved to the
	trash, files already in the trash, and files that have to be
	deleted in place.
	(compute_menu_item_info): Changed "Delete..." to "Delete from Trash".
	(fm_directory_view_real_create_selection_context_menu_items),
	(reset_bonobo_trash_delete_menu):
	use "Delete from Trash" only if all selected items in trash.
	(fm_directory_view_real_update_menus): Update "Delete from Trash"
	menu item also. Its sensitivity wasn't updating properly due to
	this missing line.
	* src/file-manager/fm-search-list-view.c:
	(real_contents_share_parent): Overridden to return FALSE.
	(fm_search_list_view_initialize_class): wire up function pointer
	for contents_share_parent

2000-08-16  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(icon_toggle_selected), (icon_destroy),
	(nautilus_icon_container_remove):
	Fixed bug 2197, moving a file to trash while in renaming mode
	leaves renaiming item behind.
	Call end_renaming_mode in nautilus_icon_container_remove.
	
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_free_drag_data):
	Changed gtk_object_unref call to gtk_object_destroy to
	fix a crash.  Hopefully this didn't
	introduce a memory leak.
	
2000-08-16  Darin Adler  <darin@eazel.com>

	* README: Don't use tabs any more. Spell check.
	Add libglade.
	
	* components/tree/nautilus-tree-model.c:
	(nautilus_tree_model_monitor_add),
	(nautilus_tree_model_monitor_node):
	Use file attribute constant instead of hard-coded string. I was
	here to make some changes to the monitor API, but I didn't get
	to that yet. Next check-in.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(nautilus_directory_monitor_add_internal):
	Use "files_added" signal instead of callback. This is the first
	step toward removing the callback. I'll remove it tomorrow.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_notify_files_added): Fix directory ref count
	leak.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal): Fix case where we would not ref
	the NautilusFile even though the directory is monitoring it.
	This would lead to an early destroy later.
	
	* libnautilus-extensions/nautilus-search-uri.c:
	(nautilus_search_uri_to_human): Comment out print statements.
	Mathieu can delete them entirely later.
	(nautilus_self_check_search_uri): Added a few more tests.
	
	* libnautilus-extensions/nautilus-trash-directory.h:
	* libnautilus-extensions/nautilus-trash-directory.c:
	(nautilus_trash_directory_initialize), (trash_destroy),
	(trash_callback_hash), (trash_callback_equal),
	(trash_contains_file), (trash_callback_destroy),
	(trash_callback_check_done), (directory_ready_callback),
	(trash_callback_connect_directory), (trash_call_when_ready),
	(trash_cancel_callback), (trash_file_monitor_add),
	(trash_file_monitor_remove), (trash_are_all_files_seen),
	(trash_is_not_empty), (nautilus_trash_directory_initialize_class),
	(nautilus_trash_directory_add_real_trash_directory),
	(nautilus_trash_directory_remove_real_trash_directory),
	(remove_all_real_directories): Getting closer on the trash
	implementation. Still a ways to go.
	
	* src/file-manager/fm-icon-text-window.c:
	(create_attributes_option_menu):
	* src/file-manager/fm-icon-view.c: (fm_icon_view_merge_menus): Use
	_() instead of calling gettext. It turns out this is the
	recommended way to do it, even when the parameter is not a literal
	string.

2000-08-16  Michael Engber  <engber@eazel.com>

	Added bug numbers to some FIXME's and a new
	FIXME (and placeholder handling) for our lack
	of emboss support in background (bug 2193)
	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_draw):
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_read_desktop_settings):

2000-08-16  Michael Engber  <engber@eazel.com>

	Cleanup some of my desktop changes (better names) (bug 1047)
	Fix nautilus_background_get_image_placement, it was returning
	the wrong value (copy/paste error). Lay some ground work
	for supporting search results windows having their own theme. 

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_initialize_class),
	(nautilus_background_get_image_placement),
	(nautilus_background_draw),
	(nautilus_background_set_color_no_emit),
	(nautilus_background_set_color), (load_image_callback),
	(nautilus_background_set_image_uri_no_emit),
	(nautilus_background_set_image_uri),
	(nautilus_background_real_reset),
	(nautilus_background_receive_dropped_color):
	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_set_desktop),
	(nautilus_directory_background_is_desktop),
	(nautilus_directory_background_peek_theme_source),
	(nautilus_directory_background_get_default_settings),
	(nautilus_directory_background_read_desktop_settings),
	(nautilus_directory_background_write_desktop_default_settings),
	(image_loading_done_callback),
	(nautilus_directory_update_root_window),
	(nautilus_directory_background_is_set),
	(directory_changed_callback):

2000-08-16  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/dfos-xfer.c: (get_parent_make_name_list):
	The file-transfer mechanism can only handle files from the
	same parent directory right now. To prevent this from getting
	in the way of other work, I isolated the problem such that when
	you try to move/copy/make-link files from multiple directories,
	it puts up an alert warning you that it will ignore some of the
	files. Then it continues to process only the ones from the same
	directory as the first one it happened to examine.

2000-08-16  Gene Z. Ragan  <gzr@eazel.com>

	* src/nautilus-application.c: (nautilus_application_close_desktop):
	Changed gtk_object_unref call to gtk_object_destroy to
	fix an assertion being called.  Hopefully this didn't
	introduce a memory leak.

2000-08-16  Mathieu Lacage  <mathieu@eazel.com>

	* libnautilus-extensions/nautilus-search-uri.c:
	(nautilus_self_check_search_uri): add more tests.

2000-08-15  Mathieu Lacage  <mathieu@eazel.com>

	* libnautilus-extensions/nautilus-search-uri.c:
	(strip_uri_begenning), (tokenize_uri), (get_translated_criterion),
	(parse_uri), (nautilus_self_check_search_uri): add loads of self-test.
	fix bugs encountered in the testing. Thanks Darin.

2000-08-15  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-trash-directory.c:
	(nautilus_trash_directory_initialize), (trash_destroy),
	(callback_hash), (callback_equal), (trash_contains_file),
	(call_when_ready_state_destroy),
	(call_when_ready_state_check_done), (directory_ready_callback),
	(trash_call_when_ready), (trash_cancel_callback),
	(trash_files_callback), (trash_file_monitor_add),
	(trash_file_monitor_remove), (trash_are_all_files_seen),
	(trash_is_not_empty): More of the implementation of all the
	trash functions. About 1/3 done now.
	
	* libnautilus-extensions/nautilus-icon-dnd.c:
	(nautilus_icon_container_free_drag_data):
	Use gtk_object_unref so it really gets rid of the object
	instead of gtk_object_destroy that doesn't free it.
	
	* libnautilus-extensions/nautilus-list.c: Reformatting.
	
	* libnautilus/nautilus-zoomable.c:
	(impl_Nautilus_Zoomable_zoom_out),
	(impl_Nautilus_Zoomable_zoom_to_fit),
	(impl_Nautilus_Zoomable__destroy),
	(impl_Nautilus_Zoomable__create),
	(nautilus_zoomable_initialize_class):
	Clean out some old cruft. More cleanup needed.
	
	* src/file-manager/fm-directory-view.c:
	(text_attribute_names_changed_callback),
	(embedded_text_policy_changed_callback),
	(image_display_policy_changed_callback),
	(directory_view_font_family_changed_callback),
	(click_policy_changed_callback),
	(anti_aliased_mode_changed_callback),
	(fm_directory_view_bump_zoom_level),
	(fm_directory_view_zoom_to_level),
	(fm_directory_view_restore_default_zoom_level),
	(fm_directory_view_can_zoom_in), (fm_directory_view_can_zoom_out),
	(fm_directory_view_get_background_widget),
	(fm_directory_view_get_selection): Use NAUTILUS_CALL_VIRTUAL.
	(fm_directory_can_move_to_trash): Fix handling of NULL directory.
	(new_folder_rename_later),
	(fm_directory_view_get_emblem_names_to_exclude),
	(fm_directory_view_merge_menus), (fm_directory_view_select_all),
	(fm_directory_view_set_selection),
	(fm_directory_view_supports_properties),
	(fm_directory_view_update_menus): Use NAUTILUS_CALL_VIRTUAL.
	(fm_directory_view_get_uri): Handle NULL directory.
	
	* src/file-manager/fm-icon-view.c:
	(fm_icon_view_get_directory_sort_by),
	(fm_icon_view_set_directory_sort_by),
	(fm_icon_view_get_directory_sort_reversed),
	(fm_icon_view_set_directory_sort_reversed),
	(fm_icon_view_get_directory_auto_layout),
	(fm_icon_view_set_directory_auto_layout):
	Use NAUTILUS_CALL_VIRTUAL.
	
	* src/file-manager/fm-list-view.c: (fm_list_view_adding_file),
	(fm_list_view_removing_file), (fm_list_view_file_still_belongs),
	(get_number_of_columns), (get_link_column),
	(get_default_sort_attribute), (get_column_specification):
	Use NAUTILUS_CALL_VIRTUAL.
	
	* src/nautilus-navigation-bar.c:
	(nautilus_navigation_bar_get_location),
	(nautilus_navigation_bar_set_location):
	Use NAUTILUS_CALL_VIRTUAL.

	* src/nautilus-view-frame-corba.c:
	(impl_Nautilus_ViewFrame__destroy):
	* src/nautilus-zoomable-frame-corba.c:
	(impl_Nautilus_ZoomableFrame__destroy),
	(impl_Nautilus_ZoomableFrame__create):
	Remove some unused code.

2000-08-15  Arlo Rose  <arlo@eazel.com>

	* AUTHORS:
	Added myself.
	This file is *seriously* out of date.

2000-08-15  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2172 (Need to support right-button-dragging in
	list view). This was a piece of list view dragging support
	that got overlooked before, but is necessary for search
	results.

	Some of this code is copy/paste/modified from 
	nautilus-icon-container.c and nautilus-icon-dnd.c. I added
	FIXMEs about this (there were some already).

	* libnautilus-extensions/nautilus-list.c:
	Added #defines for mouse buttons
	(show_context_menu_callback), (and get ready for a potential drag)
	(nautilus_list_button_release), (nautilus_list_unrealize),
	(nautilus_list_resize_column), (nautilus_list_drag_start),
	(nautilus_list_motion), (nautilus_list_drag_begin),
	(nautilus_list_drag_end), (nautilus_list_drag_leave),
	(nautilus_list_get_drop_action), (nautilus_list_drag_motion),
	(nautilus_list_drag_drop), (nautilus_list_drag_data_received):
	Changes are too intertwined to list function-by-function. The
	main ones are: replaced uses of mouse button constants with
	#defines; Made middle button do nothing useful to match icon
	view (was mimicking left button); made right button either
	start a "choose the action on release" type drag or pop up
	the contextual menu after a timeout if no drag begins; took
	out some unnecessary asserts.
	
	* src/file-manager/fm-list-view.c: (fm_list_handle_dropped_icons):
	Changed action >= 0 to action > 0 so it doesn't do a lot of
	useless work when user chooses Cancel after a right-click drag;
	moved g_free (list_view_uri) inside the block where list_view_uri
	is allocated.

2000-08-15  Michael Engber  <engber@eazel.com>

	Third cut at syncing our desktop background with GNOME's (bug 1047)
	Now we update the GNOME desktop (root window) when we make changes.
	Still need to handle nautilus getting notified when the capplet makes
	changes.

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_initialize_class),
	(nautilus_background_set_color_no_signal),
	(nautilus_background_set_color), (load_image_callback),
	(nautilus_background_set_image_uri_no_signal),
	(nautilus_background_set_image_uri),
	(nautilus_background_is_loaded), (nautilus_background_real_reset),
	(nautilus_background_receive_dropped_color):
	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_write_desktop_settings),
	(nautilus_directory_background_write_desktop_default_settings),
	(make_root_pixmap), (dispose_root_pixmap), (set_root_pixmap),
	(image_loaded_callback), (nautilus_directory_update_root_window),
	(background_changed_callback), (background_reset_callback):

2000-08-15  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/nautilus-search-uri.c:
	(nautilus_search_uri_to_human), (nautilus_is_search_uri),
	(nautilus_self_check_search_uri): Fix the self-check, which was
	exposing some errors that need to be fixed. For now, the failing
	checks are commented out and marked with FIXME.

2000-08-15  Darin Adler  <darin@eazel.com>

	Getting closer to an implementation of the shared trash. Did a bit
	of factoring so that the trash has its own NautilusDirectory
	subclass now, and the appropriate functions are virtual.

	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_are_all_files_seen),
	(nautilus_directory_contains_file),
	(nautilus_directory_call_when_ready),
	(nautilus_directory_cancel_callback),
	(nautilus_directory_file_monitor_add),
	(nautilus_directory_file_monitor_remove),
	(nautilus_directory_is_not_empty): Made all these functions
	virtual.
	(wait_until_ready_callback),
	(nautilus_directory_wait_until_ready): Fixed some names and got
	rid of some type casts.
	
	* libnautilus-extensions/nautilus-gtk-macros.h: Added a new macro
	to make calls to virtual functions easier to read.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-private.h:
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Minor cleanup and name changes.
	
	* libnautilus-extensions/nautilus-lib-self-check-functions.h:
	* libnautilus-extensions/nautilus-search-uri.h:
	* libnautilus-extensions/nautilus-search-uri.c:
	(nautilus_is_search_uri): Added a function to tell if a URI is a
	search URI.
	(nautilus_self_check_search_uri): Added self-checks.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(allow_metafile):
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_set_location):
	* src/nautilus-window-manage-views.c:
	(nautilus_window_end_location_change_callback):
	Changed to use the is_search_uri function.
	
	* libnautilus-extensions/nautilus-trash-directory.c:
	(trash_destroy), (trash_contains_file), (trash_call_when_ready),
	(trash_cancel_callback), (trash_file_monitor_add),
	(trash_file_monitor_remove), (trash_are_all_files_seen),
	(trash_is_not_empty), (nautilus_trash_directory_initialize_class):
	Trash versions of the virtual functions.
	
	* libnautilus-extensions/nautilus-vfs-directory.c: (vfs_destroy),
	(vfs_contains_file), (vfs_call_when_ready), (vfs_cancel_callback),
	(vfs_file_monitor_add), (vfs_file_monitor_remove),
	(vfs_are_all_files_seen), (any_non_metafile_item),
	(vfs_is_not_empty), (nautilus_vfs_directory_initialize_class):
	Non-trash versions of the virtual functions (mostly code moved
	from nautilus-directory.c).
	
	* src/file-manager/fm-directory-view.c:
	(disconnect_model_handlers): Fix a place that relied on doing a
	call with a NautilusDirectory of NULL. We don't need to be so
	tolerant of NULL any more now that nautilus_directory_get always
	returns a non-NULL result for any URI.
	
	* src/nautilus-window.c: (nautilus_window_realize):
	A little code cleanup.
	(nautilus_window_load_content_view_menu): Fixed a storage leak
	of the method string.

	* src/nautilus.oafinfo: Added trash and gnome-trash as additional
	URIs supported by the icon and list view.

2000-08-15  John Sullivan  <sullivan@eazel.com>

	Fixed task 1414 (Emptying the trash needs a warning dialog)

	Implemented a simple confirmation dialog. Pavel said he and
	Arlo agreed to defer the feature of including information
	about the current trash contents in the dialog. I'll write up
	a new deferred bug for that.

	* src/file-manager/dfos-xfer.c: 
	(do_empty_trash): New function, does all the work of
	actually emptying the trash.
	(confirm_empty_trash): New function, puts up a modal dialog
	and returns whether user confirmed it. See comments in file
	as to why it's modal.
	(fs_empty_trash): Empties trash only if confirm_empty_trash
	returns TRUE.

2000-08-15  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(get_best_empty_grid_location), (lay_down_icons_tblr):
	Added horizontal and vertical padding for the tblr
	layout mode as per Arlo's spec.

2000-08-15  Raph Levien  <raph@acm.org>

	* librsvg/art_render.c (art_render_image_solid_negotiate): Only
	sets ART_IMAGE_SOURCE_CAN_COMPOSITE when a compositing callback is
	selected. Previously was causing segfaults on non-alpha
	images. Thanks to Leonard Rosenthol for spotting the bug.

2000-08-15  Mathieu Lacage  <mathieu@eazel.com>

	Implements core of task 1761 
	
	* libnautilus-extensions/Makefile.am: add my new files 
	to the build.
	* libnautilus-extensions/nautilus-search-uri.c:
	(strip_uri_begenning), (free_tokenized_uri), (tokenize_uri),
	(get_item_number), (get_translated_criterion),
	(get_first_criterion_prefix), (get_nth_criterion_prefix),
	(get_nth_criterion_suffix), (get_first_criterion_suffix),
	(parse_uri), (nautilus_search_uri_to_human): add file.
	* libnautilus-extensions/nautilus-search-uri.h: add file.
	* po/POTFILES.in: add my files there.
	* src/file-manager/fm-search-list-view.c: (load_location_callback):
	a space.
	* src/nautilus-complex-search-bar.c:
	(nautilus_complex_search_bar_initialize),
	(attach_criterion_to_search_bar),
	(unattach_criterion_from_search_bar):
	fix multiple bugs: the size text entry would not be removed by 
	the "fewer options" button. Changed a few "pressed" to "clicked".

2000-08-14  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(icon_set_position), (get_best_empty_grid_location):
	Fixed bug in postioning icons on the left edge of 
	the desktop.  Some fine tuning of initial default icon
	placement.
	
2000-08-15  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/services/install/command-line/Makefile.am:
	* components/services/install/lib/eazel-install-metadata.c:
	(create_default_configuration_metafile),
	(init_default_install_configuration),
	(init_default_transfer_configuration), (transferoptions_destroy):
	Changed some of the default values.
	
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_unref), (eazel_install_set_arg),
	(eazel_install_class_initialize),
	(eazel_install_fetch_remote_package_list),
	(eazel_install_install_packages),
	(eazel_install_uninstall_packages):
	Removed rpm_storage_path, as we query the server for a complete
	url. Unref calls finalize if compiled with EAZEL_INSTALL_SLIM.
	fetch_remote_package_list now uses file:// unless _SLIM is defined
	(file:// makes gnome-vfs download the bastard).
	
	* components/services/install/lib/eazel-install-private.h:
	Made the subcommand_cammand boolean volatile.
	
	* components/services/install/lib/eazel-install-protocols.h:
	* components/services/install/lib/eazel-install-protocols.c:
	(http_fetch_remote_file), (ftp_fetch_remote_file),
	(gnome_vfs_xfer_callback), (gnome_vfs_fetch_remote_file),
	(local_fetch_remote_file), (eazel_install_fill_file_fetch_table),
	(eazel_install_fetch_file), (filename_from_url),
	(eazel_install_fetch_package),
	(eazel_install_fetch_package_which_provides), (add_to_url),
	(get_url_for_package), (get_search_url_for_package):
	Added gnome-vfs support (1301). Revamped a lot of the switch
	(protocol) calls, so now theres a table of function pointers, so
	eazel_install_fetch_file just uses
	func_table[protocol](...). Thereby making it easier to add
	protocols.
	Also more #ifdefs to make life easier on the poor
	nautilus-installer.
	And I added file_to_report to eazel_install_fetch_file, so it can
	use an alternative filename in the download progress signals,
	instead of the target filename (eg. Eye of Gnome instead of
	eog-x.y.z-bla1.i386.rpm).
	Added g_main_iteration calls to http_fetch, for the
	nautilus-installer. The gnome-vfs automagically calls it.
	local_file_fetch now emits the obiligatory signals.
	
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(download_all_packages),
	(eazel_install_start_transaction_make_rpm_argument_list),
	(eazel_install_do_transaction_save_report),
	(eazel_install_monitor_rpm_propcess_pipe),
	(eazel_install_check_existing_packages),
	(eazel_install_fetch_rpm_dependencies), (print_package_list),
	(eazel_install_ensure_deps), (eazel_uninstall_upward_traverse),
	(eazel_uninstall_downward_traverse):
	Div cleaning up. Fixed rpm percentage output.
	
	* components/services/install/lib/eazel-install-types.c:
	(packagedata_fill_from_rpm_header):
	* components/services/install/lib/eazel-install-types.h:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(parse_osd_xml_from_memory):
	Fixed evil pointer mishap.
	
	* components/services/install/lib/makefile.staticlib.in:
	Added EAZEL_INSTALL_PROTOCOL_USE_OLD_CGI
	
	* components/services/install/server/Makefile.am:
	Added the VFS flags
	
	* components/services/install/server/main.c: (sig_segv_handler),
	(eazel_install_service_factory), (main):
	Now loads the default config file.
	
	* components/services/trilobite/libtrilobite/Makefile.am:
	Added VFS flags
	 
	* components/services/trilobite/libtrilobite/trilobite-core-utils.h:
	*components/services/trilobite/libtrilobite/trilobite-core-utils.c:
	(trilobite_get_useragent_string):
	Adressed bug 2149
	
	* nautilus-installer/src/Makefile:
	* nautilus-installer/src/installer.c: (eazel_install_progress),
	(eazel_download_progress), (eazel_install_preflight), (installer):
	* nautilus-installer/src/interface.c: (create_what_to_do_page),
	(create_install_page), (create_finish_page), (create_window):
	Revamped large parts of the ui, much prettier now.

2000-08-14  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_discover_trash_callback),
	(fm_desktop_icon_view_initialize):
	* src/file-manager/nautilus-trash-monitor.c:
	(add_one_writable_device), (get_trashable_volume_uris),
	(nautilus_trash_monitor_async_get_trash_directories):
	* src/file-manager/nautilus-trash-monitor.h:
	Fix bugzilla 1855 - nautilus_trash_monitor_async_get_trash_directories
	returns the list of URIs of all the available trash directories, finding
	and creating them as needed.

	* libnautilus-extensions/nautilus-volume-monitor.c: (floppy_sort),
	(mount_device_check_change), (mount_devices_update_is_mounted),
	(check_permissions), (mount_device_iso9660_add),
	(mount_device_add_aliases), (add_mount_device),
	(mntent_is_removable_fs),
	(nautilus_volume_monitor_find_mount_devices),
	(nautilus_volume_monitor_each_device),
	(nautilus_volume_monitor_each_mounted_device),
	(nautilus_volume_monitor_mount_unmount_removable):
	* libnautilus-extensions/nautilus-volume-monitor.h:
	Made nautilus_volume_monitor_find_mount_device call
	mount_devices_check_status explicitly so that the mounted volume state
	is correct when the call returns.
	Add nautilus_volume_monitor_each_device and
	nautilus_volume_monitor_each_mounted_device.
	Moved NautilusVolumeMonitorDetails into nautilus-volume-monitor.c,
	away from prying eyes.
	Tweak some string matching code.

2000-08-14  John Sullivan  <sullivan@eazel.com>

	Fixed bug 2159 (crash when trying to drag a selected item
	in list view). This was getting in the way of me trying to
	figure out what does & doesn't work in the search results
	view.

	* libnautilus-extensions/nautilus-list.c:
	Got rid of details->clicked_row, since there was already a 
	details->button_down_row with the same intended use. 
	Also changed dnd_select_pending from int to gboolean to match 
	its use.
	(nautilus_list_button_press): Set details->button_down_row to
	-1 before handling click; remove line sometimes but not always
	updating clicked_row (that was the source of the bug)
	(nautilus_list_button_release): Remove line setting
	clicked_row back to -1 after release; this was unnecessary.
	(nautilus_list_drag_start): Use button_down_row instead of
	clicked_row

2000-08-14  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(desktop_icons_sort), (lay_down_icons_tblr), (lay_down_icons):
	Fixed some sorting bugs when dealing with inital icon layout
	in tblr mode.
	
2000-08-14  Michael Engber  <engber@eazel.com>

	Second cut at syncing our desktop background with GNOME's (bug 1047)
	Now we support images being centered and scaled (not just tiled)
	Although, there is no UI in nautilus to set this up (use the background
	capplet) Still need to handle update issues.

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_destroy),
	(nautilus_background_get_image_placement),
	(nautilus_background_set_image_placement),
	(nautilus_background_draw), (nautilus_background_draw_aa),
	(nautilus_background_get_image_uri), (load_image_callback),
	(start_loading_image),
	(nautilus_background_receive_dropped_background_image),
	(nautilus_background_set_image_uri), (nautilus_background_is_set),
	(nautilus_background_real_reset),
	(nautilus_background_is_too_complex_for_gtk_style),
	(nautilus_background_is_dark),
	(nautilus_background_receive_dropped_color):
	* libnautilus-extensions/nautilus-background.h:
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_get_default_settings),
	(nautilus_directory_background_read_desktop_settings),
	(nautilus_directory_background_write_desktop_settings),
	(nautilus_directory_background_write_desktop_default_settings),
	(nautilus_directory_background_is_set),
	(background_changed_callback), (directory_changed_callback),
	(background_reset_callback):

	nautilus_gdk_pixbuf_scale_to_fit was renamed to
	nautilus_gdk_pixbuf_scale_down_to_fit and also changed
	to not unref it's argument pixbuf. This involved fixing
	up various places it was used.

	* components/music/nautilus-music-view.c:
	(nautilus_music_view_update_from_uri):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_scale_to_fit_helper),
	(nautilus_gdk_pixbuf_scale_to_fit),
	(nautilus_gdk_pixbuf_scale_down_to_fit):
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_make_thumbnails):
	* src/nautilus-property-browser.c: (make_drag_image),
	(set_emblem_image_from_file),
	(make_properties_from_directory_path):
	* src/nautilus-sidebar.c: (background_settings_changed_callback),
	(background_reset_callback), (nautilus_sidebar_update_appearance):
	* src/nautilus-theme-selector.c: (add_theme):

2000-08-14  Darin Adler  <darin@eazel.com>

	Some bug fixes, including a fix for bug 2156 (all sidebar panels
	fail on view switch).

	* libnautilus-extensions/nautilus-directory-async.c:
	(dequeue_pending_idle_callback), (directory_load_done): Make sure
	files are actually on the file list before emitting the
	files_added signal.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal): Fixed a mistake on my last check-in
	relating to NULL directories.
	
	* src/nautilus-window-private.h:
	* src/nautilus-window-manage-views.c:
	(nautilus_window_has_really_changed): Fixed code so that it removes
	old sidebar panels in a way that won't seem like an error to the
	error-detecting code.
	(nautilus_window_set_state_info): Keep the same sidebar panels when
	we change the view and not the location. Also took out two unused
	"states".
	(nautilus_window_begin_location_change): Got rid of "SYNC_STATE".
	
	* src/nautilus-window.c: A bit of reformatting.

2000-08-14  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(lay_down_icons_tblr):
	Made sure that an icon is added to the layout grid when it is
	postioned during a multi-icon placement.
	Freeze the icon positions after we are done placing them using
	this layout mode.

2000-08-14  Darin Adler  <darin@eazel.com>

	More prep work for the trash directory.
	
	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-trash-directory.c:
	(nautilus_trash_directory_initialize_class),
	(nautilus_trash_directory_initialize),
	(nautilus_trash_directory_destroy):
	* libnautilus-extensions/nautilus-trash-directory.h:
	* libnautilus-extensions/nautilus-vfs-directory.c:
	(nautilus_vfs_directory_initialize_class),
	(nautilus_vfs_directory_initialize),
	(nautilus_vfs_directory_destroy):
	* libnautilus-extensions/nautilus-vfs-directory.h:
	Add subclasses for the trash and for general VFS directories.
	Using refactoring techniques to move code down into these
	subclasses. This is not intended to be a general framework,
	but should be good enough to handle both these cases.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(can_use_public_metafile), (metafile_read_check_for_directory),
	(metafile_read_failed), (metafile_read_start), (allow_metafile),
	(metafile_write_success_close_callback),
	(nautilus_metafile_write_start), (start_monitoring_file_list),
	(get_corresponding_file), (start_getting_file_info):
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_destroy), (make_uri_canonical),
	(nautilus_directory_get_internal), (nautilus_directory_get_uri),
	(construct_private_metafile_uri), (nautilus_directory_new),
	(nautilus_directory_is_local), (nautilus_directory_is_not_empty),
	(nautilus_self_check_directory):
	* libnautilus-extensions/nautilus-directory.h:
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal), (nautilus_file_rename),
	(nautilus_file_get_gnome_vfs_uri), (nautilus_file_matches_uri),
	(nautilus_file_compare_by_name),
	(nautilus_file_compare_by_directory_name),
	(nautilus_file_compare_for_sort), (nautilus_file_get_uri),
	(nautilus_file_set_permissions),
	(nautilus_file_get_string_attribute),
	(nautilus_file_get_mime_type), (nautilus_file_is_in_trash),
	(nautilus_file_contains_text), (nautilus_file_get_directory_name),
	(nautilus_file_mark_gone), (nautilus_file_changed):
	* libnautilus-extensions/nautilus-file.h:
	Add code to handle case of directory that can't be handled by
	gnome-vfs. Mostly some NULL checks. Also renamed fields to make
	it clear that the text URI is the "real" one. Added code to
	handle the "gnome-trash:" and "trash:" schemes specially in the
	code to make URIs canonical.
	
	* libnautilus-extensions/nautilus-mime-actions.c:
	(get_mime_type_from_uri): Return "application/octet-stream"
	instead of NULL for unknown MIME type.
	
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_display_selection_info): Eliminated the
	nautilus_file_get_real_name call.
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_set_location): Eliminated
	the nautilus_directory_is_search_directory call.
	
	* src/file-manager/fm-search-list-view.c: (real_adding_file):
	Fixed formatting mistake.
	
	* src/nautilus-view-frame.c: (set_up_for_new_location): Emit
	the title_changed signal for each change in location.

2000-08-14  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	* libnautilus-extensions/nautilus-icon-container.h:
	(desktop_icons_sort), (find_open_grid_space),
	(get_best_empty_grid_location), (mark_icon_location_in_grid),
	(mark_icon_locations_in_grid), (lay_down_icons_tblr),
	(lay_down_icons), (nautilus_icon_container_add):
	New functions for desktop layout mode.  We use a grid and
	decide where to place icons based on the first, best available
	free space on the desktop.	
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Set our layout mode to be top-bottom-left-right

2000-08-14  Raph Levien  <raph@acm.org>

	* librsvg/test-ft-gtk.c: Substantial new code to fiddle
	with various options and measure performance.

	* librsvg/rsvg-ft.c: A warning printed when the glyph is not
	loaded. However, it looks at this point like there's a
	nasty bug triggered when the glyph fails to load (see bug 2140).

2000-08-14  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-properties-window.c:
	(forget_properties_window): Swapped the order of
	nautilus_file_monitor_remove and nautilus_file_unref.
	Unref must happen after we're otherwise done with the
	file (I hadn't seen any symptoms of this bug).
	(get_and_ref_file_to_display): Add NAUTILUS_LINK_TRASH
	to the set of nautilus-link types for which we show the
	target's properties. Currently that means you get the
	properties of the single Trash directory.

2000-08-14  Darin Adler  <darin@eazel.com>

	* configure.in: Fixed GtkHTML configure section so it will
	work with 3-part version numbers. I didn't really know the
	"good" way to do this, so I just fixed the sed command to
	work with multi-part versions and didn't try to fix any
	other aspect of this. This change was required to make the
	configure work with GtkHTML 0.6.1.

2000-08-14  John Sullivan  <sullivan@eazel.com>

	Finished the remaining details of bug 2061 (Show Properties 
	should show volume properties for desktop icons). I split 
	the "Show Properties for Trash" bug off as a separate task 
	(2146), since it has its own set of issues.

	* src/file-manager/fm-properties-window.h:
	Eliminated fm_properties_window_get_or_create, which
	returned a GtkWindow, in favor of new
	fm_properties_window_present, which doesn't. This was
	required to do create the window asynchronously.

	* src/file-manager/fm-directory-view.c:
	(open_one_properties_window): Switch caller to use new
	fm_properties_window_present. It had been wiring up an
	Undo manager on the result window; this code got moved
	into the asynchronous callback part of creating a
	properties window.

	* src/file-manager/fm-properties-window.c:
	(create_pixmap_widget_for_file): ref file stored with pixmap
	widget; this had been creating a ref/unref mismatch that we
	had never noticed before probably due to extraneous refs elsewhere.
	(name_field_focus_out),	(name_field_focus_in), (create_basic_page): 
	Only do special	focus handling with the name field if it's sensitive.

	(create_properties_window_callback): New function, asynchronous
	callback to create the properties window.
	(get_and_ref_file_to_display): initialize file_to_display to NULL.
	This was crashing non-special-Desktop-case Properties windows.
	(fm_properties_window_present): Create properties window using
	asynchronous nautilus_file_call_when_ready, so we don't try to
	create the window until we know whether the file is a directory.
	This had never caused problems before because we had only tried
	to show properties for existing, info-bearing NautilusFile objects.

2000-08-14  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-shell.c: (display_caveat): Wrapped the
	image in the caveat dialog in a GtkVBox such that the
	frame & image will remain unstretched at the top of the
	dialog if the text gets taller than the image. We might
	want to take this (trivial & safe) change for the
	preview release if we end up making the caveat text longer.

2000-08-13  Andy Hertzfeld  <andy@eazel.com>

	added a separate theme selection window and removed theme selection from the
	property browser
	
	* src/Makefile.am:
	* src/nautilus-theme-selector.h:
	added nautilus theme selector class		
	
	* src/nautilus-theme-selector.c:
	(nautilus_theme_selector_initialize_class),
	(nautilus_theme_selector_initialize),
	(nautilus_theme_selector_destroy), (nautilus_theme_selector_new),
	(nautilus_theme_selector_show),
	(nautilus_theme_selector_delete_event_callback),
	(add_new_button_callback), (remove_button_callback),
	(nautilus_theme_selector_highlight_by_name),
	(nautilus_theme_selector_theme_changed),
	(theme_select_row_callback), (vfs_file_exists), (has_image_file),
	(make_theme_description), (set_preferred_font_for_cell),
	(add_theme), (populate_list_with_themes):
	added a class that presents a window that describes the existing themes and
	allows the user to switch between them.
	
	* src/nautilus-window-menus.c: (change_appearance_callback),
	(nautilus_window_initialize_menus):
	added a menu item to invoke the theme selector
	
	* src/nautilus-property-browser.c:
	(nautilus_property_browser_initialize), (make_category):
	removed support for themes from the property browser
	* data/browser.xml:
	removed the themes browser category
	
	* icons/Makefile.am:
	removed the themes.png icon
	* icons/arlo/arlo.xml:
	* icons/default.xml:
	* icons/vector/vector.xml:
	added descriptions for display in the theme selection

	* src/nautilus-sidebar-tabs.c:
	(nautilus_sidebar_tabs_initialize_class),
	(nautilus_sidebar_tabs_size_allocate):
	removed unnecessary override of size_request
	
2000-08-12  Raph Levien  <raph@acm.org>

	* librsvg/rsvg-ft.c: Got glyph cache working. Eviction when
	cache is full is not yet done, though, so RAM usage can grow.

	This checkin caused an API change! The xpen and ypen fields
	of the RsvgFTGlyph structure are now relative to the tranlation
	components of the affine (ie affine[4] and affine[5]). Prior
	to this checkin, they were relative to the upper left corner
	of the glyph.

	* librsvg/test-ft-gtk.c: Much tighter drawing, taking into
	account both bbox of what's to be drawn and the expose rect.

2000-08-12  Raph Levien  <raph@acm.org>

	* librsvg/makefile-simple (CFLAGS): Added suitable warnings
	so that broken code like the problem below doesn't slip through.

	* librsvg/test-ft-gtk.c (test_expose): Actually expose the
	entire window.

2000-08-12  Maciej Stachowiak  <mjs@eazel.com>

	* librsvg/test-ft-gtk.c (set_text): Made this local function
	static to avoid warnings.

2000-08-12  Raph Levien  <raph@acm.org>

	* librsvg/test-ft-gtk.c: Added a simple Gtk+ test rig for rsvg-ft.
	I'll be instrumenting this for speed measurements, to play with
	the glyph cache.

	* Makefile.am: Added test-ft-gtk.

	* makefile-simple: A simple makefile for building rsvg without all
	the auto* overhead, for testing purposes.

2000-08-12  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/help-method.c:
        (old_help_file): New function to return the old doc path.
        (transform_file): If we can not find the SGML or XML path use the old
        doc file (index.html)

2000-08-11  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-tabs.c: (draw_or_layout_all_tabs):
	fixed "hole" in sidebar tabs in the arlo theme by using gdk_pixbuf_composite
	instead of gdk_pixbuf_copy_area for the edge pieces, so the alpha gets used instead
	of copied.
	
	* src/nautilus-sidebar.c: (nautilus_sidebar_motion_event):
	fixed bug where tabs were stay prelighted if you moved the mouse out quickly enough;
	fixed by setting the prelight state even when we're outside of the tabs
		
	* libnautilus-extensions/nautilus-icon-canvas-item.c: (map_pixbuf):
	fixed a problem drawing the audio preview icon now that I understand how
	composite works better

2000-08-11  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(icon_set_position), (lay_down_icons),
	(nautilus_icon_container_add):
	Added code to handle special desktop layout modes.
	
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(nautilus_volume_monitor_destroy):
	Removed a double cleanup of a timewr callback.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Set a default layout mode.  This is not the same
	as auto layout.

2000-08-11  Maciej Stachowiak  <mjs@eazel.com>

	* src/nautilus-application.c: (create_object): More renaming
	fixes.

2000-08-11  Gene Z. Ragan  <gzr@eazel.com>

	* idl/GNOME_Desktop_FileOperationService.idl:
	* src/nautilus-application.c: (create_factory):
	Changes caused by the festival of renaming in OAF.
	
2000-08-11  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-tabs.c:
	(nautilus_sidebar_tabs_load_theme_data),
	(nautilus_sidebar_tabs_hit_test), (measure_total_height),
	(recalculate_size), (nautilus_sidebar_tabs_size_request),
	(draw_one_tab_plain), (draw_tab_piece_aa), (draw_one_tab_themed),
	(get_tab_width), (draw_pixbuf_tiled_aa), (allocate_cleared_pixbuf),
	(draw_or_layout_all_tabs), (nautilus_sidebar_tabs_expose):
	added anti-aliased, shadowed labels for themed sidebar tabs, as
	well as off-screen drawing to minimize flashing, fetching the
	font from the theme and improved layout.
	* icons/arlo/arlo.xml:
	added a font for the labels
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_draw_text):
	added a check for too small a box to draw in to fix a case for
	the sidebar tabs
	
2000-08-11  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(icon_set_position),
	(nautilus_icon_container_update_scroll_region), (lay_down_icons):
	Handle fixed size icon containers.  Add clipping to icon 
	positioning.  Don't adjust scroll region if the icon container
	is set to a fixed size.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Set up desktop icon view to a fixed size and set the allocation
	of the widget to be our fixed size with an offset of 0, 0
	
2000-08-11  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/ASSUMPTIONS:
        * components/help/converters/gnome-db2html2/TODO:
        Added an ASSUMPTIONS (it might be temporary) and elborated on a TODO
        item.

        * components/help/converters/gnome-db2html2/sect-preparse.c:
        (sect_preparse_figure_start_element) Keep a hash of the figure_id's
        encountered.

        * components/help/converters/gnome-db2html2/gdb3html.h:
        Add a hash table to the Context struct

        * components/help/converters/sect-elements.c:
        (sect_xref_start_element):
        Special case handling of xref's to images.

2000-08-11  Darin Adler  <darin@eazel.com>

	* docs/state-machines.txt: Some tweaks to Maciej's proposed
	states for the view frame.

2000-08-11  Mike Engber  <engber@eazel.com>

	First cut at syncing our desktop background with GNOME's (bug 1047)
	Still need to handle centered & scaled images + update issues.

	* libnautilus-extensions/nautilus-background.c:
	(nautilus_background_initialize_class):
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_directory_background_set_desktop),
	(nautilus_directory_background_is_desktop),
	(theme_image_path_to_uri),
	(nautilus_directory_background_get_default_settings),
	(nautilus_gnome_config_string_match_no_case),
	(nautilus_directory_background_read_desktop_settings),
	(nautilus_directory_background_write_desktop_settings),
	(nautilus_directory_background_write_desktop_default_settings),
	(nautilus_directory_background_is_set),
	(background_changed_callback), (directory_changed_callback),
	(nautilus_directory_background_theme_changed),
	(background_reset_callback),
	(nautilus_connect_background_to_directory_metadata),
	(nautilus_connect_desktop_background_to_directory_metadata):
	* libnautilus-extensions/nautilus-directory-background.h:
	* src/file-manager/fm-icon-view.c: (fm_icon_view_begin_loading):

2000-08-11  John Sullivan  <sullivan@eazel.com>

	Work on 2061 ("Show Properties" on desktop link files
	should show properties of real volume).

	This essentially works now, but I see some little
	problems that I need to address before marking this
	fixed. Also I haven't done anything about Trash, which
	is definitely a whole can of worms of its own.

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_rename): Move the check for self-owned
	files after the check for new name & old name identical.
	(nautilus_file_can_rename): Check for self-owned files
	here too to match _rename.
	* src/file-manager/fm-properties-window.c:
	(get_and_ref_file_to_display): New function, determines
	which file to actually display properties given the file
	it's passed. Checks for NAUTILUS_LINK_HOME and NAUTILUS_LINK_MOUNT
	type files.
	(fm_properties_window_get_or_create): Call 
	get_and_ref_file_to_display instead of just using the passed file.

2000-08-11  Darin Adler  <darin@eazel.com>

	Fixed bug 1891 (calling set_title before report_load_underway has
	no effect).

	* libnautilus-extensions/nautilus-file.c: (destroy):
	Fix a leak in the symbolic link target hash table.
	
	* src/nautilus-application.c: (nautilus_application_startup),
	(nautilus_application_create_desktop_window),
	(nautilus_application_open_desktop),
	(nautilus_application_close_desktop),
	(nautilus_application_destroyed_window),
	(nautilus_application_create_window):
	Simplified the logic for creating and destroying the desktop
	window a little bit and made it actually unref the desktop
	window instead of just destroying it.
	
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_initialize),
	(nautilus_switchable_navigation_bar_set_mode),
	(nautilus_switchable_navigation_bar_set_location):
	Added missing code to send out the mode_changed signal and
	took out a gratuitous FIXME.
	
	* src/nautilus-view-frame.h:
	* src/nautilus-view-frame.c:
	(nautilus_view_frame_initialize_class),
	(nautilus_view_frame_initialize), (nautilus_view_frame_destroy),
	(set_up_for_new_location), (nautilus_view_frame_load_location),
	(nautilus_view_frame_report_location_change),
	(nautilus_view_frame_set_title), (nautilus_view_frame_get_title):
	Changed it so the view frame keeps around the title as passed by
	the view. It now emits a "title_changed" signal instead of a
	"set_title" signal and you can get the title with a call to
	nautilus_view_frame_get_title.
	
	* src/nautilus-window.h:
	* src/nautilus-window.c: (nautilus_window_title_changed_callback),
	(nautilus_window_connect_view):
	* src/nautilus-window-manage-views.h:
	* src/nautilus-window-manage-views.c:
	(nautilus_window_get_current_location_title),
	(nautilus_window_update_title),
	(nautilus_window_set_displayed_location),
	(nautilus_window_title_changed), (handle_go_elsewhere),
	(nautilus_window_has_really_changed),
	(nautilus_window_update_state):
	Manage the title in a simpler way now that the view frame keeps
	the title around.
	
	* src/nautilus-window-toolbars.c: (set_up_button): Fixed error
	that would result in a call to gnome_stock_set_icon with NULL.

	* RPMs-README: Fixed a typo.

2000-08-11  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1743 (Deleting a file in search results should cause
	list to update appropriately).

	The fix for this involved fixing bugs in nautilus_file_is_in_trash
	and making emblems behave more flexibly. We now have the ability
	to exclude certain emblems when displaying a file, so that
	the trash emblem shows up in search results but not regular
	list view. A happy side effect of the way this works is that
	the trash emblem now shows up in the sidebar for items (including
	directories) that are anywhere in the trash.

	* libnautilus-extensions/nautilus-file.h: Publicized names
	of emblems NautilusFile adds based on file state, so that
	file-displaying code could choose to exclude some of them.
	This included changing their names to start with NAUTILUS_
	* libnautilus-extensions/nautilus-file.c: 
	(compare_emblem_names): updated for emblem name changes.
	(nautilus_file_get_emblem_names): updated for name changes.
	Also, always include EMBLEM_NAME_TRASH for files in trash,
	not just when the file is a search result. Soon we will be
	able to eliminate nautilus_file_is_search_result entirely.
	(nautilus_file_is_in_trash): Fixed several problems here.
	Don't bother checking for NULL; use _get_uri not
	_get_activation_uri so the test works at any point in the
	life of a NautilusFile; free the uri string; initialize
	trash_dir_uri so we don't try to unref an uninitialized
	variable in some cases.
	
	* libnautilus-extensions/nautilus-icon-factory.h,
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_emblem_icons_for_file): Added
	parameter for emblem names to exclude when creating icons.

	* libnautilus-extensions/nautilus-string-list.c:
	(nautilus_string_list_new_from_string_list),
	(nautilus_string_list_free), (nautilus_string_list_contains):
	Made these functions allow NULL, as GList does.
	(nautilus_self_check_string_list): Added tests of NULL handling.

	* src/file-manager/fm-directory-view.h: 
	(get_emblem_names_to_exclude): New function pointer for subclasses
	to override.
	(fm_directory_view_get_emblem_names_to_exclude): New function for
	subclasses to call.
	* src/file-manager/fm-directory-view.c:
	(real_get_emblem_names_to_exclude): New function, returns list
	containing NAUTILUS_FILE_EMBLEM_NAME_TRASH, so directory views by
	default don't show the trash emblem.
	(fm_directory_view_initialize_class): Wire up 
	get_emblem_names_to_exclude.
	(fm_directory_view_get_emblem_names_to_exclude): New function,
	returns result of possibly overridden function pointer.
	
	* src/file-manager/fm-icon-view.c: (get_icon_images_callback):
	Use fm_directory_view_get_emblem_names_to_exclude when getting
	emblems for each icon.
	
	* src/file-manager/fm-list-view.c:
	(fm_list_view_get_emblem_pixbufs_for_file):
	Use fm_directory_view_get_emblem_names_to_exclude when getting
	emblems for each icon.

	* src/file-manager/fm-search-list-view.c:
	(fm_search_list_view_initialize_class): Override 
	get_emblem_names_to_exclude with our real_get_emblem_names_to_exclude.
	(real_get_emblem_names_to_exclude): New function, returns NULL, so
	all emblems including the trash emblem will be displayed.

	* src/nautilus-sidebar-title.c: (update_emblems):
	Pass NULL for emblems-to-exclude when getting emblems for sidebar.

2000-08-11  Darin Adler <darin@eazel.com>

	* HACKING:
	* README:
	Misc. wording and clarity improvements.
	There's still a lot missing.

2000-08-11  Mathieu Lacage  <mathieu@eazel.com>

	* HACKING: move most stuff in README. add hacking-related stuff.
	* Makefile.am: fix the EXTRA_DIST target again. Should be fully working now.
	* README: fill with non-garbage from HACKING.

2000-08-11  Darin Adler  <darin@eazel.com>

	* RPMs-README: 2nd draft.

2000-08-11  Mathieu Lacage  <mathieu@eazel.com>

	* Makefile.am: fix broken EXTRA_DIST.
	* RPMs-README: add file for those who want to buld RPMs.
	please, Darin, can you proofread it ?

2000-08-11  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(icon_set_position), (lay_down_icons),
	(nautilus_icon_container_initialize),
	(nautilus_icon_container_set_layout_mode):
	Removed layout code that was being designed for the desktop.
	The desktop has no auto layout at the present.

	(nautilus_icon_container_get_is_fixed_size),
	(nautilus_icon_container_set_is_fixed_size):
	New functions to set and get the icon containers
	fixed size attribute.  This attribute should be checked
	whenever an operation that would change the size
	of the container is called.
	
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Removed layout mode code.

2000-08-11  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/gdb3html.h:
        * components/help/converters/gnome-db2html2/sect-elements.c:
        * components/help/converters/gnome-db2html2/sect-preparse.c:
        * components/help/converters/gnome-db2html2/toc-elements.c:
        Added glossaryinfo tag (to act like articleinfo/bookinfo)

        * components/help/converters/gnome-db2html2/toc-elements.c:
        (toc_title_start_element),
        (toc_title_end_element):
        I tried the GDP Hanbook - Didn't like how the table of contents came
        out. So I tweaked it to further indent the sect3's and give them a
        different HTML tag (H4)

        * components/help/converters/gnome-db2html2/TODO:
        Updated

        * components/help/converters/gnome-db2html2/sect-elements.c:
        (sect_write_characters) An aspect of this function got accidently
        removed causing things to be output when they shouldn't. It took me
        approximately half an hour to find this elusive problem (I may never
        have found it had it not been for an old copy of gnome-db2html2 lying
        around)

2000-08-11  Maciej Stachowiak  <mjs@eazel.com>

	* src/nautilus-applicable-views.c,
	src/nautilus-applicable-views.h, src/nautilus-application.c,
	src/nautilus-application.h, src/nautilus-bookmark-list.c,
	src/nautilus-bookmark-list.h, src/nautilus-bookmark-parsing.c,
	src/nautilus-bookmark-parsing.h, src/nautilus-bookmarks-window.c,
	src/nautilus-bookmarks-window.h,
	src/nautilus-complex-search-bar.c,
	src/nautilus-complex-search-bar.h, src/nautilus-desktop-window.c,
	src/nautilus-desktop-window.h, src/nautilus-first-time-druid.c,
	src/nautilus-first-time-druid.h, src/nautilus-history-frame.c,
	src/nautilus-history-frame.h, src/nautilus-link-set-window.c,
	src/nautilus-link-set-window.h, src/nautilus-location-bar.c,
	src/nautilus-location-bar.h, src/nautilus-main.c,
	src/nautilus-navigation-bar.c, src/nautilus-navigation-bar.h,
	src/nautilus-property-browser.c, src/nautilus-property-browser.h,
	src/nautilus-search-bar-private.h, src/nautilus-search-bar.c,
	src/nautilus-search-bar.h, src/nautilus-self-check-functions.c,
	src/nautilus-self-check-functions.h, src/nautilus-shell.c,
	src/nautilus-shell.h, src/nautilus-sidebar-tabs.c,
	src/nautilus-sidebar-tabs.h, src/nautilus-sidebar-title.c,
	src/nautilus-sidebar-title.h, src/nautilus-sidebar.c,
	src/nautilus-sidebar.h, src/nautilus-signaller.c,
	src/nautilus-signaller.h, src/nautilus-simple-search-bar.c,
	src/nautilus-simple-search-bar.h,
	src/nautilus-switchable-navigation-bar.c,
	src/nautilus-switchable-navigation-bar.h,
	src/nautilus-switchable-search-bar.c,
	src/nautilus-switchable-search-bar.h, src/nautilus-toolbar.c,
	src/nautilus-toolbar.h, src/nautilus-view-frame-bonobo-control.c,
	src/nautilus-view-frame-bonobo-embeddable.c,
	src/nautilus-view-frame-corba.c,
	src/nautilus-view-frame-nautilus-view.c,
	src/nautilus-view-frame-private.h,
	src/nautilus-view-frame.c,src/nautilus-view-frame.h,
	src/nautilus-window-manage-views.c,
	src/nautilus-window-manage-views.h, src/nautilus-window-menus.c,
	src/nautilus-window-private.h, src/nautilus-window-toolbars.c,
	src/nautilus-window.c, src/nautilus-window.h,
	src/nautilus-zoom-control.c, src/nautilus-zoom-control.h,
	src/nautilus-zoomable-frame-corba.c: Made copyright headers
	consistent in style; also made sure to refer to Nautilus as
	Nautilus, not "this library" or "The GNOME Library".

2000-08-11  Maciej Stachowiak  <mjs@eazel.com>

	Fixes for bugzilla tasks 1525 and 1530.
	
	* components/tree/nautilus-tree-expansion-state.h,
	components/tree/nautilus-tree-expansion-state.c: New files
	implementing the NautilusTreeExpansionState class, a class to
	track the expansion state of various nodes in the tree, and
	save/load it to/from GConf.
	* components/tree/nautilus-tree-model.h,
	components/tree/nautilus-tree-model.c
	(nautilus_tree_model_stop_monitoring_node_recursive): New function
	to stop monitoring a node and any children of it's that you may be
	monitoring all at one go.	
	(nautilus_tree_model_stop_monitoring_node): Disconnect signal
	handlers from the proper object (D'oh!) and avoid disconnecting
	more than once if you stop monitoring more than once (D'oh!).

	* components/tree/nautilus-tree-view.c:
	(nautilus_tree_view_insert_model_node,
	nautilus_tree_view_remove_model_node,
	nautilus_tree_view_update_model_node),
	nautilus_tree_view_initialize, nautilus_tree_view_destroy,
	tree_expand_callback, tree_collapse_callback): Track expansion
	state using the new class, and make sure that when a node is
	expanded it gets reloaded recursively.
	(ctree_is_node_expanded): Convenience function to check if a
	GtkCTreeNode is currenly expanded.
	(reload_node_for_uri): New function to force reload of a node.
	(expand_node_for_uri): New function to do everything necessary
	associated with the expansion of a node.
		
	* libnautilus-extensions/nautilus-glib-extensions.h,
	libnautilus-extensions/nautilus-glib-extensions.c:
	(nautilus_g_slist_free_deep_custom, nautilus_g_slist_free_deep):
	New functions for freeing GSLists, similar to the GList versions.
	* libnautilus-extensions/nautilus-preferences.h,
	libnautilus-extensions/nautilus-preferences.c
	(nautilus_preferences_set_string_list,
	nautilus_preferences_get_string_list): New functions for
	manipulating preferences that are a list of strings.
	* libnautilus-extensions/nautilus-volume-monitor.c
	(mntent_is_removable_fs): Added some FIXMEs
	* src/nautilus-view-frame.c: Remove a stary character from the
	copyright notice.

2000-08-10  Mathieu Lacage <mathieu@eazel.com>

	* HACKING: update it for upcoming release.
	To be backported.

2000-08-10  Eskil Heyn Olsen  <eskil@eazel.com>

	* components/rpmview/nautilus-rpm-view-install.c:
	(nautilus_rpm_view_install_done):
	Use unref instead of destroy in eazelinstallcorbacallback
	
	* components/services/install/command-line/eazel-alt-install-corba.c:
	(set_parameters_from_command_line), (main):
	Defaults to ham.eazel.com:8888 instead of testmachine.eazel.com:80
	now.
	Also added reversion support
	
	* components/services/install/command-line/eazel-package-query.c:
	(main):
	use the unref instead of destroy 
	
	* components/services/install/command-line/eazel-revert.c: (main):
	Fixed the --port arg
	use unref instead of destroy
	
	* components/services/install/command-line/eazel-uninstall.c:
	(main):
	use unref instead of destroy
	
	* components/services/install/lib/eazel-install-corba-callback.h:
	* components/services/install/lib/eazel-install-corba-callback.c:
	(eazel_install_callback_unref), (eazel_install_callback_finalize),
	(eazel_install_callback_class_initialize):
	A unref instead of destroy
	
	* components/services/install/lib/eazel-install-corba-types.c:
	(packagedata_from_corba_packagedatastruct):
	Fixed for the new get_distribution_enum
	
	* components/services/install/lib/eazel-install-public.h:
	* components/services/install/lib/eazel-install-object.c:
	(eazel_install_unref), (eazel_install_finalize),
	(eazel_install_class_initialize):
	A unref instead of a destroy
	
	* components/services/install/lib/eazel-install-private.h:
	A boolean to indicate that the subcommand is running
	
	* components/services/install/lib/eazel-install-protocols.c:
	(eazel_install_fetch_package), (get_url_for_package),
	(get_search_url_for_package):
	Stuff to call the new OSD xml parsing. Plus some logic to check
	for a existing file. (used when EI_PROT_USE_NEW_CGI is set)
	Proper transfer of distro name (bug 1333)
	
	* components/services/install/lib/eazel-install-rpm-glue.c:
	(install_all_packages), (uninstall_all_packages),
	(eazel_install_do_transaction_fill_hash),
	(eazel_install_do_transaction_get_total_size),
	(eazel_install_do_transaction_add_to_transaction),
	(eazel_install_start_transaction_make_rpm_argument_list),
	(eazel_install_start_transaction_make_argument_list),
	(eazel_install_do_transaction_save_report_helper),
	(eazel_install_do_transaction_save_report),
	(eazel_install_monitor_rpm_propcess_pipe),
	(eazel_install_monitor_process_pipe),
	(eazel_install_display_arguments),
	(eazel_install_monitor_subcommand_pipe),
	(eazel_install_start_transaction):
	Lot of renaming & some slashing to accomodate other package
	systems then rpm.
	New pipe parser for rpm -hv args, since --percent proved useless.
	
	* components/services/install/lib/eazel-install-xml-package-list.h:
	* components/services/install/lib/eazel-install-xml-package-list.c:
	(osd_parse_implementation), (osd_parse_softpkg),
	(osd_parse_shared), (parse_osd_xml_from_memory):
	Implemented parsing of the OSD xml.
	 
	* components/services/install/nautilus-view/nautilus-service-install.
	c: (nautilus_service_install_done):
	Use the unref instead of destroy
	 
	* components/services/trilobite/libtrilobite/trilobite-core-distribut
	ion.h:
	* components/services/trilobite/libtrilobite/trilobite-core-distribut
	ion.c: (trilobite_get_distribution_enum_compact),
	(trilobite_get_distribution_enum_verbose),
	(trilobite_get_distribution_enum):
	Changed get_distro_enum to parse compact names.	
	 
	* nautilus-installer/src/callbacks.c: (begin_install),
	(prep_install):
	* nautilus-installer/src/callbacks.h:
	* nautilus-installer/src/installer.c: (eazel_install_progress),
	(eazel_download_progress), (download_failed),
	(eazel_install_preflight), (installer):
	* nautilus-installer/src/interface.c: (create_what_to_do_page),
	(create_install_page), (create_finish_page), (create_window):
	* nautilus-installer/src/main.c:
	* nautilus-installer/src/prescript:
	Some reslashing of the installer
	
	* po/da.po:
	Came across some missing translations

2000-08-10  John Sullivan  <sullivan@eazel.com>

	I accidentally committed before writing ChangeLog (wrong
	directory). So I'm reconstructing the changes I checked in
	a short while ago with no ChangeLog entry.

	Fixed 2075: (use NautilusFile objects for actual files,
	not symbolic links, in search interface).

	As a happy side effect, this fixed 2027 (thumbnails do not
	display in search results)

	* src/file-manager/fm-directory-view.h,
	* src/file-manager/fm-directory-view.c:
	(fm_directory_queue_notice_file_change): New function for
	subclasses to call when they want to put a file into the
	changed-files queue (which they usually don't need to since
	for the normal case the superclass handles this stuff)
	
	* src/file-manager/fm-icon-view.c: accidental white space 
	change only
	
	* src/file-manager/fm-list-view.h:
	(adding_file), (removing_file), (file_still_belongs):
	New function pointers for subclasses to optionally override.
	* src/file-manager/fm-list-view.c:
	(fm_list_view_adding_file): New function, called on each file
	as it is added to the NautilusList; calls overridable function
	pointer.
	(fm_list_view_removing_file): New function, called on each file
	as it is removed from the NautilusList; calls overridable function
	pointer.
	(fm_list_view_file_still_belongs): New function, asks whether changed
	file that was in list should be put back in; calls overridable function
	pointer.
	(real_adding_file): New function, refs file
	(real_removing_file): New function, unrefs file
	(real_file_still_belongs): New function, checks that file is still in
	this directory
	(fm_list_view_initialize_class): wire up these new function pointers
	to their new "real_" implementations
	(add_to_list): call fm_list_view_adding_file instead of just reffing
	(fm_list_view_clear), (remove_from_list): call fm_list_view_removing_file 
	instead of just unreffing; also, remove_from_list now returns a
	boolean for whether the item had been in the list.
	(fm_list_view_file_changed): Only re-insert the file if it had been
	in the list and fm_list_view_file_still_belongs is true.

	* src/file-manager/fm-search-list-view.c:
	(fm_search_list_view_initialize_class): wire up all the new overridden
	function pointers
	(real_add_file): overridden to get the real file that the funky
	search virtual file refers to, and put the real one in the list view
	(real_adding_file): overridden to start monitoring the file since
	the directory doesn't do it for us in this case
	(real_removing_file): overridden to stop monitoring the file
	(real_file_still_belongs): overridden to return TRUE as long as
	the file still exists

	* libnautilus-extensions/nautilus-file.c:
	* libnautilus-extensions/nautilus-file.h:
	Reverted all of rebecka's recent changes that made opening a
	file in the search list show the real file. This behavior just works
	automatically with no special code in the new design. But it turns
	out I didn't actually need to remove the code to make the new design
	work, because it never would have been called. There's still some
	even older nautilus-search-result-specific code in here that might
	be completely obsolete now.

2000-08-10  Andy Hertzfeld  <andy@eazel.com>

	added a text color paramter to nautilus_gdk_pixbuf_draw_text,
	as part of making the sidebar tabs use anti-aliased text, which
	will be checked in soon.
	
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.h:
	added a text color parameter to nautilus_gdk_pixbuf_draw_text
	* libnautilus-extensions/nautilus-gdk-pixbuf-extensions.c:
	(nautilus_gdk_pixbuf_draw_text):
	set up the text color in the gc before drawing the text
	* libnautilus-extensions/nautilus-icon-factory.c: (embed_text):
	added a black text color parameter in the call to draw_text
	* libnautilus-extensions/nautilus-image.c:
	(nautilus_image_size_allocate):
	added a black text color parameter in the call to draw_text
	
2000-08-10  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/arlo.xml:
	Fixed a bad file name

2000-08-10  Darin Adler  <darin@eazel.com>

	Fixed bug 2081 (crash changing themes). The problem was that
	the code to unregister the preference callback was doing it
	with the wrong callback data.
	
	* src/nautilus-window-private.h:
	* src/nautilus-window-toolbars.c: (set_up_button),
	(set_up_toolbar_images), (set_up_toolbar_images_callback),
	(nautilus_window_initialize_toolbars),
	(nautilus_window_toolbar_remove_theme_callback):
	* src/nautilus-window.c: (nautilus_window_destroy):
	Unregister the preference callback properly. This required passing
	in the window pointer.

2000-08-10  Rebecca Schulman  <rebecka@eazel.com>

	Fixed bug 2072, to make the size search field
	have an entry where the user can enter the
	number of "K" they want.

	* libnautilus-extensions/nautilus-search-bar-criterion-private.h:
	added field to include labels after the entry in a search
	criterion, if needed
	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	(nautilus_search_bar_criterion_new_from_values),
	(nautilus_search_bar_criterion_next_new),
	(nautilus_search_bar_criterion_first_new), (get_size_location_for):
	use suffix to create new criteria now, and parse
	the size entry's text to mean K, rather than bytes.
	
	* src/nautilus-complex-search-bar.c:
	(attach_criterion_to_search_bar):
	attach the suffix as part of the value entry, if it exists.

2000-08-10  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/gdb3html.h:
        * components/help/converters/gnome-db2html2/sect-elements.c:
        Add support for the acronym tag

2000-08-10  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-zoom-control.c: (create_zoom_menu_item),
	(create_zoom_menu):
	made the context menu in the zoom control put a check mark
	on the currently selected zoom level
	
2000-08-10  Darin Adler  <darin@eazel.com>

	* libnautilus-extensions/Makefile.am:
	* libnautilus-extensions/nautilus-directory-notify.h:
	* libnautilus-extensions/nautilus-directory-private.h:
	* libnautilus-extensions/nautilus-file-changes-queue.c:
	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-volume-monitor.c:
	Moved the notify calls to a separate header, since people were
	using them as an excuse to peek at NautilusDirectory's privates.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_get_internal), (nautilus_directory_get),
	(nautilus_directory_get_existing): Cleaned up API so that
	internal code can get a directory without creating one.
	(get_parent_directory_if_exists): Used new API to cut down
	code a bit.
	(nautilus_directory_notify_files_removed),
	(nautilus_directory_notify_files_moved): Always create a
	NautilusFile object. This results in a bit more work, but is
	more compatible with the 1/2 done symbolic link change notify
	work.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_get_internal): Don't create a new directory if
	being called in the mode where we don't create a new file.
	(update_link), (get_link_files),
	(update_links_if_target), (nautilus_file_update_info),
	(nautilus_file_mark_gone), (nautilus_file_emit_changed):
	More work on notifying links about changes to the target file.
	This isn't quite working and isn't required so I'll get back to it
	later. At the moment it is not doing any harm.

2000-08-10  Maciej Stachowiak  <mjs@eazel.com>

	* docs/state-machines.txt: a start on some design work for sane
	state machines that actually cover all the cases.

2000-08-10  Andy Hertzfeld <andy@eazel.com>

	* icons/backgrounds.png:
	* icons/colors.png:
	* icons/emblems.png:
	* icons/themes.png:
	updated images from Susan
	
2000-08-10  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/gdb3html.h:
        * components/help/converters/gnome-db2html2/sect-elements.c:
        Added the following tags to enable preliminary table support:
        row, entry, table, informaltable, thead, tbody

        * components/help/converters/gnome-db2html2/sect-elements.c:
        * components/help/converters/gnome-db2html2/sect-elements.h:
        (sect_table_start_element), (sect_table_end_element),
        (sect_informaltable_start_element), (sect_row_start_element),
        (sect_row_end_element), (sect_entry_start_element),
        (sect_entry_end_element), (sect_thead_start_element),
        (sect_thead_end_element), (sect_tbody_start_element),
        (sect_tbody_end_element), (sect_informaltable_end_element):
        New functions for the new tags that were added for table support. This
        is based on a patch provided by John Fleck <jfleck@inkstain.net>

        (sect_title_start_element),
        (sect_title_end_element),
        (sect_title_characters): Handle title's within table's

        (sect_print): Some formatting fixes and free a GSList (plugs a memory
        leak).
        (sect_write_characters): Add a case for the <ENTRY> tag so if it is
        a null character to print a &nbsp;  (doesn't work right now)

        * components/help/converters/gnome-db2html2/TODO:
        Modify the TODO item about tables (it just needs testing)

2000-08-10  Maciej Stachowiak  <mjs@eazel.com>
 
 	* components/mozilla/nautilus-mozilla-content-view.c
 	(mozilla_uris_differ_only_by_fragment_identifier,
 	mozilla_location_changed_callback): Send fake load underway and
 	load done messages to Nautilus when the new URI differs from the
 	previous only by the fragment identifier (indicating that all we
 	did was change anchors). This allows URI references w/ fragment
 	identifiers to be displayed in the location bar properly.
 
2000-08-09  Mathieu Lacage  <mathieu@eazel.com>

	* src/file-manager/fm-search-list-view.c: (load_location_callback),
	(fm_search_list_view_initialize), (real_update_menus): fix the search
	title notification code. Depends on bug 1891 now.

2000-08-09  Gene Z. Ragan  <gzr@eazel.com>

	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Fixed assertion failure case by casting the wrong
	view to a NautilusIconContainer.
	
2000-08-09  Robin * Slomkowski  <rslomkow@eazel.com>

	* nautilus.spec.in: updated files

2000-08-09  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-first-time-druid.c: (druid_finished),
	(set_up_service_signup_page), (nautilus_first_time_druid_show):
	added a fourth alternative to the services page of the druid,
	for users who are already registered and want to log in.
	
2000-08-09  Andy Hertzfeld  <andy@eazel.com>

	* data/static_bookmarks.xml:
	added a new set of built-in bookmarks from Brian Frank.
	
2000-08-09  John Sullivan  <sullivan@eazel.com>

	Work on 1750 (add Reveal command to show search result in
	its "real" directory). I wired up the menu items, but they
	don't do anything yet.

	* src/file-manager/fm-directory-view.c: (compute_menu_item_info):
	Noticed that a g_strdup_printf should have been just a g_strdup
	
	* src/file-manager/fm-search-list-view.c:
	(fm_search_list_view_initialize_class): connect up functions for
	menu-merging stuff.
	(compute_reveal_item_name_and_sensitivity): New function, determine
	Reveal menu item title & sensitivity based on selection.
	(real_create_selection_context_menu_items): Put Reveal menu item
	in selection context menu.
	(real_merge_menus): Put Reveal menu item in File menu
	(real_update_menus): Update state of Reveal menu item in File menu

2000-08-09  Pavel Cisler  <pavel@eazel.com>

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize):
	John helped me fix a crasher in trash empty state notification --
	signals were being delivered to nonexistent objects, used
	gtk_signal_connect_while_alive instead to fix things.

2000-08-09  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	* libnautilus-extensions/nautilus-file.h:
	(nautilus_file_is_nautilus_link):
	Added new API to identify file as nautilus link.

	* libnautilus-extensions/nautilus-directory-async.c:
	(start_getting_activation_uris):
	Call nautilus_file_is_nautilus_link and remove obsolete
	call to nautilus_link_is_link_file.
	
	* libnautilus-extensions/nautilus-icon-factory.c:
	(nautilus_icon_factory_get_icon_for_file):
	Call nautilus_file_is_nautilus_link and remove obsolete
	call to nautilus_link_is_link_file.

	* libnautilus-extensions/nautilus-link.c:
	* libnautilus-extensions/nautilus-link.h:
	(nautilus_link_get_link_type):
	New function that returns the type of link that the
	link represents.  Examples are home, trash and mount point.
		
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_device_mount), (mount_device_activate_cdrom), (eject_cdrom),
	(mount_device_check_change), (add_mount_device),
	(nautilus_volume_monitor_find_mount_devices), (remove_mount_link),
	(nautilus_volume_monitor_is_volume_link):
	Remove annoying debug code.

	* src/file-manager/fm-desktop-icon-view.c:
	(remove_old_mount_links):
	Fixed link celanup code to use new API.
	
	* src/file-manager/fm-icon-view.c: (get_icon_text_callback):
	Call nautilus_file_is_nautilus_link and remove obsolete
	call to nautilus_link_is_link_file.

2000-08-09  Rebecca Schulman  <rebecka@eazel.com>
	Fixed bug 1843, so that search results are activated
	as themselves.

	* libnautilus-extensions/nautilus-file.c:
	* libnautilus-extensions/nautilus-file.h:
	(nautilus_file_get_real_parent_uri_as_string),
	(nautilus_file_get_real_file),
	(nautilus_file_get_real_parent_directory),
	(nautilus_file_compare_by_real_directory),
	(nautilus_file_get_string_attribute),
	(nautilus_file_is_search_result), (nautilus_file_get_real_uri),
	(nautilus_file_get_real_directory_name), (nautilus_file_mark_gone),
	(nautilus_file_changed), (nautilus_file_check_if_ready),
	(nautilus_file_call_when_ready),
	(nautilus_file_cancel_call_when_ready):
	
	added special checks to get the real file and directory,
	and call them appropriately before opening a file.
	renamed the nautilus_file_get_real_directory function to
	nautilus_file_get_real_directory_name, and 
	made it private.  

	* libnautilus-extensions/nautilus-search-bar-criterion.h:
	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	(nautilus_search_bar_criterion_human_from_uri),
	(get_name_location_for):
	fixed a starts_with that should have been "begins_with"

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_display_selection_info):
	moved a misplaced function comment
	
	* src/nautilus-switchable-navigation-bar.c:
	(nautilus_switchable_navigation_bar_set_location):
	added signalling to change to the search and location 
	bar appropriately with each location change

2000-08-09  Darin Adler  <darin@eazel.com>

	After this change, you will get a warning each time you exit
	unless you get the new Bonobo with my destroy-notify bug fix.

	Fixed the "metafile read fails" bug. Fixed a bunch of memory
	leaks that I found because I added a new function to get rid
	of hash tables at quit time and there's a hash table with all
	the NautilusDirectory objects in there. I'm only 1/2 done
	with what I'm working on, but people need the "read fails"
	bug fix.

	* components/help/help-method.c: (escape_for_shell),
	(help_uri_to_string): Improve code that constructs URIs so it
	doesn't to excessive escaping.
	
	* libnautilus-extensions/nautilus-directory-async.c:
	(metafile_read_failed): Fixed a bug that caused it to fail to
	read "public" metafiles.
	(new_files_callback): Redid the fix for "NULL names" to check
	the result from the call instead of checking the name for NULL.
	
	* libnautilus-extensions/nautilus-directory-background.c:
	(nautilus_connect_background_to_directory_metadata):
	Got rid of the dummy callback so the NautilusDirectory code
	knows that only the metadata needs to be monitored.
	
	* libnautilus-extensions/nautilus-directory.c:
	(nautilus_directory_get): Got rid of silly ref and sink code.
	We don't use the floating feature, so we should just ignore it.
	Use the new function that creates a hash table that should be
	empty and freed on exit. This helps us detect leaks.
	(nautilus_directory_file_monitor_add): Got rid of incorrect
	code that would reject a caller that didn't supply a callback.
	Callers might want to monitor metadata only, not files.
	
	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_new_from_name): Got rid of silly ref and sink code.
	We don't use the floating feature, so we should just ignore it.
	(modify_link_hash_table), (add_to_link_hash_table_list),
	(add_to_link_hash_table), (remove_from_link_hash_table_list),
	(remove_from_link_hash_table): Maintain a hash table to map from
	a URI to links to that URI.
	(nautilus_file_new_from_info): Got rid of silly ref and sink code.
	We don't use the floating feature, so we should just ignore it.
	To share more code, call nautilus_file_update_info as part of
	the implementation here.
	(nautilus_file_update_info): Maintain the hash table entries as
	the symlink_name field changes.
	
	* libnautilus-extensions/nautilus-glib-extensions.h:
	* libnautilus-extensions/nautilus-glib-extensions.c:
	(free_hash_tables_at_exit),
	(nautilus_g_hash_table_new_free_at_exit):
	Added new function to create a hash table that should be empty on
	exit, check that is is empty, and free it at exit time.

	* libnautilus-extensions/nautilus-global-preferences.c:
	Got rid of some function-pointer casting.
	
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-container.c:
	(call_icon_callback), (nautilus_icon_container_for_each):
	Added a new call to iterate all the icons in the container.
	Needed so we can unref all the files when we empty it.
	
	* libnautilus-extensions/nautilus-glib-extensions.h:
	* libnautilus-extensions/nautilus-mime-actions.c:
	(nautilus_mime_get_short_list_applications_for_uri),
	(nautilus_mime_get_short_list_components_for_uri):
	Updated for name change: NautilusGPredicateFunc ->
	NautilusPredicateFunction.
	
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_destroy), (done_loading):
	Added code to stop and clear when destroying the directory view.
	
	* src/file-manager/fm-icon-view.c: (unref_cover),
	(fm_icon_view_clear): Added code to get rid of the refs on all
	the files when the icon view is cleared.
	
	* src/file-manager/fm-list-view.c: (fm_list_view_clear): Added
	code to get rid of the refs on all the files when the icon view is
	cleared.
	
	* src/file-manager/nautilus-trash-monitor.h:
	* src/file-manager/nautilus-trash-monitor.c:
	(nautilus_trash_monitor_initialize_class), (destroy),
	(unref_trash_monitor), (nautilus_trash_monitor_get),
	(nautilus_trash_monitor_is_empty):
	Added code to destroy the trash monitor on exit.
	
	* src/nautilus-bookmark-list.c:
	(nautilus_bookmark_list_initialize_class), (stop_monitoring_one),
	(clear), (destroy), (nautilus_bookmark_list_load_file): Added code
	to clear out the list at destroy time the same way we already did
	before loading a file.
	
	* src/nautilus-window-menus.c: (free_bookmark_list),
	(get_bookmark_list): Add code to free the global bookmark list
	on exit to help with leak checking.
	(refresh_go_menu): Changed to use GList instead of GSList.
	
	* src/nautilus-window-private.h:
	* src/nautilus-window.c: (nautilus_window_destroy):
	Unref the current_location_bookmark and last_location_bookmark
	to fix a leak.
	(free_history_list), (nautilus_add_to_history_list): Free the
	history list at exit time to make it easier to spot leaks.
	(nautilus_window_get_history_list_callback): Change the history
	list to be a GList instead of GSList.

2000-08-09  John Sullivan  <sullivan@eazel.com>

	Finished bug 1753 (search results should start out sorted
	by search criteria). Now we can decide whether we actually
	like this UI or not.

	* libnautilus-extensions/nautilus-search-bar-criterion.h:
	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	(nautilus_search_uri_get_first_criterion): New function, returns
	name of first criterion in search.
	
	* src/file-manager/fm-search-list-view.c:
	(get_sort_attribute_from_search_criterion): New function, maps
	between search criteria names and file attribute names.
	(real_get_default_sort_attribute): Use this new function to
	determine which file attribute name to sort by. Uses "name"
	by default if there's no column matching the sort criteria
	(e.g. "content").

2000-08-09  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-tabs.c: (nautilus_sidebar_tabs_hit_test),
	(measure_total_height), (recalculate_size),
	(nautilus_sidebar_tabs_size_allocate),
	(nautilus_sidebar_tabs_size_request):
	fixed bug in measuring tab heights for themed tabs
	
2000-08-09  John Sullivan  <sullivan@eazel.com>

	* src/nautilus-first-time-druid.c: 
	(set_up_service_signup_page): Fixed typo in first-time
	druid text that Susan Space wanted for the demo.

2000-08-09  Maciej Stachowiak  <mjs@eazel.com>

	* components/tree/nautilus-tree-expansion-state.c,
	components/tree/nautilus-tree-expansion-state.h: Skeleton of a
	class to help me manage the expansion state.
	* components/tree/Makefile.am: Added it to the build.

2000-08-09  John Sullivan  <sullivan@eazel.com>

	A little more work towards bug 1753 (search results should
	start out sorted by search criteria) and a bug fix.

	* libnautilus-extensions/nautilus-search-bar-criterion.h:
	Make #define constants for the criteria parts of search URIs
	(e.g. "file_name", "size", "content", etc.)

	* libnautilus-extensions/nautilus-search-bar-criterion.c:
	(get_name_location_for), (get_content_location_for),
	(get_file_type_location_for), (get_size_location_for),
	(get_emblem_location_for), (get_date_modified_location_for),
	(get_owner_location_for): Use these constants when creating
	the URI used by complex search bar.
	* src/nautilus-simple-search-bar.c:
	(nautilus_simple_search_criteria_to_search_uri):
	Use these constants when creating the URI used by simple
	search bar. Also added a FIXME about how the simple search
	bar should be sharing the URI-generation code of the
	complex search bar.

	* src/nautilus-complex-search-bar.c: (criterion_callback):
	Update sensitivity of "Find" button when user chooses
	different criterion from menu. This fixes bug where switching
	from an empty text-type value to a menu-type value would leave
	the "Find" button insensitive.

2000-08-09  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-tabs.c: (nautilus_sidebar_tabs_hit_test),
	(recalculate_size), (nautilus_sidebar_tabs_size_allocate),
	(nautilus_sidebar_tabs_size_request), (draw_one_tab_plain),
	(draw_one_tab_themed), (draw_or_layout_all_tabs),
	(nautilus_sidebar_tabs_expose):
	
	revamped how hit-testing works for the sidebar tabs; now that tabItem
	structure contains a rectangle maintained by the drawing routines.
	This fixed a number of sidebar tab bugs, especially in the
	themed tabs.	
	
2000-08-09  Ramiro Estrugo  <ramiro@eazel.com>

	Make Nautilus tolerant to window titles and component geometries
	that are too huge to be usable.
	
	* libnautilus-extensions/nautilus-string.c:
	(nautilus_str_middle_truncate), (nautilus_self_check_string):
	* libnautilus-extensions/nautilus-string.h:
	New function for truncating strings in the middle.

	* src/nautilus-window-manage-views.c:
	(nautilus_window_update_title_internal):
	Truncate titles to something reasonable to avoid the window
	manager from making the window too huge to be usable.

	* src/nautilus-window.c: (nautilus_window_initialize_class),
	(nautilus_window_realize), (nautilus_window_size_request):
	Limit the window geometry requisition to within the avaialble
	screen real state.
	
2000-08-09  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	(nautilus_file_is_in_trash):
	* src/file-manager/dfos-xfer.c: (fs_xfer), (fs_move_to_trash),
	(fs_empty_trash):
	* src/file-manager/fm-directory-view.c: (fm_directory_is_trash),
	(fm_directory_can_move_to_trash):
	* src/file-manager/nautilus-trash-monitor.c:
	(nautilus_trash_monitor_initialize):
	* src/nautilus-desktop-window.c: (nautilus_desktop_window_new):

	Support new find_if_needed parameter of gnome_vfs_find_directory.

2000-08-09  Ramiro Estrugo  <ramiro@eazel.com>

	* components/mozilla/nautilus-mozilla-content-view.c:

	I accidentally left debuging noise on.
	
2000-08-09  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-link.c: (nautilus_link_create),
	(nautilus_link_set_icon), (nautilus_link_set_type):
	Added ability to set the type of a NautilusLink, such as
	mount link, trash link, home link, etc.
	
	* libnautilus-extensions/nautilus-volume-monitor.c:
	(mount_device_mount), (nautilus_volume_monitor_is_volume_link):
	Specify that link is a mount link.
		
	* src/file-manager/fm-desktop-icon-view.c: (place_home_directory):
	Specify that link is a home link.
	
	* src/nautilus-desktop-window.c: (nautilus_desktop_window_new):
	Specify that trash is a trash link.

2000-08-09  Ramiro Estrugo  <ramiro@eazel.com>

	Add support for Mozilla m17.
	
	* configure.in:
	Add some artificial intelligence to detect whether the mozilla
	we are using is m17.
		
	* components/mozilla/Makefile.am:
	Define the mozilla milestone version.
		
	* components/mozilla/nautilus-mozilla-content-view.c:
	(nautilus_mozilla_content_view_initialize),
	(debug_print_state_flags), (debug_print_status_flags),
	(mozilla_net_state_callback), (mozilla_net_status_callback),
	(mozilla_progress_callback):

	Update for changes in the mozilla embedding api.  Also, simplify
	the status/state flag debugging stuff a bit.
	
Tue Aug 08 23:23:50 2000  George Lebl <jirka@5z.com>

	* libnautilus-extensions/nautilus-mime-actions.c
	  (nautilus_mime_get_default_application_fo)
	  (nautilus_mime_get_short_list_application)
	  (nautilus_mime_get_all_applications_for_u):
	  Use the new application registry api.  Also remove the hack for
	  "merging" (bug 1268) the application with short list as this
	  should now be not necessary because of the application registry.

	* src/nautilus-sidebar.c (command_button_callback):
	  Use the new application registry api and check for NULL
	  return from get_mime_application just for sanity's sake.

2000-08-08  Andy Hertzfeld  <andy@eazel.com>

	* libnautilus-extensions/nautilus-icon-container.c:
	(update_label_color):
	removed a debugging statement I inadvertently left in yesterday.
	
2000-08-08  Arlo Rose  <arlo@eazel.com>

	* icons/arlo/arlo.xml:
	Added new hex values for the selection rectangle.

2000-08-08  Robin * Slomkowski  <rslomkow@eazel.com>

	* libnautilus-extensions/Makefile.am: forgotten headers

2000-08-08  John Sullivan  <sullivan@eazel.com>

	Did part of the work for bug 1753 (search view should start out
	sorted by search criteria). We're still not sure if this is a
	good UI, but I'll make it possible for us to try it out if it
	isn't too much more work.

	* src/file-manager/fm-directory-view.c: Added a FIXME comment
	
	* src/file-manager/fm-list-view.h: Added get_default_sort_attribute
	function pointer.
	* src/file-manager/fm-list-view.c: 
	(fm_list_view_initialize_class): Wired up default_sort_attribute
	function pointer.
	(fm_list_view_begin_loading): use get_default_sort_attribute ()
	instead of string constant.
	(get_default_sort_attribute): Dispatch to possibly overridden 
	function pointer.
	(real_get_default_sort_attribute): return "name" (dupe, actually)
	
	* src/file-manager/fm-search-list-view.c:
	(fm_search_list_view_initialize_class): Wired up 
	get_default_sort_attribute function pointer
	(real_get_default_sort_attribute): return "name" (dupe, actually).
	This gives us the place to decide which attribute to start out
	sorted by. To choose the attribute, we need to define a mapping
	between the search URI and one of the column attributes. I'm
	waiting on this part until mathieu gets farther along with the
	search-URI-to-human-readable-string code, which I hope to
	leverage.

2000-08-08  Andy Hertzfeld  <andy@eazel.com>

	* src/nautilus-sidebar-tabs.c: (nautilus_sidebar_tabs_initialize),
	(nautilus_sidebar_tabs_destroy), (get_tab_width),
	(draw_or_hit_test_all_tabs):
	fixed lots of problems with the arlo-themed sidebar tabs, as well as
	fixing the tab wrapping for the non-arlo ones as well.
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(start_rubberbanding):
	implemented Carbamide's suggestion of specifying the select box
	color in the theme.
	* icons/arlo/arlo.xml:
	changed the arlo theme to use a custom select box color, although
	Arlo will probably pick a better one soon.
	
2000-08-08  Ali Abdin  <aliabdin@aucegypt.edu>

        * components/help/converters/gnome-db2html2/gdb3html.c:
        (get_entity): Change a 'gchar' to a 'char'
        
        * components/help/converters/gnome-db2html2/sect-elements.c:
        (sect_menu_start_element): Remove inadvertant comments

        * components/help/converters/gnome-db2html2/sect-elements.[ch]:
        (sect_interface_start_element),
        (sect_interface_end_element): Remove these functions. They were only
        providing CSS tags, but we only provide HTML tags :)

        * components/help/html/help-method.c:
        (transform_file) Try a file with an '.xml' extension (for Docbook XML)

2000-08-08  Pavel Cisler  <pavel@eazel.com>

	* libnautilus-extensions/nautilus-file.c:
	* libnautilus-extensions/nautilus-file.h:
	Fix FIXME 1887 - deleting files is now handled separately,
	get rid of the old version that used a synch gnome vfs call.

2000-08-08  John Sullivan  <sullivan@eazel.com>

	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_real_create_selection_context_menu_items):
	Make the context menu choose between "Move to Trash" and
	"Delete..." in the same way the File menu does.

2000-08-09  Ian McKellar  <yakk@yakk.net.au>

	* libnautilus-extensions/nautilus-directory-async.c:
	(new_files_callback):
	Fixed a seg-fault that occured when a drag and drop to a WebDAV
	repository failed (due to permissions or something like that). The
	fixed involved simply checking that the GnomeVFSFileInfo passed to
	the new_files_callback by GnomeVFS was valid.

2000-08-08  John Sullivan  <sullivan@eazel.com>

	Fixed a couple of problems that yakk ran into that were
	preventing files from opening correctly in WebDAV.

	* src/file-manager/fm-directory-view.c: 
	(file_is_launchable): Check for "can_get_permissions" before
	checking executability. If you can't get the permissions then
	we won't assume the file is launchable.
	(activate_callback): This was launching local executables
	but trying to launch NULL in the remote executable case.
	Reworked to fall through to the non-executable code for remote
	executables.

2000-08-08  Gene Z. Ragan  <gzr@eazel.com>

	* libnautilus-extensions/nautilus-gdk-extensions.c:
	(nautilus_get_largest_fitting_font):
	Fixed crasher.  Was always assuming that gdk_font_load would
	return a valid font.  This is not the case.  The code will
	now properly traverse the array to look for the requested
	size. 
	
	* libnautilus-extensions/nautilus-icon-container.c:
	(get_icon_space_height), (lay_down_one_line_vertical),
	(lay_down_icons_horizontal), (lay_down_icons_vertical),
	(lay_down_icons), (relayout), (reload_icon_positions),
	(nautilus_icon_container_initialize), (finish_adding_new_icons),
	(nautilus_icon_container_set_layout_mode):
	* libnautilus-extensions/nautilus-icon-container.h:
	* libnautilus-extensions/nautilus-icon-private.h:
	* src/file-manager/fm-desktop-icon-view.c:
	(fm_desktop_icon_view_initialize):
	Work on making the icon layout code more flexible so that
	we can have differing layout schemes.  This is specifically
	for the desktop layout requirements.
	
2000-08-08  John Sullivan  <sullivan@eazel.com>

	Fixed bug 1749 (Show Properties should be disabled in 
	search results)

	* src/file-manager/fm-directory-view.h: added new function
	pointer supports_properties and new function
	fm_directory_view_supports_properties.
	* src/file-manager/fm-directory-view.c:
	(fm_directory_view_initialize_class): Fill in supports_properties 
	function pointer with fm_directory_view_real_supports_properties.
	(compute_menu_item_info): Use fm_directory_view_supports_properties
